zsh (5.9-6ubuntu3) oracular; urgency=medium

  * Resolve ftbfs due to GCC 14 (LP: #2081998):
    - d/p/fix-boolcodes-pointer-type.patch: add a patch to fix the
      pointer type of boolcodes to fix build with GCC 14.
    - d/p/cherry-pick-50641-use-int-main-in-test-C-codes-in-configure.patch:
      add an upstream patch to fix broken detections with GCC 14.

 -- Zixing Liu <zixing.liu@canonical.com>  Thu, 19 Sep 2024 11:14:09 -0600

zsh (5.9-6ubuntu2) noble; urgency=high

  * No change rebuild for 64-bit time_t and frame pointers.

 -- Julian Andres Klode <juliank@ubuntu.com>  Mon, 08 Apr 2024 18:24:20 +0200

zsh (5.9-6ubuntu1) noble; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
    - Don't build zsh-static on Ubuntu/i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 23 Feb 2024 13:36:38 -0800

zsh (5.9-6) unstable; urgency=medium

  * [c366ecc] Cherry pick upstream commit ecd3f9c9 to fix FTBFS issue with
    newer texinfo (Closes: #1057610)

 -- Michael Prokop <mika@debian.org>  Tue, 09 Jan 2024 11:15:01 +0100

zsh (5.9-5ubuntu1) mantic; urgency=medium

  * Don't build zsh-static on Ubuntu/i386.

 -- Steve Langasek <steve.langasek@ubuntu.com>  Thu, 21 Sep 2023 21:49:44 -0700

zsh (5.9-5) unstable; urgency=medium

  * [138340f9,dc77864f] Cherry pick multiple (partial) upstream commits to
    migrate zsh's pcre module to pcre2. Update Build-Depends, Build-Using
    and debian/tests/control from libpcre3-dev to libpcre2-dev
    accordingly. (Closes: #999918)

 -- Axel Beckert <abe@debian.org>  Thu, 07 Sep 2023 01:17:01 +0200

zsh (5.9-4) unstable; urgency=medium

  * [76a48d6c] Enable gdbm module to be build again, this time via
    --enable-gdbm. Thanks to András Korn for reporting this regression.
    (Closes: #1030349)
  * [b29a6be7] Bump my packaging copyright years in debian/copyright.

 -- Axel Beckert <abe@debian.org>  Sun, 05 Feb 2023 01:37:45 +0100

zsh (5.9-3) unstable; urgency=medium

  * [50f17ad1] Cherry-pick upstream commit 3e3cfabc to fix a completion
    regression with NO_CASE_GLOB in Zsh 5.9. Thanks to Vincent Lefèvre!
    (Closes: #1013434)
  * [c513a394] Declare compliance with Debian Policy 4.6.2. No other
    changes were needed.
  * [749f6b2d] Drop alternative build-dep on transitional package
    bsdmainutils. Thanks to Lintian!

 -- Axel Beckert <abe@debian.org>  Mon, 30 Jan 2023 02:13:43 +0100

zsh (5.9-2) unstable; urgency=medium

  [ Helmut Grohne ]
  * [8dff29f4] Update /etc/shells using dpkg triggers (Closes: #1023317)

  [ Axel Beckert ]
  * [4cda7bc3] Update Helmut's patch to use more debhelper style file
    installing.
  * [27ee5df9] Bracketize and update lintian overrides where needed.

 -- Axel Beckert <abe@debian.org>  Mon, 14 Nov 2022 01:38:14 +0100

zsh (5.9-1) unstable; urgency=low

  * [73d31738,d4d20348,2ae4a398] Import new upstream release 5.9.
  * Retroactively set urgency=low in 5.8.1.2-test-2. This allows us to
    upload 5.9-1 to unstable with urgency=low as well.
  * [2af324df] Add patch to fix two typos in man pages found by Lintian
  * [2e260363] Drop lintian override for hardening-no-fortify-functions,
    no more needed.
  * [05e8cdc5] Declare compliance with Debian Policy 4.6.1. No further
    changes were needed.

 -- Axel Beckert <abe@debian.org>  Sun, 15 May 2022 01:20:26 +0200

zsh (5.8.1.3-test-1) experimental; urgency=low

  * [32100208,9529af72,5615b53b] Import new upstream test release.
    + [3b4287fe] Remove cherry-picked patches applied upstream

 -- Axel Beckert <abe@debian.org>  Mon, 09 May 2022 04:11:56 +0200

zsh (5.8.1.2-test-2) experimental; urgency=low

  * [74ff1f90] Add patch from Jun T (50046) to export LANG when running
    D07multibyte.ztst.

 -- Axel Beckert <abe@debian.org>  Tue, 12 Apr 2022 13:10:26 +0200

zsh (5.8.1.2-test-1) experimental; urgency=low

  * [6e55c920,b09f4483,31bcc5c2] Import new upstream test release.
    + [0d7f8889] 45524: Add completion for dscverify(1) from Debian's
      devscripts.
    + [58a869b6] Refresh patches as needed, remove patches applied
      upstream.
    + [2f368c0c] Update debian/zsh-dev.install to follow removal of
      Src/Builtins/rlimit.h generation in 273da6cc.
  * [c1805724] Install Etc/CVE-2021-45444-VCS_Info-workaround.patch into
    zsh-doc. It is new since 5.8.1 and not relevant for Debian's package
    but gives hints about CVE-2021-45444 mitigations on other platforms
    which aren't updated yet.
  * [5086b535] Replace dh overrides with execute_after_… where applicable.

 -- Axel Beckert <abe@debian.org>  Mon, 11 Apr 2022 01:56:22 +0200

zsh (5.8.1-1) unstable; urgency=high

  * [1a490c705,12eb3e53,a13f7a2b] Import new upstream security and bugfix
    release 5.8.1.
    + [c187154f,fdb8b0ce,bdc4d70a] Fixes CVE-2021-45444, a vulnerability
      in prompt expansion which could be exploited through e.g. VCS_Info
      to execute arbitrary shell commands without a user's knowledge.
    + [92d7d4dd] Refresh patches as needed. Drop cherry-picked patch with
      commit 754658af, included in upstream bugfix release.
  * [2556a97c] Drop debian/zsh-static.NEWS, zsh-static will stay. Thanks
    to those who gave feedback about our proposed zsh-static removal back
    in 2015, especially Vincent Bernat.
  * [0fbb22e7] Extend zsh-static package description to explain its use
    cases. Thanks to shirish शिरीष to make us aware of this deficency of
    the package description by asking the right questions (back in
    2015). :-)
  * [daf87c89] zsh-static: Drop dep. on zsh, recommend zsh-common instead.
  * [2f5cd2e1] Update lintian overrides wrt. to change tag formats.
  * [cf14eeb5] Add lintian override for bash-term-in-posix-shell. It's zsh
    code and it's guarded by a check if we're running zsh or not.
  * [ca06fcef] Add lintian overrides for bin-sbin-mismatch false positives.
  * [db8c6c1c] debian/zsh5: Add ${static} suffix also to alternative path
    in warning.
  * [dc50ace5] Update copyright years in debian/copyright. Thanks Lintian!
  * [e872908c] debian/copyright: Remove obsolete upstream URLs. (FTP + SF)
  * [60187dd3] debian/watch: Drop comment about FTP timeouts.
  * [34379187] Make paths in lintian overrides agnostic to upstream versions
  * [566bf8c1] Add lintian overrides for all occurrences of
    very-long-line-length-in-source-file. They're all false positives.
  * [32c07ee0] Update copyright years in debian/copyright. Thanks Lintian!

 -- Axel Beckert <abe@debian.org>  Sat, 12 Feb 2022 23:00:09 +0100

zsh (5.8-10) unstable; urgency=medium

  * [130801d2,92b60e43] Fix segfaults in zsh-static after glibc upgrades
    by making sure nothing is loaded dynamically anymore. (Closes: #993843
    and fixes autopkgtest failures in not or too up to date chroots.)

 -- Axel Beckert <abe@debian.org>  Fri, 17 Sep 2021 15:48:52 +0200

zsh (5.8-9) unstable; urgency=medium

  * [b895ac67] Revert "Explicitly declare B-D-I on cm-super-minimal as
    arch:all to fix crossbuild issues".  While it fixes crossbuild issues
    on Salsa's CI and builds fine there in all steps and even passes
    test-build-all, it causes the arch:all build on the build daemons to
    not start due to "build dependency uninstallable". *sigh*

 -- Axel Beckert <abe@debian.org>  Thu, 16 Sep 2021 03:26:30 +0200

zsh (5.8-8) unstable; urgency=medium

  [ Axel Beckert ]
  * [3637af2b] Set runhelpdir at configure time; drop sed-based fixup at
    install time. (Closes: #993539)
  * [7f57499f] Add patch to set default pager to /usr/bin/pager instead of
    more. Drop according sed call from debian/rules which didn't catch
    .zwc files.
  * [741c837e] Reenable running build-time testsuite against zsh-static.
    (See discussion in #993843.)
  * [cd6dff21] Update lintian override for slightly modified
    pkg-not-in-package-test tag.
  * [b78df051] Retroactively mention Salsa MR!1 (upstream commit a8b0d399)
    in 5.7.1-test-3-1 debian/changelog entry.
  * [801f5e10] Explicitly declare B-D-I on cm-super-minimal as arch:all to
    fix crossbuild issues.
  * [8d37726d] Also let autopkgtest check zsh-static in a separate test
    run. Skip V07pcre.ztst there as --enable-pcre does require dynamic
    loading. Triggered by the discussion in #993843.

  [ Vincent Lefevre ]
  * [e178f191] Replace all occurrences of transitional package
    libncursesw5-dev with libncurses-dev.  Remove resulting
    duplicates. (Related to commit 71ee4aef.) Fixes FTBFS iff
    libncursesw5-dev was not installed. (Closes: #993861)

  [ Marco Trevisan (Treviño) ]
  * [fa46e8b0] debian/zshrc: Don't use grep to check if we're in Ubuntu.
    (Merges Salsa MR!2)

 -- Axel Beckert <abe@debian.org>  Wed, 15 Sep 2021 18:48:16 +0200

zsh (5.8-7) unstable; urgency=medium

  [ Axel Beckert ]
  * [8d275ba5] Add the new zsh-security mailing list as Security-Contact
    to debian/upstream/metadata.
  * [e868fe11] Install text-only FAQ into zsh-common. See #961757 + #980903.
    + Add Breaks and Replaces headers against zsh-doc to zsh-common.
    + Add a build-dependency on debhelper ≥ 13.4.
  * [96fbd8b2] Declare compliance with Debian Policy 4.6.0. (No other
    changes were needed.)
  * [06824140] Drop override_dh_strip-arch due to debug symbol migration
    being long complete.
  * [0f5af7a7] Run "wrap-and-sort -a".

  [ Daniel Shahaf ]
  * [9ddb0116] d/README.Debian: Mention vcs_info's patch series support
    for Debian package maintainers.

 -- Axel Beckert <abe@debian.org>  Wed, 25 Aug 2021 02:25:11 +0200

zsh (5.8-6) unstable; urgency=medium

  [ Daniel Shahaf ]
  * [d248a7ff] d/changelog: In 4.3.12-1, retroactively list #489646 as a
    duplicate of #620452.

  [ Axel Beckert ]
  * [78bd839c] Add a debian/.gitignore file to ignore build artefacts.
  * [79fc7a20] zsh-static: Drop lintian override
    package-contains-broken-symlink, no more needed.
  * [ec4b020b] Add lintian override for hardening-no-fortify-functions on
    gdbm.so, too.
  * [5d383282] Drop "-Wl,--as-needed" from $LDFLAGS. (No more needed
    according to lintian warning debian-rules-uses-as-needed-linker-flag.)
  * [a127f477] Disable blhc CI job for now. (too many and only false
    positives)
  * [12746f0a] Salsa CI: Allow reprotest to fail. (The FTBFS inside
    reprotest is locally not reproducible with "reprotest
    --variations=-kernel".)
  * [3141c8a5] Declare compliance with Debian Policy 4.5.1. (No other
    changes were needed.)
  * [033709c5] Also install the Zsh FAQ. (Closes: #961757)
    + Thanks Daniel Shahaf!
    + [82386525] Install text-only FAQ into zsh-doc, too, for now, despite
      it better fits into zsh-common. See #980903 against debhelper for
      details.

  [ Helmut Grohne ]
  * [d0a05770] Demote documentation dependencies to B-D-I.
    (Closes: #980895)

 -- Axel Beckert <abe@debian.org>  Sat, 06 Feb 2021 05:15:22 +0100

zsh (5.8-5) unstable; urgency=medium

  [ Axel Beckert ]
  * [75eb3334] Retroactively mention #928194 in 5.8-1 changelog entry.
  * [d4dedd99] Adapt to "col" having been moved from bsdmainutils to
    bsdextrautils. (Closes: #963420)
  * [71a1b8a4] Try to fix cross-installability of run-testsuite
    autopkgtest check.
  * [dc40a872] Add a minimal debian/salsa-ci.yml file.
  * [27586e0e] Bump debhelper compatibility level to 13.
  * [c2242d6d] Cherry-pick 754658af from upstream to fix "git stash drop"
    tab-completion.
  * [eda6cb4d] Update lintian overrides wrt. renamed lintian tags.

  [ Daniel Shahaf ]
  * [49dbae2c] Retroactively close #740587 in 5.2-test-1-1.
  * [e8d6bb61] Cherry-pick d128bc0b from upstream: 45731: _debsnap: New
    completion function (Closes: #960298)

 -- Axel Beckert <abe@debian.org>  Tue, 30 Jun 2020 17:42:41 +0200

zsh (5.8-4) unstable; urgency=medium

  [ Romain Porte ]
  * Add completion for dscverify. (Closes: #953389)

 -- Axel Beckert <abe@debian.org>  Sun, 22 Mar 2020 16:12:25 +0100

zsh (5.8-3) unstable; urgency=medium

  [ Steve Langasek ]
  * [ca933173] Make autopkgtests cross-test-friendly
    + debian/tests/control: Declare dependency on adequate as native.
    + debian/tests/control: Let run-testsuite also depend on libpcre3.
    + Mark zsh-doc as "Multi-Arch: foreign".

  [ Axel Beckert ]
  * [ca933173] Merge changes from Ubuntu's 5.8-2ubuntu1 and 5.8-2ubuntu2,
    see above.
  * [7ca6cb3f] debian/tests/control: Replace libpcre3 with @builddeps@ to
    pull in all Recommends.

 -- Axel Beckert <abe@debian.org>  Sat, 22 Feb 2020 01:10:43 +0100

zsh (5.8-2) unstable; urgency=medium

  [ Daniel Shahaf ]
  * [dae9b602] Fix advice in comment: zprofile isn't sourced by non-login
    interactive shells.
  * [b43af98a] d/zshrc: Tighten regex.

 -- Axel Beckert <abe@debian.org>  Tue, 18 Feb 2020 01:33:26 +0100

zsh (5.8-1) unstable; urgency=medium

  * Switch to using the original upstream tar ball instead of generating a
    minimal upstream tar ball from upstream's git repository. Drop most
    generated files in the upstream tar ball during the clean target via
    debian/clean.
    + Create a pristine-tar branch in the packaging git repository.
    + Fixes lintian warning orig-tarball-missing-upstream-signature.
    + [c75569cf] debian/clean: Add some more files from the original
      upstream tar ball, but not in upstream git.
    + [d39a9ee3] debian/gbp.conf: Declare upstream-vcs-tag format.
    + [09ab1592] Drop the get-orig-source target, no more needed.
    + [2c079e6a] Get debian/source/options's extend-diff-ignore back in
      sync with debian/clean to avoid unnecessary warnings.
    + [62fa1223] Add a debian/rules convenience target to restore files
      from git which were removed in the clean target.
    + [1151b6d2] Update debian/pkg-zsh-workflow-new-upstream-release.md.

  * [77d203f,94c033d2,2794556a] Import new upstream release 5.8.
    + Fixes CVE-2019-20044: When unsetting the PRIVILEGED option, the
      shell sets its effective user and group IDs to match their
      respective real IDs. On some platforms (including Linux), when the
      RUID and EUID were both non-zero, it was possible to regain the
      shell's former privileges by e.g. assigning to the EUID or EGID
      parameter. (Closes: #951458)

  * [c7b64d0b] Apply changes from Ubuntu's zsh 5.7.1-1ubuntu2 package, but
    ignore all changes to debian/changelog and the Maintainer field.
    + This includes:
      - debian/zshrc: Enable completions by default, unless
        skip_global_compinit is set.
      - Support cross-compiling:
        + Adjust upstream autoconf cross-compile default fallbacks.
        + Skip zcompile when cross-compiling.
        + Add libelf-dev build-dependency.
        + Closes: #928194
    + [1424bad8] debian/zshrc: Enable completions only on Ubuntu and
      derivatives by default, so that the behaviour neither changes on
      Debian nor on Ubuntu nor on according derivatives.

  * [71ee4aef] Fix FTBFS if libncurses-dev provided the libncursesw5-dev
    build-dependency. Thanks to Daniel Shahaf for helping to figure out
    how to solve this issue properly.
  * [cd532ebb] Add libgdbm-dev as build-dependency to build the zsh gdbm
    module. Thanks to Daniel Shahaf and András Korn. (Closes: #951457)
  * [867b565c] Add lintian override for "zsh-dev:
    package-contains-no-arch-dependent-files" /usr/include/zsh/config.h
    _is_ architecture-dependent, just not a binary.
  * [303ea167] Retroactively list #924736 as fixed in previous upload.
  * [236a9317] Declare adequate autopkgtest to be superficial.
  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Sun, 16 Feb 2020 22:42:04 +0100

zsh (5.7.1-test-3-1) experimental; urgency=low

  * [643de931,74561cc5] New upstream release candidate
    + [a8b0d399] unposted: _ip: Complete the -brief option (Closes !1)
    + [0ff02590] 44779: completion for new git switch and git restore
      commands (Closes: #939194)
    + [73b29f07] 44142: Fix hist_reduce_spaces bug. (Closes: #924736)

  [ Daniel Shahaf ]
  * [74561cc5] Add 'Documentation' to d/upstream/metadata

  [ Axel Beckert ]
  * [e1280df9] Drop debian/copyright file stanza for file dropped
    upstream.
  * [8f7982cd] Add lintian override for zsh sub-man-pages.
  * [5df2cbba] Declare compliance with Debian Policy 4.5.0. (No changes
    needed.)
  * [a8b0d399] Completion/Unix/Command/_ip: Complete the -brief option.
    (Merges Salsa MR!1)

 -- Axel Beckert <abe@debian.org>  Fri, 14 Feb 2020 03:44:40 +0100

zsh (5.7.1-1) unstable; urgency=medium

  * [8b89d0d5,ea17cf89] New upstream bugfix release
    + [205859e6] Drop fix-vcs-info-p4.patch, fixed upstream

  [ Daniel Shahaf ]
  * [14d26260] d/upstream/signing-key.asc: Add the 5.7 RM's signing key.

 -- Axel Beckert <abe@debian.org>  Tue, 05 Feb 2019 01:18:01 +0100

zsh (5.7-2) unstable; urgency=low

  [ Frank Terbeck ]
  * [cb6fba8] Fix perforce detection in vcs-info

 -- Michael Prokop <mika@debian.org>  Sun, 27 Jan 2019 22:35:34 +0100

zsh (5.7-1) unstable; urgency=low

  * [9799d0f9,7b75d97c] New upstream release
    + Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Fri, 25 Jan 2019 23:48:48 +0100

zsh (5.6.2-test-3-1) experimental; urgency=low

  * [325fceab,7e6a3d734] New upstream release candidate
    + [f64cd71d] Fixes FTBFS on 32-bits architectures
  * [2c01967c] debian/pkg-zsh-workflow-new-upstream-release.md fine-tuning
  * [30825099] Bump debhelper compatibility level to 12.
    + Use b-d on "debhelper-compat (= 12)" instead of debian/compat.
  * [087d6045] Change shebang path in example script to Debian's zsh path.
  * [6cbe67e6] Make autopkgtest pass by including config.modules in
    zsh-dev. (Test/V07pcre.ztst now tries to access ../config.modules to
    check if the PCRE module was enabled and needs to be tested. The test
    emits a warning on STDERR if ../config.modules is not found.)

 -- Axel Beckert <abe@debian.org>  Sat, 05 Jan 2019 16:08:39 +0100

zsh (5.6.2-test-2-1) experimental; urgency=low

  * [9dbde9e,bf8b7f7] New upstream release candidate
    + [dc2bfeee] Have V07pcre fail if PCRE was enabled by configure
      (config.modules) but failed to load for any reason. (Closes: #909114)
    + [44b0a973] Remove all cherry-picked patches.
    + [01c3153e] debian/rules: Build zshbuiltins.1 out-of-tree like the
      rest.

  [ Daniel Shahaf ]
  * [19fed9e6] debian/upstream/signing-key.asc: Add the upstream signing
    key used since 5.5.1-test-1.

  [ Ondřej Nový ]
  * [b402fc2e] debian/tests: Use AUTOPKGTEST_TMP instead of ADTTMP.

  [ Axel Beckert ]
  * [24256bb7] Add zsh-autosuggestions to list of zsh-related packages in
    bug-script.
  * [1239bb28] Declare compliance with Debian Policy 4.3.0. (No other
    changes were necessary.)
  * [06946d43] debian/TODO.md: Mention that switching zsh-dev to arch:all
    is non-trivial.
  * [e0798c2f] Declare debian/pkg-zsh-workflow.md as outdated.  Add
    debian/pkg-zsh-workflow-new-upstream-release.md as massively reduced
    replacement.

 -- Axel Beckert <abe@debian.org>  Mon, 24 Dec 2018 05:55:48 +0100

zsh (5.6.2-3) unstable; urgency=medium

  * [92175749] Revert "Switch from the deprecated libpcre3 to the newer
    (!) libpcre2." libpcre2 is not a drop-in replacement and not detected
    by zsh's configure script. (Closes: #909084, reopens LP#1792544)

 -- Axel Beckert <abe@debian.org>  Wed, 19 Sep 2018 01:06:53 +0200

zsh (5.6.2-2) unstable; urgency=medium

  [ Axel Beckert ]
  * [a5db2473] Switch from the deprecated libpcre3 to the newer (!)
    libpcre2. (LP: #1792544)

  [ Daniel Shahaf ]
  * [3d8f4eee] Cherry-pick 551ff842 from upstream: Another attachtty()
    fix. (Closes: #908818)

 -- Axel Beckert <abe@debian.org>  Tue, 18 Sep 2018 01:15:17 +0200

zsh (5.6.2-1) unstable; urgency=medium

  * [92bef885,3d116bbb] New upstream bugfix release.
    + [490c395d] Refresh further-mitigate-test-suite-hangs.patch.
    + [7c5241ed] 43446: More entersubsh() / addproc() wiring.
      (Closes: #908033, #908818)
    + [07ad7fd9] Fix windowsize when reattaching to terminal on process
      exit. (Closes: #908625)

  [ Daniel Shahaf ]
  * [77265d89] d/README.Debian: Fix typo.

  [ Axel Beckert ]
  * [5484e5d4] Cherry-pick decc78c72 from upstream: _svn: Allow hyphens in
    command name aliases.

 -- Axel Beckert <abe@debian.org>  Sat, 15 Sep 2018 03:02:31 +0200

zsh (5.6.1-1) unstable; urgency=medium

  * [b3239c5e,b531f38d] New upstream bugfix release.
    + [0d5275c6] Fix process group setting in main shell. (Mitigates:
      #908033)
  * [5379b4c6] Retroactively mention #908000 in previous changelog entry.
  * [a04e81b6] Update README.Debian wrt. -dbg vs -dbgsym packages and
    apt-get vs apt.

 -- Axel Beckert <abe@debian.org>  Tue, 11 Sep 2018 21:59:04 +0200

zsh (5.6-1) unstable; urgency=high

  * [b30b8941,6e6500bfa] New upstream release.
    + [ec2144bb] Refresh patch further-mitigate-test-suite-hangs.patch.
    + [1c4c7b6a] Fixes two security issues in shebang line
      parsing. (CVE-2018-0502, CVE-2018-13259; Closes: #908000)
    + Upload to unstable with high urgency.
  * [c605c9a1] Install symlinks to NEWS.gz (Policy 4.2.0) + README.Debian
    to /usr/share/doc/zsh/. Drop no more used symlink from changelog.gz to
    ../zsh-common/changelog.gz from debian/zsh.links. Update
    debian/TODO.md with some minor, but non-trivial documentation issues
    recently noticed.

 -- Axel Beckert <abe@debian.org>  Mon, 03 Sep 2018 19:24:47 +0200

zsh (5.5.1-test-2-1) experimental; urgency=low

  * [ef619183,719a7156] New upstream release candidate.
  * [7da8d19c] Declare compliance with Debian Policy 4.2.1. (No other
    changes required.)

 -- Axel Beckert <abe@debian.org>  Mon, 27 Aug 2018 14:29:21 +0200

zsh (5.5.1-1) unstable; urgency=medium

  * [03fcdd08] Import new upstream bugfix release.
    + [517cda38] Fixes GLOB_DOTS for !RM_STAR_SILENT (Closes: #875460)
  * [b83399fc] Retroactively mention #891140 in the debian/changelog
    entries of 5.4.2-test-2-1 and 5.5-1.

 -- Axel Beckert <abe@debian.org>  Tue, 17 Apr 2018 03:36:13 +0200

zsh (5.5-1) unstable; urgency=medium

  [ Axel Beckert ]
  * [fe36c1ad] Import new upstream release.
    + [31f72205] CVE-2018-1100: check bounds on buffer in mail
      checking. (Closes: #895225)
    + [bfff8deb] "apt install" completion now also completes *.changes
      and *.dsc files alongside *.deb. (Fine-tuning of #891140 fix)

  [ Sven Joachim ]
  * [1521c7d0] Handle /usr/local/share/zsh with dh_usrlocal.
    (Closes: #895153)

 -- Axel Beckert <abe@debian.org>  Mon, 09 Apr 2018 01:17:56 +0200

zsh (5.4.2-test-2-1) experimental; urgency=low

  * [6e1ab9aa] Import new release candidate for upcoming 5.5 release.
    + [37353844] 41943: Completion: add --clean for vim (Closes: #879187)
    + [b54a7e55] Drop cherry-picked patches for CVE-2018-1071 and
      CVE-2018-1083.
    + [f1a52c23] Makes completion after "apt install" work on local .deb
      files. (Closes: #891140)

 -- Axel Beckert <abe@debian.org>  Sat, 07 Apr 2018 15:44:43 +0200

zsh (5.4.2-4) unstable; urgency=medium

  * [d49689fe] Cherry-pick upstream patches to fix:
    + CVE-2018-1071 (Check bounds when copying path in "hashcmd()".
      Closes: #894044)
    + CVE-2018-1083 (Check bounds on PATH_MAX-sized buffer used for file
      completion candidates. Closes: #894043)
  * [01004557] Drop zsh-static lintian override for no more emitted tag.
  * [5c603baa] Update Vcs-* headers for move to Salsa.
  * [35768486] Declare compliance with Debian Policy 4.1.4. (No other
    changes were required.)

 -- Axel Beckert <abe@debian.org>  Sat, 07 Apr 2018 03:50:13 +0200

zsh (5.4.2-3) unstable; urgency=low

  * debian/rules:
    + [5df0d11d,9d0df8ac,28b774be,fd367287] Switch from explicit targets
      to a "minimal" dh style.
    + [616bc13e] Drop some no more needed, fitting or relevant comments.
  * [48f580fc,40eff612] Declare compliance with Debian Policy 4.1.3. (No
    other changes were required.)
  * [90037107] Bump debhelper compatibility to 11.
    + Update versioned build-dependency on debhelper accordingly.

 -- Axel Beckert <abe@debian.org>  Sat, 30 Dec 2017 07:25:44 +0100

zsh (5.4.2-2) unstable; urgency=medium

  * [efc08e15] Declare compliance with Debian Policy 4.1.1. (No other
    changes required.)
  * [efa4b98e] Set "Rules-Requires-Root: no"
    + Drop "-o root -g root" from $(INSTALL_PROGRAM) in debian/rules. (No
      more needed, user/group are either set by dh_fixperms or dpkg-deb
      nowadays.)
  * [c6da4ef3] dh_strip: Use --dbgsym-migration instead of historical
    --ddeb-migration.

 -- Axel Beckert <abe@debian.org>  Thu, 02 Nov 2017 20:47:01 +0100

zsh (5.4.2-1) unstable; urgency=medium

  * [4aaf06e6] Import new upstream bugfix release 5.4.2.
  * [48098e7b] Document change of default behaviour in 5.4.1 in
    NEWS.Debian. (Closes: #871816)
  * [f33de64a] Declare compliance with Debian Policy 4.1.0. (No other
    changes needed.)

 -- Axel Beckert <abe@debian.org>  Wed, 13 Sep 2017 01:15:48 +0200

zsh (5.4.1-1) unstable; urgency=low

  [ Axel Beckert ]
  * [e3b67a81] Import new upstream release 5.4.1.
    + [4d67d694] Drop all patches except
      further-mitigate-test-suite-hangs.patch and
      update-debian-sections.patch. (were either applied upstream or
      cherry-picked)
    + [385cb9b9] Fixes incomplete completion list for "man -a". (Closes:
      #853130)
  * [d0927608] Drop build-dependencies on autotools-dev and dh-autoreconf.
    No more needed with debhelper compatibility level 10 and the according
    versioned build-dependency.
  * [4cbb9256,9574eafe] Replace dh_autotools-dev_*config with
    dh_update_autotools_config (+ dh_clean).

  [ Daniel Shahaf ]
  * [e795f448] Change the value of $ZSH_PATCHLEVEL to sport the Debian
    package version including the Debian package revision.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Aug 2017 03:20:51 +0200

zsh (5.3.1-5) unstable; urgency=medium

  * [aa55c6bb] Patch configure.ac to add support for yodl 4 to yodl
    version check. (Closes: #865492)
  * [ffdd3ef2] Switch all http://www.zsh.org/ and http://www.debian.org/
    URLs in packaging to HTTPS.
  * [42e6d850] Declare compliance with Debian Policy 4.0.0. (No further
    changes were required.)
  * [2b2aa74d] Bump debhelper compatibility to 10.
    + Update versioned build-dependency on debhelper accordingly.
    + Remove all --parallel options from debian/rules.

 -- Axel Beckert <abe@debian.org>  Thu, 22 Jun 2017 04:26:33 +0200

zsh (5.3.1-4) unstable; urgency=high

  * [5c3b52b8] Reorder zsh.postinst: do alternatives removal before
    (re)creating /usr/bin/zsh symlink. Thanks to ilf for the bug report
    and Adrian Bunk for finding the right solution. (Closes: #860033)

 -- Axel Beckert <abe@debian.org>  Tue, 11 Apr 2017 21:34:40 +0200

zsh (5.3.1-3) unstable; urgency=medium

  * [348c47bd] Cherry-pick four stability patches from upstream:
    + [48cadf48] 40285: Src/Zle/zle_hist.c: more care needed managing
      patterns in history isearch if there are hooks around.
    + [2e76fb80] 40372: Completion/compinit: turn off POSIX_IDENTIFIERS
      option for completion.
    + [8d4c9854] 40260: Src/prompt.c: Set newly allocated space in prompt
      buffer to zero as it may be tested.
    + [ebd7fdd9] 40362: Src/Zle/computil.c: need duplicated values for
      setting parameter in compvalues.  Was causing obscure but
      surprisingly rare crashes in value completion.

 -- Axel Beckert <abe@debian.org>  Thu, 19 Jan 2017 23:25:40 +0100

zsh (5.3.1-2) unstable; urgency=low

  * [c95b2f20] Add patches posted by Daniel Shahaf on zsh-workers to
    update bts completion and add swaks completion.
  * [3ab2793a] Add lintian override for debian-news-entry-uses-asterisk as
    that won't change.
  * [f1b49f7e] Use dh_clean's directory removal feature added in debhelper
    9.20151116. Update versioned debhelper build-dependency accordingly.
  * [beb9a8a3] Apply "wrap-and-sort -a".

 -- Axel Beckert <abe@debian.org>  Mon, 09 Jan 2017 02:10:23 +0100

zsh (5.3.1-1) unstable; urgency=low

  * [06b1b7a3] Import new upstream release
  * [ea5d92e0] bug-script: Add ondir to list of packages which provide
    code meant to be sourced in .zshrc.
  * [01a55419] Add patch by Daniel Shahaf to make zsh-dev reproducible.
    (c.f. #849288)
  * [39e03ff0] Remove zsh.postinst code which was commented for longer
    than we use git.
  * [2be20bd0] Only handle /usr/bin/zsh symlink in postrm/remove and
    postinst/configure stages. (Closes: #841048)

 -- Axel Beckert <abe@debian.org>  Tue, 27 Dec 2016 22:00:35 +0100

zsh (5.3-1) unstable; urgency=low

  [ Axel Beckert ]
  * [4cfdbdb8] Import new upstream release.
  * Upload to unstable again.

  [ Josh Triplett, Daniel Shahaf, Axel Beckert ]
  * [7d6c5d6c,dca380d6,f9fbafb1] Add patch to update for new Debian
    programming language sections. (Closes: #847540)

 -- Axel Beckert <abe@debian.org>  Sun, 11 Dec 2016 23:02:55 +0100

zsh (5.2-test-3-1) experimental; urgency=low

  * [b1f62d9d] Third and "final" upstream test version before 5.3.

 -- Axel Beckert <abe@debian.org>  Sat, 10 Dec 2016 02:29:12 +0100

zsh (5.2-test-2-1) experimental; urgency=low

  * [9f605904] Second upstream test version before 5.3.
    + [972e1fe6] Remove cherry-picked patch.

 -- Axel Beckert <abe@debian.org>  Wed, 07 Dec 2016 01:04:55 +0100

zsh (5.2-test-1-1) experimental; urgency=low

  * [3e439c38] New upstream test release 5.2-test-1.
    + [bcb52460]: "&&" inside a shell function could mess up ERR_EXIT
      outside. (Closes: #514857)
    + [02f03a6a]: _schroot: Add -r/--run-session. (Closes: #831900)
    + [b3a88a53]: $SPROMPT: Don't accept a spelling correction at
      space/tab. (Closes: #844710)
    + [6e966f69+7154052e]: Clarify documentation of the ':A' word
      modifier. Add new :P history modifier. (Closes: #607615)
    + [3b69b121] typeset: Document exit status difference from parameter
      assignment statements. (Closes: #479841)
  * [b2e45bd3] Update path to zsh used in GUI menus. Thanks Mika Prokop!
  * [6783a173] Merge debian-stretch branch into (currently experimental)
    debian branch again.
  * [2aedc4b8] Remove cherry-picked
    fix-segfault-in-is_cond_binary_op.patch
  * [516efade] Cherry-pick af2ab0247: attempt to make output from
    interactive test more robust
  * Add completion for virsh(1). (Closes: #740587)

 -- Axel Beckert <abe@debian.org>  Sun, 04 Dec 2016 21:35:22 +0100

zsh (5.2-5) unstable; urgency=low

  * [f368b96e] Also remove hardcoded /usr/bin/zsh symlink in postrm
    again. (Closes: #823730)

 -- Axel Beckert <abe@debian.org>  Sun, 08 May 2016 18:25:58 +0200

zsh (5.2-4) unstable; urgency=low

  [ Axel Beckert ]
  * [a25e7f1f] Add "--ddeb-migration=zsh-dbg" to "dh_strip -pzsh" for
    proper Breaks/Replaces.  Thanks to Mattia Rizzolo
  * [370659ae] Add rosbash to bug-script's fallback list of packages with
    code to be sourced in .zshrc.
  * [1922c900] Remove GCC-4.9-specific workaround on s390x from
    debian/rules.
  * [64eed86b] Enable hardening=+all, fixes multiple hardening-no-*
    lintian warnings.
  * [cafce990] Remove usage of alternatives system for zsh, rzsh and
    zsh-static.  (Closes: #768079)
  * [7db7f765] Switch Vcs-Git from git:// to https://, fixes lintian
    warning vcs-field-uses-insecure-uri.
  * [826ec19e] Declare compliance with Debian Policy 3.9.8. (No other
    changes were required.)
  * [a2021b04] Use "debian-stretch" as debian branch until a new upstream
    release is out.
  * [f9dba1a3] Update yodl build-dependency to exclude the broken 3.08.00
    upstream release. (See #823043 for details.)

  [ Frank Terbeck ]
  * [c1e9ec06] zshrc: Make expansion robust with NO_UNSET.
    Thanks to Marc Chantreux on #pkg-zsh (freenode)

 -- Axel Beckert <abe@debian.org>  Fri, 06 May 2016 22:08:29 +0200

zsh (5.2-dev-1-1) experimental; urgency=low

  [ Axel Beckert ]
  * [86ca06fb] Import new upstream beta release.
  * [a25e7f1f] Add "--ddeb-migration=zsh-dbg" to "dh_strip -pzsh" for
    proper Breaks/Replaces. Thanks to Mattia Rizzolo!
  * [370659ae] Add rosbash to bug-script's fallback list of packages with
    code to be sourced in .zshrc.
  * [9789916e] Remove GCC-4.9-specific workaround on s390x from
    debian/rules.
  * [0013070a,3b7e91b3] Enable hardening=+all, fixes multiple
    hardening-related lintian warnings.
  * [da1b680b,1600c44d,2d082be2] Remove usage of alternatives system for
    zsh, rzsh and zsh-static. (Closes: #768079)
  * [3aa2ccff] Switch Vcs-Git from git:// to https://, fixes lintian
    warning vcs-field-uses-insecure-uri.
  * [f3384aaf] Add patch by Bart Schaefer to fix segfault in
    is_cond_binary_op when compiling with -fPIE (and maybe other cases).

  [ Frank Terbeck ]
  * [c1e9ec06] zshrc: Make expansion robust with NO_UNSET.
    Thanks to Marc Chantreux on #pkg-zsh (freenode)

 -- Axel Beckert <abe@debian.org>  Mon, 01 Feb 2016 00:42:02 +0100

zsh (5.2-3) unstable; urgency=medium

  [ Axel Beckert ]
  * [c766a858] Make zsh-common "Multi-Arch: foreign". (Closes: #808977)
  * [20a0c01c] Remove zsh-dbg, there are automatic dbgsym packages now.
  * [d3bb50ba] Add patch to fix parsing of aptitude 0.7.5's --help/-h
    output without stopping to be able to parse older aptitude versions'
    output. (Closes: #807906) Thanks to Micha Moskovic for the bug report!

  [ Felipe Sateler ]
  * [c3e50a0f] Add patch to add missing apt purge and autoremove
    subcommands. (Closes: #808317)

 -- Axel Beckert <abe@debian.org>  Sun, 27 Dec 2015 15:56:57 +0100

zsh (5.2-2) unstable; urgency=low

  * [104c10b3] autopkgtest: Don't assume at least two dots in zsh's
    version number.

 -- Axel Beckert <abe@debian.org>  Fri, 04 Dec 2015 00:32:04 +0100

zsh (5.2-1) unstable; urgency=low

  * [2a9cd3d2] New upstream release.
    + Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Thu, 03 Dec 2015 00:44:25 +0100

zsh (5.1.1-test-3-1) experimental; urgency=low

  * [86bb6a7e] New upstream release candidate
  * [e6d23bf3] debian/{watch,upstream/signing-key.asc}: Verify upstream
    GPG signatures

 -- Axel Beckert <abe@debian.org>  Mon, 30 Nov 2015 04:04:13 +0100

zsh (5.1.1-test-2-3-g2bab9f0-1) experimental; urgency=low

  * [b3541722] New upstream pre-release snapshot (git commit 2bab9f03)
  * [58f4d1d1] Make list of packages which provide code for .zshrc more
    readable and sort it
  * [1637291a] Update list of packages which provide code for .zshrc
  * [e439a99f] Remove debian/copyright stanza for systemd completion, no
    more included upstream
  * [bb897996] get-orig-source target: Support git snapshots between
    tagged releases

 -- Axel Beckert <abe@debian.org>  Thu, 26 Nov 2015 22:17:06 +0100

zsh (5.1.1-1) unstable; urgency=low

  * [7534dfa8] New upstream release
    + [bcea5a1c] Revert 0867ec1f from 5.1-test-1-1, applied upstream.
    + [f5e8527a] Handles incomplete multibyte characters in
      bracketed-paste-magic (Closes: #798195)
    + Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Fri, 11 Sep 2015 23:19:31 +0200

zsh (5.1-test-1-1) experimental; urgency=low

  * [22cf83b3c] New upstream release candidate
    + [9f5dffa1] process queued signals during dotrap() (Closes: #797721)
  * [0867ec1f] Extend further-mitigate-test-suite-hangs.patch to mitigate
    a race condition in E01options.ztst

 -- Axel Beckert <abe@debian.org>  Thu, 10 Sep 2015 23:03:54 +0200

zsh (5.1-1) unstable; urgency=low

  * [2a4475bb] New upstream release.
    + [f3aebf0b] Update further-mitigate-test-suite-hangs.patch to remove
      additional cherry-picked fixes added with the previous upload.
    + Upload to unstable again.
  * [20b7952e] Remove no more emitted spelling-error-in-binary false
    positives from lintian overrides.
  * [6fad76ca] Remove pre-#768937 legacy code from multiple postinsts.

 -- Axel Beckert <abe@debian.org>  Tue, 01 Sep 2015 01:09:25 +0200

zsh (5.0.8-test-3-1) experimental; urgency=low

  * [6f1dd991] New upstream release candidate
    + [171196a8] Remove all cherry-picked patches.
    + [290354ff] Fixes segfault in __strlen_sse2_bsf (Closes: #793475)
  * [a248c1e0] Set $(VENDOR) to sanitized output of "dpkg-vendor --query vendor"
    (Closes: #794696)
  * [e04a1973] Clint Adams prefers to be removed from Uploaders. Thanks to
    Clint for maintaining Debian's zsh package for so long!
  * [bfda86c5,5c3b312c] Update sole patch to integrate further test suite fixes.

 -- Axel Beckert <abe@debian.org>  Thu, 27 Aug 2015 23:17:07 +0200

zsh (5.0.8-4) unstable; urgency=medium

  * [92f59b31] Cherry-pick 771381c2+dd8079e0 to fix $((…)) completion.
    (Closes: #793168)
  * [d46446e2] Cherry-pick upstream fix for segfault upon $((…)<Tab>.
  * [e7302971] Add thefuck to bug-script's fallback list of packages with
    code to be sourced in .zshrc.

 -- Axel Beckert <abe@debian.org>  Tue, 28 Jul 2015 23:44:49 +0200

zsh (5.0.8-3) unstable; urgency=medium

  * [e04cb7a0] Include all .h and .mdh files including generated ones in
    zsh-dev. (Closes: #776964)
  * [5c13d857] Adjust include paths in /usr/include/zsh/ as suggested in
    #776964.

 -- Axel Beckert <abe@debian.org>  Mon, 20 Jul 2015 23:12:30 +0200

zsh (5.0.8-2) unstable; urgency=medium

  * [5808540c] Use "service" instead of "/etc/init.d" in
    debian/examples/carsten.zshrc for init system compatibility.
  * Cherry-pick multiple patches from upstream:
    + [e79f2175] fix signal queueing in zcontext_save_partial()
      (Closes: #790282)
    + [143736da] handle failure of gettempname() in namedpipe()
    + [724f974f] avoid warnings in prompt adam1 with Perl 5.22

 -- Axel Beckert <abe@debian.org>  Mon, 29 Jun 2015 21:33:46 +0200

zsh (5.0.8-1) unstable; urgency=low

  * [fd2ef9a8,752cbfd4] New upstream release
    + [640212e7] Drop patches replace-texi2html-with-makeinfo and
      fix-test-suite-failures-related-to-setopt-PROMPT_SP (fixed upstream)
    + Upload to unstable again.
  * [f14d3594] Mention how to use bash completion with zsh in
    README.Debian (c.f. #786881)
  * [253c84df] Add git commit IDs and Debian bug numbers of bugs fixed
    upstream in the last upload to the previous changelog entry.

 -- Axel Beckert <abe@debian.org>  Sat, 13 Jun 2015 00:37:17 +0200

zsh (5.0.7-dev-2-1) experimental; urgency=low

  * [db38e167] New upstream release candidate
    + [4e6f0762] Remove all cherry-picked patches
    + [bcf6f70a] Remove no more needed debian/copyright entries.
    + [e0c83ff9,6b5231e4] Add patch to fix test suite failures related to
      "setopt PROMPT_SP"
    + [2d4743ce] uses correct command name in error messages about
      "ulimit" failure; restores internal copy of limits if setrlimit()
      fails, so the error won't repeat. (Closes: 765410)
    + [691547cd] fixes thinko in status message for INT/QUIT signals;
      checks errflag in output loops. (Closes: #767005)
  * [01eea476] Add debian/zsh-static.NEWS with note about upcoming
    zsh-static removal.
  * [f58cddea] debian/pkg-zsh-workflow.md: Update order when importing a
    new upstream release.

 -- Axel Beckert <abe@debian.org>  Fri, 08 May 2015 01:35:13 +0200

zsh (5.0.7-6) unstable; urgency=medium

  * [18288a76] Drop manual Pre-Depends on dpkg, raise debhelper
    build-dependency to ≥ 9.20141221, see #770226 + #770245.
  * [b3f1e6e4] Remove zsh4 wrappers, they were only needed for the
    dist-upgrade from Wheezy to Jessie.
  * [b4c17e7c] Remove zsh-beta* transitional packages. Same reason.
  * [1e841579] Use "gbp dch" instead of "git-dch" in helper scripts and
    package build documentation.
  * [ef133bd8] Rename debian/gbp.conf's section [git-dch] to [dch].

 -- Axel Beckert <abe@debian.org>  Wed, 29 Apr 2015 01:18:02 +0200

zsh (5.0.7-5) unstable; urgency=medium

  * [ab70e9dc] Pre-Depend on dpkg >= 1.17.14 explicitly for using
    symlink_to_dir with relative symlinks (Closes: #770226)

 -- Axel Beckert <abe@debian.org>  Tue, 25 Nov 2014 23:42:17 +0100

zsh (5.0.7-4) unstable; urgency=medium

  [ Simon McVittie ]
  * [991d536c] Make zsh source package binNMU-safe (Closes: #768937)
    + Do not use dh_installdocs --link-doc=zsh-common in
      architecture-dependent packages
    + Symlink zsh-common documentation files into /usr/share/doc/zsh
    + Migrate /usr/share/doc/zsh and /usr/share/doc/zsh-dev from symlink
      to directory using dpkg-maintscript-helper

  [ Axel Beckert ]
  * [7b632623] Simplify Simon's patch by making /usr/share/doc/zsh/doc a
    symlink to ../zsh-common/ in the zsh binary package. Avoids unpack
    errors probably caused by having _two_ binary packages containing the
    directory which was previously a symlink. (See the log of #768937.)
  * [0e03e623,ad143a67] Add Pre-Depends: ${misc:Pre-Depends} for using
    dpkg-maintscript-helper's symlink_to_dir.
  * [af8ab9de] Also remove zsh4 alternative for rzsh (Closes: #768241)
  * [353e05ab] Add a post-jessie TODO list to the source package

 -- Axel Beckert <abe@debian.org>  Thu, 13 Nov 2014 01:18:54 +0100

zsh (5.0.7-3) unstable; urgency=low

  * Upload to unstable again
  * [5409996b ff.] Remove zsh4 and zsh4-static from list of alternatives
    in the according postinst scripts. Also raise priorities of zsh5 and
    zsh5-static alternatives by 1 so that they have a higher priority than
    the old ones. (Closes: #766015)
  * [29ce7d34] Mention https://wiki.debian.org/Zsh in README.Debian
  * [b33dd34f] Switch the zsh and zsh-common binary package stanzas in
    debian/control to get README.Debian installed again. (dh_installdocs
    installs it into the first binary package listed in debian/control.)

 -- Axel Beckert <abe@debian.org>  Tue, 21 Oct 2014 02:39:51 +0200

zsh (5.0.7-2) experimental; urgency=low

  * [0e36f80d ff.] Workflow documentation: Many updates
  * [438969ff] Add zsh4(-static) wrapper scripts to ease switch to zsh5
    (Closes: #707760)
  * [180ad946] Add lintian overrides for unusual-interpreter in zsh4
    wrapper script
  * [2bc52e92] Drop prebuild target from debian/rules (unused)
  * [8ece55fe] Add a get-orig-source target to debian/rules
  * [503d6807] Add debian/bin/commit2quilt for easier cherry-picking
  * Cherry-pick a bunch of post-5.0.7 fixes from upstream:
    + [46859b9c] a03227de/33405: vcs_info: Make sure maxexports is set
      when VCS_INFO_set is called
    + [849017f2] 22c4ea42/33403: be conservative about redirecting
      _call_program stderr, the caller may have already done so
    + [6f309d99] 605a73e4/33429: disallow non-integer values for HISTSIZE
      and SAVEHIST of "fc -p", and fix crash on zero values for same
    + [4a370a5f] 521313b4/33429: Tests for previous patch
    + [adb27914] 2d14c085/33445: fix handling of -s when combined with -i
      at shell invocation
  * [35069efe] Add patch by Bart Schaefer which should further mitigate #759870

 -- Axel Beckert <abe@debian.org>  Mon, 13 Oct 2014 23:15:06 +0200

zsh (5.0.7-1) experimental; urgency=low

  * [208bdede] New upstream release
    + [2d470422] Drop all cherry-picked patches
    + Cherry-pick 9982ab6f ("unposted: ChangeLog entry for 33365") as
      patch as it adds one missing (and not unimportant) changelog entry
      for the 5.0.7 release.
  * [a563abd0] Add an initial README.source file
  * [6696aa79, ff.] Revamp and update packaging workflow documentation and
    convert it to Markdown.
  * [97cc54f6] Drop patch2quilt helper script (unused)
  * [b605fa17] Move all other helper scripts from debian/ to debian/bin/.

 -- Axel Beckert <abe@debian.org>  Wed, 08 Oct 2014 23:33:33 +0200

zsh (5.0.6-3) unstable; urgency=medium

  * [f5dacf9f] Do not run (already ignored) test suite on static build to
    mitigate #760061.
  * [79035529] Set ZTST_verbose=1 to get more details about where exactly
    the test suite hangs. Seems also to reduce the likeliness for hangs
    and hence further mitigates #760061.
  * [16aa8c84] Cherry-pick git commit 87270496 from upstream: Fixes
    hanging in freejob from TRAPCHLD. May mitigate or even fix #760061.
  * [c3dea2bb] Convert debian/copyright into machine-readable DEP5 format.
  * [abc8d1f6] Complete debian/copyright with individual copyrights and
    licenses (Closes: #763191)

 -- Axel Beckert <abe@debian.org>  Thu, 02 Oct 2014 01:37:34 +0200

zsh (5.0.6-2) unstable; urgency=medium

  [ Axel Beckert ]
  * [be93912f] Cherry-pick 4414e54e from upstream: Fixes regression with
    shared or incremental history when trying to read .zsh_history with
    hist_fcntl_lock (Closes: #761597)
  * [0ef12ed3] Add test-suite wrapper and adequate test for DEP8
    as-installed testing
  * [a6b77953] Declare packaging branch in Vcs-Git header
  * [9a864f1e] Change Vcs-Browser to new cgit based repository viewer
  * [a3cbb95b] Bump Standards-Version to 3.9.6 (no changes needed)
  * [21e82382] Apply wrap-and-sort -a

  [ Wookey ]
  * [2bbd5ddc] Use autotools-dev as well as autoreconf to ensure
    configurey updates (Closes: #734765)

 -- Axel Beckert <abe@debian.org>  Sat, 20 Sep 2014 23:27:41 +0200

zsh (5.0.6-1) unstable; urgency=medium

  * New upstream release
  * [f3708a11] Disable -fstack-protector-strong on s390x. It causes
    endless loops in gcc-4.9. See #759870 for details.
  * Upload to unstable again.

 -- Axel Beckert <abe@debian.org>  Sun, 31 Aug 2014 01:13:28 +0200

zsh (5.0.5-dev-3-1) experimental; urgency=medium

  * New upstream release candidate
  * [52079263,7e2e5db0] Add command-not-found, environment-modules and
    python-powerline to bug-script list of packages containing code meant
    to be sourced in ".zshrc".
  * [c9d0ce06] Add fixed Ubuntu bug report to previous changelog entry

 -- Axel Beckert <abe@debian.org>  Tue, 26 Aug 2014 19:02:19 +0200

zsh (5.0.5-dev-2-1) experimental; urgency=medium

  * New upstream release candidate
    + [1584318b] fix crash in menu selection when number of terminal lines
      is small (Closes: #527110)
    + [2abc8530] Add some more recent dpkg options (Closes: #681518;
      Thanks Sebastian Ramacher for the patch!)
    + [d6c759fc] Expand aptitude completion by two boolean options
      (Closes: #702760; Thanks Daniel Bolton for report and patch!)
    + [35176b43] Match more shared library names (Closes: #755789; Thanks
      Ansgar Burchardt for report and patch!)
    + [d5886eb3] add --rsyncable to gzip completion (Closes: #702000;
      Thanks Vincent Lefevre fort report and patch!)
    + [0b62bde0] Update for axi-cache completion (Closes: #729921; Thanks
      Felipe Sateler for report and patch!)
    + [33351b14] Add completion for moosic (Closes: #630410; Thanks Omari
      Norman for report and patch!)
    + [a7d7c77b] Add completion for bpython and variants (Closes: #691714;
      Thanks Sebastian Ramacher for report and patch!)
    + [b63ff19d] Correct reload of backslash-continuation lines from
      history, fix bad history write of events ending with backslashes
      (LP: #1342724)

  [ Axel Beckert ]
  * [73508e34,baa705db] Remove all patches which were cherry-picked from
    or applied upstream
  * [51b9ee37,baa705db] Refresh patch replace-texi2html-with-makeinfo

 -- Axel Beckert <abe@debian.org>  Wed, 13 Aug 2014 01:46:31 +0200

zsh (5.0.5-4) unstable; urgency=medium

  * [5cebe890] Fix output file descriptor of bug script. reportbug
    only captures output to fd 3 and ignores STDOUT.
  * [11486424] Simplify helpfiles generation in debian/rules.
    + nroff is no more called twice (Closes: #737582)
    + There's no more need to replace any ISO Latin-1 character.
    + debian/rules is now pure 7-bit ASCII again
  * [d1d4dabe] Add lintian overrides for spelling error false positives.

 -- Axel Beckert <abe@debian.org>  Sat, 28 Jun 2014 17:37:54 +0200

zsh (5.0.5-3) unstable; urgency=medium

  [ Axel Beckert ]
  * [befdc25a] Don't even try to run test suite on hurd, it hangs.
  * [53e4180a] Add bug scripts to list packages that could interfere with
    zsh's behaviour.
  * [1af939ec] Cherry-pick apt and apt-mark completion updates from
    upstream. (Closes: #691526)
  * [ce0c912b] Cherry-pick upstream fix for INC_APPEND_HISTORY
    regression. (Closes: #749969)
  * [655a374b] Add build-dependency on cm-super-minimal. It FTBFS with TeX
    Live >= 2014 otherwise.

  [ Frank Terbeck ]
  * [5ac620f4] Add note about $fpath entries to README.Debian.

 -- Axel Beckert <abe@debian.org>  Fri, 13 Jun 2014 11:49:44 +0200

zsh (5.0.5-2) unstable; urgency=medium

  * [9cfeffbc] Add build-dependency on texlive-fonts-recommended
    (c.f. #738402, closes: #738452)
  * [c14fd3a8] Add a debian/upstream/metadata file according to DEP-12

 -- Axel Beckert <abe@debian.org>  Wed, 12 Mar 2014 00:21:06 +0100

zsh (5.0.5-1) unstable; urgency=medium

  * [8f137a4a] New upstream release
    + No more freeze when piping a function's output (Closes: #732726)
    + Command tab-completion works again after semicolon (Closes: #733075)

 -- Axel Beckert <abe@debian.org>  Sun, 05 Jan 2014 22:17:34 +0100

zsh (5.0.4-1) unstable; urgency=low

  * [59152a34] New upstream release

 -- Axel Beckert <abe@debian.org>  Sat, 21 Dec 2013 17:42:23 +0100

zsh (5.0.3-1) unstable; urgency=low

  * [929ba17da] New upstream release
    + [97ed366a] Drop fix-A05execution-ztst-setopt-MONITOR patch (applied
      upstream)
  * [7cdfd51c] Ignore test suite results on hurd-i386 for now
  * [54e2f2ee] Remove use-dev-null-instead-of-dev-tty-for-dash-c-test
    patch again. It was introduced in the hope it would fix test suite
    failures on hurd, but instead it made the test suite hang.
  * [07e365ef] Built-Using: Use libc-dev-bin instead of eglibc as
    parameter to dpkg-query since it needs to be a binary package and
    existing on all architectures.

 -- Axel Beckert <abe@debian.org>  Sun, 15 Dec 2013 03:20:32 +0100

zsh (5.0.2-test-3-1) experimental; urgency=low

  * [d799ac78] New upstream release candidate 5.0.2-test-3
    - [b95cf81b] Remove patches applied upstream
    - [e30f4023] Refresh patch replace-texi2html-with-makeinfo
    - [d1fce554] debian/rules: Util/helpfiles now requires parameters, but
      allows one to reduce our own magic around it.
    - [8efa92fb] Add newly generated help files to debian/clean
    - Includes many completion updates (Closes: #691601, #697247, #699851)
  * [abfb3b13] Bump Standards-Version to 3.9.5 (no changes)
  * [dcc18dd5] zsh-beta.postrm: Unregister /etc/shells entry on removal
    (Closes: #724251)
  * [f75d7101] Make lintian override zsh version agnostic
  * [8fe0f364] zsh-common: Remove Breaks against older zsh version
    (Hopefully closes: #707760)
  * [df234cd6] Update watch file to also catch release candidates
  * [1e707e44] Fix one test-suite failure on static builds due to
    non-existent $HOME. Thanks to Bart Schaefer and Peter Stephenson for
    spotting the cause.
  * [04b8f147,640ecca3] Fix test suite failures on Jenkins builds.

 -- Axel Beckert <abe@debian.org>  Tue, 03 Dec 2013 14:23:42 +0100

zsh (5.0.2-6) unstable; urgency=low

  * [57d31fe2] Replace patch to search for usable tty by patch to use
    /dev/null for -c test. Suggested on zsh-workers by Bart Schaefer.

 -- Axel Beckert <abe@debian.org>  Sat, 26 Oct 2013 15:09:56 +0200

zsh (5.0.2-5) unstable; urgency=low

  * [22bc9278,f7cf9ffb] Add patch to make test suite "-c" test more
    flexible, should prevent FTBFS on Hurd.  Thanks to Pino Toscano.
  * [e19ee43a] Only try to remove /etc/zsh-beta if it exists.
  * [5348f04a] No more built zsh-common on binary-arch by reordering
    debian/rules. Fixes error "binary-arch-produces-all" reported by the
    build log scanner.
  * [addc1a88,e2d2908b] Simplify dh_* calls by using -a/-i instead of
    listing all arch/indep packages.
  * [29efa515] Clean up dh_installchangelog calls by removing redundancy
  * [f309e67a] Require texinfo >= 5, it no more builds properly with older
    versions.

 -- Axel Beckert <abe@debian.org>  Mon, 30 Sep 2013 14:58:41 +0200

zsh (5.0.2-4) unstable; urgency=low

  [ Axel Beckert ]
  * [4a56474b] Clean up postinst created dirs again in postrm purge
    (Closes: #708106)
  * [35d13111] Remove redundant update-menus calls in maintainer scripts.
    (Done by dh_installmenu via the #DEBHELPER# marker nowadays.)
  * [5ee2676c] Run test-suite on static build, too, but ignore result for now
  * [a5afb115] Remove leading whitespace from texinfo directory entry
    (Closes: #711516)
  * [80916d06] Disable ansi2knr as it's no more available since automake
    1.12.  Fixes FTBFS with recent automake versions.
  * [3ff89eb4] Add patch to fix warnings in VCS_INFO's stgit support when
    guilt is used. Thanks to Frank Terbeck <ft@bewatermyfriend.org>.
  * [f0ab89ab] No more pass -Zxz to dpkg-deb explicitly as dpkg-deb uses
    xz as compressor by default since version 1.17.0.
    - [8e7e6852] Merge now common dh_builddeb lines
    - This also allows us to remove the Pre-Depends on dpkg >= 1.15.6~.
  * [0c130d4f] Add configure to debian/clean. (Not doing so may cause FTBFS)
  * [d5b36d06] Add lintian override: Completion/BSD.zwc is no extra
    license file
  * [6362089b] Add patch to replace texi2html by makeinfo. Fixes lintian
    warning build-depends-on-obsolete-package.
  * [0614e2d4] Remove redundant chmod from debian/rules (done by
    dh_fixperms anyways)
  * [76708e10] Add patch to fix segfault in compinit's get_cvdef/freecvdef.
    Segfault was triggered by task's tab completion.
  * [89e7f594] Fix path passed to dh_shlibdeps for multiarch. Fixes error
    message "objdump: 'debian/zsh/usr/lib/zsh/*/zsh/*.so': No such file"
    in build log. Has been broken since 6c668f5e.
  * [e2c05caf] Reformat all patch headers to be DEP3 compliant.  Also add
    more meta-data about upstream relations.

  [ Richard Hartmann ]
  * [242f65bd] debian/control: richih@debian.org

 -- Axel Beckert <abe@debian.org>  Fri, 20 Sep 2013 01:06:11 +0200

zsh (5.0.2-3) unstable; urgency=low

  * Upload to unstable again.

  [ Axel Beckert ]
  * [485652d2] Add dummy packages for transition from zsh-beta to zsh
    - [099ce7e5] Remove all zsh-beta related conditionals from debian/rules
    - [474dd5db] debian/rules: Replace "$(package)" with a hardcoded "zsh"
    - [e020321f] Add symbolic link /bin/zsh-beta pointing to /bin/zsh5 for
      backwards compatibility
    - [128d9bcd] Remove zsh-beta alternatives and conffiles in
      zsh-beta.postinst
  * debian/rules enhancements:
    - [f16a3cd4] Use dh_auto_{configure,build,install,clean}
    - [c0cb3e2a] No more ignore potential failing of "include", "rm -f" or
      "make install.xyz"
      + [abe28723] Add build-dependency on dpkg-dev (>= 1.16.1~)
    - [a9ee601d] Use DPKG_EXPORT_BUILDFLAGS instead of exporting flags
      manually
    - [7a8da596] Remove manuall handling of DEB_BUILD_OPTIONS=noopt
    - [b4bab288] Allow parallel builds
    - [b95dddd8] Replace checkroot target with dh_testroot
    - [b3343504] Use dh_installdocs --link-doc instead of dh_link for
      /usr/share/doc/zsh*
  * No-op debian/rules refactoring:
    - [a046f7bf] Rename targets stamp-configure and stamp-configure-static
      to dh_clean compatible names
    - [b78d2e2e] Wrap long lines
    - [4bc34d4c] Don't line-break sed expressions. Do line-break before
      their file parameters
    - [336b60ea] CONFIGFLAGS and STATICFLAGS: Only one flag per line
    - [0b48d60a] Split long debug CONFIGFLAGS line
    - [4fe45240] Consequently use "touch $@" to create stamp files
    - [74416133] Indent dh_* parameters and other code for a more
      readable, table-like debian/rules
    - [8c5e7918] Drop no more necessary manual compression of info files
    - [724593d0,843e72f6] Remove some blank lines and commented code
    - [e79f64cc] Simplify target dependencies (drops no-op build-stamp target)
    - [b607fe2e] Reduce some occurrences of multiple whitespaces into single
      ones
    - [f1059538] Mention in debian/rules why /usr/share/doc/zsh-static is
      no symlink
  * [e4bf431f,76452cb3] zsh{,-dbg,-doc,-dev,-beta,-beta-doc}.postinst:
    Create symlink to /usr/share/doc/zsh-common (Closes: #697808) Thanks
    to Sebastian Ramacher <sramacher@debian.org>
  * [76452cb3] Replace dependencies on zsh-common with versioned
    dependencies. (Policy 12.3 + 12.7)
  * [1ee01398] Add files generated before Makefile is generated to
    debian/clean
  * [6c668f5e] Bump dh compat to 9 for multiarch and additional debug
    symbol features
    - Enables compressed debugging symbols, saving > 50% space on disk
    - Enables Build-IDs for debugging symbols
    - Enables multiarch support, /usr/lib/zsh becomes e.g.
      /usr/lib/x86_64-linux-gnu/zsh on amd64
    - [b6bf39bd] Don't compress zsh-dbg with xz anymore, due to no more
      savings
  * [5ce8899a] No more install changelogs and copyright file into zsh-dbg.
    zsh-dbg already has a symlink from /usr/share/doc/zsh-dbg to
    zsh-common.
  * [673851ec] Move /usr/local/share/zsh/… prerm removal from zsh to
    zsh-common (Closes: #698224)
  * [45d5aff1] Compress zsh-static with xz, too
  * [014da817] Remove some more redundant entries from debian/zsh-*.dirs
  * [59b7118e] lintian-overrides: Also match architecture-containing
    /usr/lib* paths
  * [8416fa14,eca34308] Fix FTBFS with texinfo versions >= 5 by
    - cherry-picking commits 67a4be36c6203c26c3912c07441f42e3965f0fa8 and
      b174a0df054929efd7804922750c71adeb8e0b57 from upstream, and
    - adding a build-dependency on "texlive-latex-recommended | texinfo
      (<< 5~)". Thanks to Sebastian Ramacher <sramacher@debian.org>, too!
    (Closes: #707483)
  * [15b0943d] Bump Standards-Version to 3.9.4
    - [cb87cc19] Add Built-Using header to zsh-static, bump
      build-dependency on dpkg-dev to >= 1.16.2~

  [ Frank Terbeck ]
  * [8f09d2b6] Make zle-line-init and -finish more robust against weird
    option sets
  * [d87b0050] Add sequence and bindings for BackSpace key

  [ Richard Hartmann ]
  * [590dcd96] Import watchfile by Bart Martens

 -- Axel Beckert <abe@debian.org>  Fri, 10 May 2013 13:27:50 +0200

zsh (5.0.2-2) experimental; urgency=low

  * [37c73049] Convert package to debhelper
  * [be35418d] Split off arch-independent files into zsh-common (Fixes
    lintian warning arch-dep-package-has-big-usr-share 9873kB 84%; closes:
    #632514, #656898)
  * [d4d59f27] Use xz compression for the bigger binary packages
    - Add "Pre-Depends: dpkg (>= 1.15.6~)" to the according packages
  * [0033e9e8] Replace at2quilt with dh-autoreconf
  * [a7986a4a] Don't ignore potential failures of the test suite
  * Fixes the following lintian-warnings:
    - [a0227ee9] debian-news-entry-has-unknown-version
    - [6860acf8] package-file-is-executable
    - [cd2dd67f] debian-rules-missing-recommended-target
    - [cd2dd67f] package-would-benefit-from-build-arch-targets
  * Fixes the following dpkg-gencontrol warnings:
    - [d4e0e0af] unknown substitution variable ${shlibs:Depends}
  * Override the following lintian warning due to false positives:
    - [c2511a18] hardening-no-fortify-functions …/zleparameter.so

 -- Axel Beckert <abe@debian.org>  Fri, 28 Dec 2012 14:18:21 +0100

zsh (5.0.2-1) experimental; urgency=low

  * New upstream release

 -- Axel Beckert <abe@debian.org>  Fri, 21 Dec 2012 21:49:15 +0100

zsh (5.0.1-1) experimental; urgency=low

  * New upstream release
    - Fixes yodl version detection (Closes: #686870)
  * [28431aea] Fix lintian warning vcs-field-not-canonical

 -- Axel Beckert <abe@debian.org>  Fri, 21 Dec 2012 01:54:50 +0100

zsh (5.0.0-2) experimental; urgency=low

  [ Michael Prokop ]
  * [9d57d625] Apply wrap-and-sort on the Debian package

  [ Frank Terbeck ]
  * [0b3b271c] Do not use echoti {smkx,rmkx} unconditionally
  * [ab84f082] Print directly from $terminfo instead of using `echoti'

  [ Axel Beckert ]
  * [fa8ea69e] Fix documentation about debian/do-dch
  * [1c75bccb] Sync do-dch, gbp.conf and our workflow docs wrt. git-dch options

 -- Axel Beckert <abe@debian.org>  Wed, 08 Aug 2012 19:59:25 +0200

zsh (5.0.0-1) experimental; urgency=low

  * New upstream release
    - Fixes xsltproc completion (Closes: #676357)
    - Fixes svn completion for Subverion 1.7 (Closes: #679345)
    - Documents ^Z behavior while a function is running (Closes: #660630)

  [ Simon Ruderich ]
  * [71683958] Also export hardening CPPFLAGS (Closes: #644400)

  [ Axel Beckert ]
  * [c5dfca6a] No more offers a ksh alternative due to incomplete ksh
    emulation (Closes: #659969)
  * [1b2323de] Add groff to build-dependencies (for pdfroff)
  * [44948320] Add ghostscript to build-dependencies (for pdfroff)
  * [0e12e966] debian/*: /bin/zsh4 → /bin/zsh5, etc.

  [ Frank Terbeck ]
  * [cb9eb75f] Rewrite keyboard handling in zshrc
  * [f481abf8] Add debian/NEWS to document the keyboard changes
  * [a482b404] Un-tabified and rearranged zstyle call
  * [ddca9789] Only unalias `run-help' if the alias actually exists
  * [3988419a] Use stricter options with autoload

 -- Axel Beckert <abe@debian.org>  Wed, 25 Jul 2012 20:53:12 +0200

zsh (4.3.17-1) unstable; urgency=low

  * New upstream release

  [ Richard Hartmann ]
  * [6f601c9] Bump Standards-Version to 3.9.3 (no changes)
  * [fa4e533] Make debian/gbp.conf dynamic

  [ Axel Beckert ]
  * [0a9039dc] Add Richard Hartmann to Uploaders

 -- Axel Beckert <abe@debian.org>  Wed, 29 Feb 2012 00:35:54 +0100

zsh (4.3.16-1) unstable; urgency=low

  * New upstream release

  [ Frank Terbeck ]
  * [1a330ad7] 30079: Src/params.c: Restore `LC_ALL' when setting
    `LANG'. (Closes: #654225)
  * [756f17a7] A.Costa: grammar.yo, ChangeLog-3.1: Fix typo to
    "definition" (Closes: #658223)

  [ Pierre Chifflier ]
  * [53f9140d] Enable hardening options (Closes: #644400)

  [ Michael Prokop ]
  * [340a3b41] Raise upstream-branch version in gbp.conf to zsh-4.3.15

  [ Axel Beckert ]
  * [baf81ea9] Raise upstream-branch version in gbp.conf to zsh-4.3.16
  * [51a77e60] Add stamp-h.in to extend-diff-ignore

 -- Axel Beckert <abe@debian.org>  Tue, 21 Feb 2012 22:37:22 +0100

zsh (4.3.15-1) unstable; urgency=low

  * New upstream release
    + [45913f43] Allow closing of fd's not recorded by the shell
      (Closes: #644179)
    + [2938c58c] replace overlapping strcpy with memmove (Closes: #624497)
    + Includes new _git implementation (Closes: #630906, #603503)

  [ Frank Terbeck ]
  * [c63c0d79] Adding support for (un)markauto in _apt (Closes: #631795)
  * [fd222338] Support -F completion for aptitude (Closes: #632140)
  * [fbaba904, 7c61c918] Use one positive arch-spec instead of several negated
    ones (Closes: #634609)
  * [af2bb4fd] Removing upstream patches due to new release
  * [ea0e8c35] at2quilt: Updating autotools patches

  [ Michael Prokop ]
  * [21e7021b] provide debian/gbp.conf for git-buildpackage and friends

  [ Mitsuya Shibata ]
  * [1e111f71] Add "tinfo" to --with-term-lib flag (Closes: #645112)

  [ Ansgar Burchardt ]
  * [add75037] _bts: Update list of tags (Closes: #641162)

  [ Axel Beckert ]
  * [00f335b1] Support differentiation of generated orig.tar.bz2 ("debian
    source") vs upstream's tarballs. (Not used for now.)
    + Add dversionmangle to watch file
  * Build package from git --archive generated .orig.tar.bz2 for now to
    fix some file regeneration issues, e.g. with man pages. (Closes:
    #646046)
  * [f6f9a83e] Add some more (re)generated files to extend-diff-ignore in
    debian/source/options

 -- Axel Beckert <abe@debian.org>  Sun, 22 Jan 2012 20:51:58 +0100

zsh (4.3.12-1) unstable; urgency=low

  [ Frank Terbeck ]
  * New upstream release
    - Fixes typo in make-kpkg completion (Closes: #627046)
  * [b495ba1e] Removing upstream patches due to new release
  * [f575f568] Add urcl script for changelog updates at upstream releases
  * [8bcd117f] at2quilt: Updating autotools patches
  * [bf0a44a8] Enable additional $fpath entries for add-ons from other
    packages (Closes: #489646 #620452)
  * [b52c798e] Add do-dch script for convenience
  * [0ffda0fa] workflow.org: Fix structure
  * [b70d6102] Workflow updates
  * [250d8bd4] rules: system.h was renamed to zsh_system.h

  [ Axel Beckert ]
  * [94e182d5] Bump Standards-Version to 3.9.2 (no changes)
  * [72c39771] debian/watch: Prefer .tar.bz2 over .tar.gz
  * [71716e7f] Add Frank Terbeck to Uploaders, so Lintian doesn't regard
    his changelog entries as NMUs
  * Fixed some issues reported by Lintian:
    - [30777d4c] binary-control-field-duplicates-source
    - [6629343a, 00e23c14] maintainer-script-without-set-e
    - [4cbb6b9f] description-synopsis-starts-with-article
  * [ff82f833] Override Lintian warnings about statically linked stuff in
    zsh-static
  * [7096bf4f] debian/source/options: Ignore Util/difflog.pl, configure
    and config.h.in for patch generation
  * [0882d862] Abort package build in case of unexpected changes to
    upstream code

 -- Axel Beckert <abe@debian.org>  Thu, 16 Jun 2011 02:02:04 +0200

zsh (4.3.11-5) unstable; urgency=low

  * [d6e29c2b] Fix for false isident() behaviour
  * [de811a44] Fix for crash in incorrect bash-like index usage
  * [dbaa0788] debian/at2quilt: Append debian patches at the end of series
  * [2a6ba3c7] Add `debian/patch2quilt' script
  * [e5e18221] Add org-mode file that describes the current team workflow
  * [8e3a365c] patch2quilt: Stop stripping pathnames too much
  * [adb5ab78] Fix screen completion for serial devices (Closes: #623522)

 -- Frank Terbeck <ft@bewatermyfriend.org>  Wed, 27 Apr 2011 20:08:50 +0200

zsh (4.3.11-4) unstable; urgency=low

  [ Frank Terbeck ]
  * [78ab02ff] Initial `debian/' import
  * [bfb94ad4] Adding _fuser fix from upstream
  * [344bea55] Adding at2quilt script
  * [4e83fa72] Adding autotools related patches
  * [0bfbee7f] Make sure a configure script is executable and stamp.h.in exists
  * [56cc95c7] Installation of Etc/FAQ currently fails for the debian package
  * [545b40ea] Fix colors function to work with ksh_arrays (Closes: #613162)
  * [6219ec1f] Fix detection of svn repositories in vcs_info (Closes: #611175)
  * [983b6365] Adding patch to fix segfault with regular expression matching
  * [6ced6e2c] Adding patch to support yodl3
  * [6267bebc] Refreshing autotools patches for yodl3 fixes
  * [40086130] Fix endless loop due to lexer bug (Closes: #353863)

  [ Michael Prokop ]
  * [e8d69775] README.Debian: Add instructions how to use the zsh-dbg package.
  * [ed6737b2] Add yodl to Build-Depends and sort Build-Depends while at it.

 -- Frank Terbeck <ft@bewatermyfriend.org>  Wed, 02 Mar 2011 18:57:37 +0100

zsh (4.3.11-3) unstable; urgency=low

  * [6b5d568] Update Vcs-Git and Vcs-Browser control headers.
  * [17c579f] New maintainers (pkg-zsh). (Closes: #612143)

 -- Michael Prokop <mika@debian.org>  Thu, 10 Feb 2011 10:48:36 +0100

zsh (4.3.11-2) unstable; urgency=low

  * Fix psmisc detection of fuser completion, thanks to GI.
    closes: #607603.
  * Change "recommended" prompt theme to adam1.
  * Turn SHARE_HISTORY on in the recommended zshrc.
  * Orphan the package.

 -- Clint Adams <clint@zsh.org>  Sun, 16 Jan 2011 12:30:13 -0500

zsh (4.3.11-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <clint@zsh.org>  Sat, 25 Dec 2010 09:36:19 -0500

zsh (4.3.10-17) unstable; urgency=low

  * Various git completion fixes.
  * Complete filenames instead of packages for reportbug if the word
    begins with a slash.  closes: #538090.

 -- Clint Adams <clint@zsh.org>  Sun, 14 Nov 2010 15:39:46 -0500

zsh (4.3.10-16) unstable; urgency=low

  * Add git-buildpackage completion from Felipe Sateler.
    closes: #602962.
  * setopt histignorealldups in the recommended user .zshrc.

 -- Clint Adams <clint@zsh.org>  Thu, 11 Nov 2010 14:16:01 -0500

zsh (4.3.10-15) unstable; urgency=low

  * Update carstenh.zshrc example.
  * Patch from Александр Новиченко to fix recexact segfault in
    completion.  closes: #590736.
  * Bump to Standards-Version 3.9.1.
  * Fix zsh-newuser-install newline placement.  closes: #591144.

 -- Clint Adams <schizo@debian.org>  Tue, 10 Aug 2010 14:58:58 -0400

zsh (4.3.10-14) unstable; urgency=low

  * ZW#27804: don't hang on encountering invalid character in
    incremental search.  closes: #574502.
  * xmlsoft --nodtdattr completion thanks to Vincent Lefevre.
    closes: #585812.
  * Add example .zshrc from Carsten Hey.  closes: #587278.
  * Add recommended .zshrc for users to choose on initial run.

 -- Clint Adams <schizo@debian.org>  Wed, 30 Jun 2010 09:40:28 -0400

zsh (4.3.10-13) unstable; urgency=low

  * Patch from Bernd Zeimetz to complete 'bts affects'.
    closes: #579529.
  * ZW#28006: make zgetcwd() fall back to pwd, only use "." if
    setting pwd.  closes: #585660.

 -- Clint Adams <schizo@debian.org>  Sun, 13 Jun 2010 10:35:03 -0400

zsh (4.3.10-12) unstable; urgency=low

  * Do not do host completion for entries in ~/.ssh/known_hosts with
    port numbers.
  * Fix lsusb completino to work with uncompressed usb.ids.
    closes: #579117.
  * Add completion for axi-cache.
  * Add completion for pbuilder.  ref: #570878.

 -- Clint Adams <schizo@debian.org>  Sun, 25 Apr 2010 19:05:36 -0400

zsh (4.3.10-11) unstable; urgency=low

  * Switch build-dep back to libcap-dev since libcap2-dev is a virtual
    package now.
  * Bump to Standards-Version 3.8.4.
  * Patch from Michael Prokop for apt --no-install-recommends
    completion.  closes: #570520

 -- Clint Adams <schizo@debian.org>  Sun, 21 Feb 2010 13:15:17 -0500

zsh (4.3.10-10) unstable; urgency=low

  * ZW#27565: sanity check numeric arguments to ulimit
  * ZW#27566: add ulimit -c hard and immediate return on argument error
    closes: #568678.

 -- Clint Adams <schizo@debian.org>  Sat, 06 Feb 2010 18:47:41 -0500

zsh (4.3.10-9) unstable; urgency=low

  * Patch from Chris Lamb to improve django completion.
    closes: #562753.

 -- Clint Adams <schizo@debian.org>  Sun, 27 Dec 2009 21:52:39 -0500

zsh (4.3.10-8) unstable; urgency=low

  * Patch from Michael Prokop to fix dput --delayed completion.
    closes: #560881.

 -- Clint Adams <schizo@debian.org>  Sat, 12 Dec 2009 19:16:31 -0500

zsh (4.3.10-7) unstable; urgency=low

  * Update prompt_clint_setup to use a slightly different color scheme
    when run over ssh.
  * Switch to 3.0 (quilt) source format.
  * Fix gpg --verify-files completion.  closes: #557286.

 -- Clint Adams <schizo@debian.org>  Mon, 23 Nov 2009 04:49:17 -0500

zsh (4.3.10-6) unstable; urgency=low

  * Update mpc completion for version 0.17.
  * Have zsh-doc depend on dpkg (>= 1.15.4) | install-info.
  * Drop ancient Conflicts.
  * Drop duplicate Priority fields.
  * Drop alternative build dependency on tetex-bin.

 -- Clint Adams <schizo@debian.org>  Sat, 24 Oct 2009 01:20:39 -0400

zsh (4.3.10-5) unstable; urgency=low

  * Possible fix for an intermittent history segfault.  closes: #535232.
  * Bump to Standards-Version 3.8.3.

 -- Clint Adams <schizo@debian.org>  Sun, 16 Aug 2009 19:43:33 -0400

zsh (4.3.10-4) unstable; urgency=low

  * Cope with the fact that GCC on Debian GNU/kFreeBSD defines __GLIBC__
    for some nonsensical reason.  closes: #536601.
  * Update reportbug completion.  closes: #537461.
  * Remove zsh-doc postinst and prerm.

 -- Clint Adams <schizo@debian.org>  Sat, 01 Aug 2009 00:29:15 -0400

zsh (4.3.10-3) unstable; urgency=low

  * Bump to Standards-Version 3.8.2.
  * Patch from Vincent Bernat to add completion for bts fixed/notfixed.
    closes: #536022.

 -- Clint Adams <schizo@debian.org>  Fri, 10 Jul 2009 21:58:50 -0400

zsh (4.3.10-2) unstable; urgency=medium

  * Patch from Colin Watson to complete for for bzr switch.
    closes: #531549.

 -- Clint Adams <schizo@debian.org>  Tue, 02 Jun 2009 14:51:43 -0400

zsh (4.3.10-1) unstable; urgency=low

  * New upstream version.
    - Patch from Kalle Olavi Niemitalo to fix git write-tree
      and git send-pack completions.  closes: #524754.
    - Patch from Patrick Schoenfeld to complete .t files for
      perl.  closes: #527369.
    - Complete apt-get purge.  closes: #525215.
  * Remove lintian override.
  * Remove zsh-doc postinst/prerm invocations of install-docs.
  * Move zsh-dbg to Section 'debug'.
  * Set custom patchlevel ($ZSH_PATCHLEVEL) to "Debian".

 -- Clint Adams <schizo@debian.org>  Mon, 01 Jun 2009 14:20:05 -0400

zsh (4.3.9-5) unstable; urgency=low

  * Patch from Greg Klanderman to use device/inode/mtime for svn
    completion caching.  closes: #512308.

 -- Clint Adams <schizo@debian.org>  Thu, 21 May 2009 21:25:43 -0400

zsh (4.3.9-4) unstable; urgency=low

  * ZW#26675: add POSIX_ALIASES option.  closes: #516998.
  * ZW#26602: fix buffer overflow in ! (history) handling.
    closes: #521108.
  * Bump to Standards-Version 3.8.1.
  * ZW#26625, ZU#13593: inopportune interrupt could wreck terminal set
    up (combined patch thanks to Vincent Lefevre).  closes: #521174.

 -- Clint Adams <schizo@debian.org>  Wed, 25 Mar 2009 23:36:43 -0400

zsh (4.3.9-3) unstable; urgency=medium

  * ZU#13477: fix completion of files after rm.  closes: #517448.
  * Patch from Chris Lamb to complete custom Django management commands.
    closes: #517672.

 -- Clint Adams <schizo@debian.org>  Sun, 01 Mar 2009 11:16:34 -0500

zsh (4.3.9-2) unstable; urgency=low

  * Patch from Daniel Friesel to complete .flac files for mplayer.
    closes: #516816.
  * Patch from Sven Joachim to complete aptitude build-dep.
    closes: #512671.
  * Tim Schumacher's completion for xmms2, thanks to Louis-David
    Mitterrand.  closes: #512610.

 -- Clint Adams <schizo@debian.org>  Sat, 28 Feb 2009 14:44:32 -0500

zsh (4.3.9-1) unstable; urgency=low

  * New upstream version.
    - Fixes completion errors when CSH_JUNKIE_QUOTES is set.  closes: #497663.
    - Fixes some broken handling of Unicode characters in completion.
      closes: #501851.
  * Patch from Chris Lamb for lintian-info completion.  closes: #490383.
  * Patch from Chris Lamb for Django 1.0 completion.  closes: #500489
  * Patch from Ansgar Burchardt to improve bts completion.  closes: #503575.
  * Remove --remote-sent-files from rsync completion, thanks to
    Louis-David Mitterrand.  closes: #498780.
  * Fix compinstall losing prior config thanks to Morita Sho.
    closes: #501248.
  * Merge in minor rules tweaks from zsh-beta.
  * Patch from Ryo IGARASHI to equate 'bzr co' with 'bzr checkout'.
    closes: #504769.

 -- Clint Adams <schizo@debian.org>  Mon, 29 Dec 2008 12:01:01 -0500

zsh (4.3.6-7) unstable; urgency=medium

  * Add grep-excuses completion from Chris Lamb.  closes: #494137.
  * Apply patch from Chris Lamb for apt-show-versions completion
    improvement.  closes: #494138.

 -- Clint Adams <schizo@debian.org>  Fri, 08 Aug 2008 15:21:25 -0400

zsh (4.3.6-6) unstable; urgency=medium

  * Fudge curses module check to build with libncursesw5-dev.
  * Apply patch from Chris Lamb to add xrandr --same-as completion.
    closes: #487626.
  * Fix completion of gpg --recv-keys and --send-keys.  closes: #491742.

 -- Clint Adams <schizo@debian.org>  Tue, 22 Jul 2008 22:39:19 -0400

zsh (4.3.6-5) unstable; urgency=medium

  * ZU#13036: recognize . as a valid username character.
    closes: #490968.
  * Bump to Standards-Version 3.8.0.

 -- Clint Adams <schizo@debian.org>  Wed, 16 Jul 2008 18:33:18 -0400

zsh (4.3.6-4) unstable; urgency=medium

  * Tweak configure so that dpkg-dev setting CPPFLAGS to the null string
    doesn't break LFS.  closes: #483867.

 -- Clint Adams <schizo@debian.org>  Sat, 31 May 2008 17:42:20 -0400

zsh (4.3.6-3) unstable; urgency=low

  * Update locate completion to properly handle newer versions of GNU
    findutils.  closes: #482662.

 -- Clint Adams <schizo@debian.org>  Sat, 31 May 2008 13:14:20 -0400

zsh (4.3.6-2) unstable; urgency=medium

  * Complete .spx files after ogg123, thanks to Markus Waldeck.  closes:
    #474744.
  * Call configure with --enable-readnullcmd=pager (for when this
    becomes meaningful in the next upstream version, thanks to Marc Chantreux).
  * Hardcode default readnullcmd to "pager" instead of "more".  closes:
    #477722.

 -- Clint Adams <schizo@debian.org>  Mon, 28 Apr 2008 21:14:12 -0400

zsh (4.3.6-1) unstable; urgency=medium

  * New upstream version.
  * Unconditionally add zsh and zsh-static to /etc/shells in postinst,
    to ensure smooth transition to lenny+1.  closes: #473652.

 -- Clint Adams <schizo@debian.org>  Wed, 02 Apr 2008 11:31:01 -0400

zsh (4.3.5-8) unstable; urgency=low

  * Avoid removal/readdition of shells in /etc/shells on package
    upgrades, in order to preserve local changes.
    closes: #473199, #473200.
  * Switch build dependency to libcap2-dev.

 -- Clint Adams <schizo@debian.org>  Sat, 29 Mar 2008 13:15:58 -0400

zsh (4.3.5-7) unstable; urgency=medium

  * Complete packages for aptitude why and why-not.  closes: #472193.
  * Make git completion cope with user configs setting colors to
    "always".  closes: #469588.
  * Move doc-base section to 'Shells' in accordance with doc-base 0.8.10
    policy.
  * Add PDF format to the doc-base control file.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Mar 2008 12:06:29 -0400

zsh (4.3.5-6) unstable; urgency=low

  * Completion for calendar.
  * Update git completion (bisect skip and run, copying with the
    situation wherein git is an alias to a wrapper).

 -- Clint Adams <schizo@debian.org>  Sun, 16 Mar 2008 10:46:49 -0400

zsh (4.3.5-5) unstable; urgency=medium

  * Fix completion of rsync -e ssh remote pathnames containing spaces.
    closes: #468654.

 -- Clint Adams <schizo@debian.org>  Sun, 02 Mar 2008 16:55:13 -0500

zsh (4.3.5-4) unstable; urgency=low

  * ZW#24611: fix ${+array[...]} with empty range matches.
    closes: #466655.

 -- Clint Adams <schizo@debian.org>  Thu, 28 Feb 2008 00:04:41 -0500

zsh (4.3.5-3) unstable; urgency=medium

  * ZU#12632: fix bug unexporting special parameter after
    "SPECIAL=stuff funccall".  closes: #317773.
  * Drop --print-gnu-build-architecture from dpkg completion.
    closes: #466904.
  * Patch documentation to reflect that global rc files are
    in /etc/zsh.  closes: #466596.
  * Add Vcs-Git and Vcs-Browser control headers.

 -- Clint Adams <schizo@debian.org>  Fri, 22 Feb 2008 10:07:10 -0500

zsh (4.3.5-2) unstable; urgency=low

  * Add Homepage control field.
  * Apply patches from A Costa to fix documentation typos.
    closes: #463613, #463614, #463615, #463616, #463617, #463619,
    #463620, #463621, #463622.
  * Drop debconf-related dependencies and all vestiges of the
    debconf note.  closes: #463916.
  * Remove conffile movement code from postinst.

 -- Clint Adams <schizo@debian.org>  Tue, 12 Feb 2008 18:28:01 -0500

zsh (4.3.5-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Fri, 01 Feb 2008 11:44:10 -0500

zsh (4.3.4-dev-8-1) unstable; urgency=low

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Jan 2008 09:29:38 -0500

zsh (4.3.4-dev-7-4) unstable; urgency=low

  * Add symlink for zsh4-static man page.
  * Reduce testsuite verbosity back to normal.
  * Update dpkg completion.  closes: #460566.
  * Fix sed completion for multiple input files.  closes: #461143.

 -- Clint Adams <schizo@debian.org>  Sun, 27 Jan 2008 21:55:52 -0500

zsh (4.3.4-dev-7-3) unstable; urgency=low

  * Remove leading spaces from Texinfo direntry, since they cause
    dpkg's broken install-info to break.  closes: #460158.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Jan 2008 18:44:04 -0500

zsh (4.3.4-dev-7-2) unstable; urgency=medium

  * ZW#24384: eliminate invalid pointer causing segfault when
    trying to complete 'apt-c('.  closes: #459896.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Jan 2008 11:48:26 -0500

zsh (4.3.4-dev-7-1) unstable; urgency=low

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Tue, 08 Jan 2008 12:55:44 -0500

zsh (4.3.4-dev-6-10) unstable; urgency=medium

  * Update completion for xpdf.  closes: #458422.
  * Update run-help to CVS version.

 -- Clint Adams <schizo@debian.org>  Fri, 04 Jan 2008 13:46:20 -0500

zsh (4.3.4-dev-6-9) unstable; urgency=low

  * Update completion for metaflac.

 -- Clint Adams <schizo@debian.org>  Fri, 04 Jan 2008 12:33:47 -0500

zsh (4.3.4-dev-6-8) unstable; urgency=low

  * Drop Debian run-help fork and modify upstream run-help at build
    time with sed.
  * Reduce testsuite verbosity to level 1.

 -- Clint Adams <schizo@debian.org>  Fri, 04 Jan 2008 10:46:04 -0500

zsh (4.3.4-dev-6-7) unstable; urgency=low

  * Tweak run-help so that it runs man on tails and not full
    pathnames.
  * Increase testsuite verbosity.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Dec 2007 14:30:22 -0500

zsh (4.3.4-dev-6-6) unstable; urgency=low

  * Ignore testsuite failures.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Dec 2007 16:26:57 -0500

zsh (4.3.4-dev-6-5) unstable; urgency=low

  * Add extra diagnostic to test harness to track down potential
    problem with V01zmodload test on the buildds.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Dec 2007 12:12:19 -0500

zsh (4.3.4-dev-6-4) unstable; urgency=low

  * Remove leading spaces from Texinfo direntry, since they cause
    a "fixed" makeinfo to break.  closes: #457741, #457743.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Dec 2007 10:36:07 -0500

zsh (4.3.4-dev-6-3) unstable; urgency=low

  * Tweak test suite so that skipped tests are not counted as failures.

 -- Clint Adams <schizo@debian.org>  Mon, 24 Dec 2007 20:40:59 -0500

zsh (4.3.4-dev-6-2) unstable; urgency=low

  * Move zsh-doc to section 'doc'.
  * Set HOME to a directory guaranteed to exist while running the
    test suite.

 -- Clint Adams <schizo@debian.org>  Mon, 24 Dec 2007 14:34:33 -0500

zsh (4.3.4-dev-6-1) unstable; urgency=low

  * New upstream development release.
  * Drop version number from the function directory.  closes: #455891.
  * Switch to ncursesw.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Dec 2007 09:53:11 -0500

zsh (4.3.4-dev-5-1) unstable; urgency=low

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Mon, 17 Dec 2007 14:58:14 -0500

zsh (4.3.4-dev-4-2) unstable; urgency=low

  * Drop module linking patch.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Dec 2007 11:30:25 -0500

zsh (4.3.4-dev-4-1) unstable; urgency=low

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Tue, 11 Dec 2007 10:23:17 -0500

zsh (4.3.4-dev-3-3) unstable; urgency=low

  * Use LDFLAGS=-Wl,--as-needed for zsh binary and modules.
  * Bump to Standards-Version 3.7.3.
  * Add completion for id.  closes: #454990.
  * Add completion for members.  closes: #454994.
  * Apply patch from Vincent Lefevre to handle "-include" in make
    completion.  closes: #455070.

 -- Clint Adams <schizo@debian.org>  Mon, 10 Dec 2007 20:25:33 -0500

zsh (4.3.4-dev-3-2) unstable; urgency=high

  * Stop shipping difflog.pl in the binary package.  closes: #454073.
    [CVE-2007-6209].

 -- Clint Adams <schizo@debian.org>  Tue, 04 Dec 2007 10:17:27 -0500

zsh (4.3.4-dev-3-1) unstable; urgency=medium

  * New upstream development release.
    - fixes segfault when doing
      `export TERM=dumb; export TERM=xterm; export TERM=dumb`.
      closes: #452915.

 -- Clint Adams <schizo@debian.org>  Mon, 26 Nov 2007 11:51:38 -0500

zsh (4.3.4-dev-2-1) unstable; urgency=low

  * New upstream development release.
    - properly handles negative zero.  closes: #448732.
    - default to POSIX symlink dereferencing behavior in chgrp
      builtin.  closes: #439036.

 -- Clint Adams <schizo@debian.org>  Sun, 25 Nov 2007 19:46:49 -0500

zsh (4.3.4-27) unstable; urgency=low

  * Fix two issues with `git push` completion, thanks to Sean Finney.
  * Fix typo in the "clint" prompt.

 -- Clint Adams <schizo@debian.org>  Thu, 22 Nov 2007 14:16:29 -0500

zsh (4.3.4-26) unstable; urgency=low

  * Add completion for cut, from Dr. Markus Waldeck.
    closes: #448465.
  * Only run $(MAKE) distclean if Makefile exists.
  * Don't install any of the completion function files +x.

 -- Clint Adams <schizo@debian.org>  Mon, 12 Nov 2007 12:13:36 -0500

zsh (4.3.4-25) unstable; urgency=low

  * Add completion for dpkg-repack, from Dr. Markus Waldeck.
    closes: #448182.

 -- Clint Adams <schizo@debian.org>  Fri, 26 Oct 2007 15:22:39 -0400

zsh (4.3.4-24) unstable; urgency=low

  * Add completion for growisofs.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Oct 2007 21:26:38 -0400

zsh (4.3.4-23) unstable; urgency=low

  * Update git completion.
  * Update clint prompt.

 -- Clint Adams <schizo@debian.org>  Fri, 19 Oct 2007 11:30:31 -0400

zsh (4.3.4-22) unstable; urgency=medium

  * Fix broken git svnimport completion.  closes: #446800.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Oct 2007 15:52:56 -0400

zsh (4.3.4-21) unstable; urgency=low

  * Add .m4 file for aclocal in -dev package.
  * Guard (ZSH_OOT_MODULE) struct timezone definition in Src/system.h
    to facilitate out-of-tree module building.
  * Update git completion.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Oct 2007 09:45:15 -0400

zsh (4.3.4-20) unstable; urgency=low

  * Update git completion.

 -- Clint Adams <schizo@debian.org>  Thu, 04 Oct 2007 05:13:07 -0400

zsh (4.3.4-19) unstable; urgency=low

  * Update subversion completion.
  * Update git completion, including git-mergetool.  closes: #444747.
  * Add completion for dpkg-buildpackage.
  * Add completion for svn-buildpackage.  closes: #345437.
  * Change menu section to Applications/Shells.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Sep 2007 14:20:18 -0400

zsh (4.3.4-18) unstable; urgency=medium

  * Fix git rm completion.  closes: #443489.

 -- Clint Adams <schizo@debian.org>  Fri, 21 Sep 2007 14:50:16 -0400

zsh (4.3.4-17) unstable; urgency=low

  * Update dput completion.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Sep 2007 07:30:42 -0400

zsh (4.3.4-16) unstable; urgency=medium

  * Fix segfault with vi history search.  closes: #439425.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Sep 2007 16:48:11 -0400

zsh (4.3.4-15) unstable; urgency=medium

  * ZW#23794: don't segfault when trying to complete after strings such
    as "foo$".
  * Chris Lamb's completion for lighty-{enable,disable}-mod.
    closes: #439261.

 -- Clint Adams <schizo@debian.org>  Thu, 30 Aug 2007 18:31:25 -0400

zsh (4.3.4-14) unstable; urgency=low

  * Ship md5sums for zsh-dev and zsh-dbg.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Aug 2007 19:44:20 -0400

zsh (4.3.4-13) unstable; urgency=medium

  * Complete for apt-get autoremove.  closes: #436357.
  * Make bts show completion be exactly the same as bts bugs
    completion.  closes: #429640.
  * Complete for bts cache and bts cleancache.  closes: #349033.

 -- Clint Adams <schizo@debian.org>  Tue, 07 Aug 2007 10:25:45 -0400

zsh (4.3.4-12) unstable; urgency=medium

  * Update dvips completion to handle -G, -j, -R, -u, -U, -v, -V, -y,
    and -z.
  * Handle arguments to dvips -P without intervening space.
    closes: #434879.
  * ZW#23450: fix undefined widget causing crash in in $widgets special
    parameter.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Jul 2007 10:37:59 -0400

zsh (4.3.4-11) unstable; urgency=low

  * Patch from Magnus Therning to make tin completion respect TIN_HOMEDIR
    environment variable.  closes: #433767.
  * Patch from Vincent Lefevre to redirect apt-cache's stderr whining to
    /dev/null in deb package completion.  closes: #432036.

 -- Clint Adams <schizo@debian.org>  Fri, 20 Jul 2007 05:42:36 -0400

zsh (4.3.4-10) unstable; urgency=high

  * Remove preinst (the need for conffile moves pre-dates sarge).
  * Engage in historical revisionism and remove ancient "closes="
    pairs from changelog.
  * Bring accidentally-misplaced postinst back. closes: #431422.

 -- Clint Adams <schizo@debian.org>  Tue, 26 Jun 2007 12:30:40 -0400

zsh (4.3.4-9) unstable; urgency=low

  * Word-compile functions at build time instead of in postinst.
    closes: #430472.

 -- Clint Adams <schizo@debian.org>  Tue, 26 Jun 2007 11:43:42 -0400

zsh (4.3.4-8) unstable; urgency=low

  * Complete already-controlled files after 'git add'. closes: #428793.

 -- Clint Adams <schizo@debian.org>  Thu, 14 Jun 2007 10:12:44 -0400

zsh (4.3.4-7) unstable; urgency=low

  * Complete filenames after 'git reset <revision>'.  closes: #428705.
  * Fix wodim completion to not run cdrecord.  closes: #426266.
  * Change tex build dependency to texlive-latex-base | tetex-bin.

 -- Clint Adams <schizo@debian.org>  Wed, 13 Jun 2007 12:42:59 -0400

zsh (4.3.4-6) unstable; urgency=medium

  * ZW#23478. Fix segfault in reverse-menu-complete.  closes: #426161.

 -- Clint Adams <schizo@debian.org>  Wed, 06 Jun 2007 12:55:43 -0400

zsh (4.3.4-5) unstable; urgency=low

  * Clean up detritus from zsh-dev and zsh-dbg packages in
    clean target.  closes: #424078.

 -- Clint Adams <schizo@debian.org>  Tue, 15 May 2007 19:22:49 -0400

zsh (4.3.4-4) unstable; urgency=low

  * Apply patch from Alexander Myodov to better complete sessions for
    screen.  closes: #423897.
  * Merge changes into Debian run-help.

 -- Clint Adams <schizo@debian.org>  Mon, 14 May 2007 15:50:00 -0400

zsh (4.3.4-3) unstable; urgency=low

  * Add Italian debconf templates translation from Luca Monducci.
    closes: #422418.
  * Build and ship the PDF in zsh-doc.  closes: #319595.
  * Add build dependency on texlive | tetex-bin.

 -- Clint Adams <schizo@debian.org>  Sun, 06 May 2007 16:57:40 -0400

zsh (4.3.4-2) unstable; urgency=medium

  * Correct semi-colon typo in add-zsh-hook.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Apr 2007 15:51:43 -0400

zsh (4.3.4-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Apr 2007 07:29:14 -0400

zsh (4.3.3-1) unstable; urgency=low

  * New upstream version.
  * Fix "too much .RE in zsh manpages".  closes: #391002.

 -- Clint Adams <schizo@debian.org>  Wed, 18 Apr 2007 17:00:27 -0400

zsh (4.3.2-26) unstable; urgency=low

  * Add completion for apt-cache --install.  closes: #412679.
  * Update completion for make-kpkg.  closes: #410924.
  * Fix completion for mpc.  closes: #405578
  * Fix completion for darcs.  closes: #400500.
  * Fix build system logic error for zsh-dev.  closes: #411885.
  * Add gl.po from Jacobo Tarrio.  closes: #412197.
  * Update completion for aptitude.  closes: #405355.

 -- Clint Adams <schizo@debian.org>  Tue, 10 Apr 2007 09:46:46 -0400

zsh (4.3.2-25) unstable; urgency=medium

  * ZW#23008: don't change a 126 return code to a 127 when stderr
    is redirected.

 -- Clint Adams <schizo@debian.org>  Thu, 23 Nov 2006 21:17:31 -0500

zsh (4.3.2-24) unstable; urgency=medium

  * Completion for toilet.
  * Fix acpi completion.
  * Complete cdrecord options for wodim.
  * Complete .xpi files for zip/unzip.

 -- Clint Adams <schizo@debian.org>  Fri, 17 Nov 2006 23:32:34 -0500

zsh (4.3.2-23) unstable; urgency=low

  * From R. Ramkumar: Completion for mkdir.  closes: #396486.
  * Completion for ri.

 -- Clint Adams <schizo@debian.org>  Wed,  1 Nov 2006 19:13:47 -0500

zsh (4.3.2-22) unstable; urgency=medium

  * ZW#22584: Frank Terbeck's fix to complete uncompressed archives.
    closes: #394818.

 -- Clint Adams <schizo@debian.org>  Mon, 23 Oct 2006 09:10:09 -0400

zsh (4.3.2-21) unstable; urgency=high

  * Remove stray .orig files from source package.  closes: #392113.
  * Update completion for aptitude.  closes: #392338.
  * Completion for a2ensite, a2dissite, a2enmod, a2dismod.
    closes: #392338.

 -- Clint Adams <schizo@debian.org>  Sat, 14 Oct 2006 12:05:42 -0400

zsh (4.3.2-20) unstable; urgency=low

  * Complete .flv and .mp4 files for mplayer.  closes: #390714.
  * Completion for pon and invoke-rc.d.  closes: #391001.

 -- Clint Adams <schizo@debian.org>  Sat,  7 Oct 2006 04:34:39 -0400

zsh (4.3.2-19) unstable; urgency=medium

  * Fix buggy gpg --encrypt-to completion.
  * From Roger Leigh: Completion updates for dchroot and schroot,
    and new completion for dchroot-dsa.  closes: #390574.
  * From R. Ramkumar: Completion of bindable IP addresses for
    bittorrent, rsync, ssh, and wget.  closes: #390109.

 -- Clint Adams <schizo@debian.org>  Tue,  3 Oct 2006 12:02:03 -0400

zsh (4.3.2-18) unstable; urgency=low

  * Completion for acpitool.  closes: #389795.
  * Add https protocol to url completion.  closes: #389796.
  * Fix typo in subversion completion.  closes: #389799.
  * Add R. Ramkumar's generic fuse completion support.
    closes: #389801.
  * Cleanup for bittorrent completion.  closes: #390048.
  * Change fusermount completion to use generic fuse
    function.  closes: #390049.

 -- Clint Adams <schizo@debian.org>  Sat, 30 Sep 2006 17:04:54 -0400

zsh (4.3.2-17) unstable; urgency=low

  * Implement ulimit -e and -r (same as limit nice and
    limit rt_priority).
  * Change zsh-dbg dependency on zsh from Source-Version to
    binary:Version.

 -- Clint Adams <schizo@debian.org>  Fri, 15 Sep 2006 17:14:35 -0400

zsh (4.3.2-16) unstable; urgency=medium

  * ZW#22715: fix broken logic for AUTO_CONTINUE.  closes: #271488.

 -- Clint Adams <schizo@debian.org>  Fri, 15 Sep 2006 14:56:52 -0400

zsh (4.3.2-15) unstable; urgency=low

  * Complete for 'baz switch'.  cf. #383115.
  * Handle single-digit and two-digit octal escapes in printf
    builtin.  closes: #386730.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Aug 2006 01:05:11 -0400

zsh (4.3.2-14) unstable; urgency=low

  * Add completion for cssh (clusterssh).
  * Slightly improve completion for svn propset.  closes: #377647.

 -- Clint Adams <schizo@debian.org>  Tue, 11 Jul 2006 22:38:44 -0400

zsh (4.3.2-13) unstable; urgency=medium

  * Complete compressed tarball filenames for GNU tar even when
    a compression option isn't specified.  closes: #375186.

 -- Clint Adams <schizo@debian.org>  Sat, 24 Jun 2006 15:29:58 -0400

zsh (4.3.2-12) unstable; urgency=medium

  * Extend madison completion to rmadison.
  * Add completion for dak.
  * ZU#10282: completion associated sections with man page names.
  * Fix lintian option completion.
  * Bump to Standards-Version 3.7.2.

 -- Clint Adams <schizo@debian.org>  Fri,  9 Jun 2006 15:00:28 -0400

zsh (4.3.2-11) unstable; urgency=medium

  * Patch from Oliver Kiddle to update subversion completion
    for diff and resolved subcommands.  closes: #342348, #368903.
  * Update bzr completion from HEAD.
  * Add completion for vserver.  closes: #365238.
  * Remove /usr/bin/X11 from /etc/zsh/zshenv PATH.  closes: #366417.
  * Patch from R.Ramkumar to canonicalize completion alternatives
    for use in umount.  closes: #368404.

 -- Clint Adams <schizo@debian.org>  Fri,  2 Jun 2006 16:33:05 -0400

zsh (4.3.2-10) unstable; urgency=medium

  * Patch from R.Ramkumar to update valgrind completion.
    closes: #368389.
  * Patch from R.Ramkumar to update and fix mpc completion.
    closes: #368390.

 -- Clint Adams <schizo@debian.org>  Thu, 25 May 2006 23:29:15 -0400

zsh (4.3.2-9) unstable; urgency=medium

  * Add completion for tcptraceroute, traceroute, tracepath6.
  * ZW#22448: Don't segfault when "completing arrays".
    closes: #367823.
  * Unalias run-help in /etc/zsh/zshrc again.

 -- Clint Adams <schizo@debian.org>  Sat, 20 May 2006 12:57:03 -0400

zsh (4.3.2-8) unstable; urgency=medium

  * Patch from R.Ramkumar to complete "mpc --no-status".
    closes: #364708
  * Handle kfreebsd-amd64 in the build-depends.  closes: #361453.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Apr 2006 00:39:04 -0400

zsh (4.3.2-7) unstable; urgency=low

  * More zsh-mime-handler fixes.
  * Updated completion for surfraw from Micah Anderson.
    closes: #364389.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Apr 2006 10:27:27 -0400

zsh (4.3.2-6) unstable; urgency=medium

  * Add completion for analyseplugin (ladspa) from R.Ramkumar.
    closes: #356676.
  * Patch from R.Ramkumar to fix "zsh-mime-handler used even in
    the case of executable files".  closes: #339635.
  * Patch from R.Ramkumar to enable use of IP addresses and
    multiple host files in _hosts closes: #359992.

 -- Clint Adams <schizo@debian.org>  Fri, 31 Mar 2006 09:09:31 -0500

zsh (4.3.2-5) unstable; urgency=low

  * Strip zsh4-static binary again; this broke in the zsh-dbg
    transition.  closes: #360034.
  * Version the build-dep on texi2html to >=1.76-3. closes: #344983.

 -- Clint Adams <schizo@debian.org>  Thu, 30 Mar 2006 09:22:44 -0500

zsh (4.3.2-4) unstable; urgency=low

  * Add zsh-dev and zsh-dbg packages.
  * Fix the acroread completion bug introduced by the
    incorrect fix for #355430.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Mar 2006 22:22:01 -0500

zsh (4.3.2-3) unstable; urgency=high

  * Fix vi fix for #357313.  closes: #357934.
  * Fix bug in acroread completion leading to screen spew.
    closes: #355430.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Mar 2006 12:05:42 -0500

zsh (4.3.2-2) unstable; urgency=medium

  * Add completion for nautilus.
  * Add 'nice' and 'rt_priority' to limits.
  * Handle multibyte-character-containing words better
    with vi keybindings.  closes: #357313.

 -- Clint Adams <schizo@debian.org>  Fri, 17 Mar 2006 18:50:27 -0500

zsh (4.3.2-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Sun, 12 Mar 2006 12:40:09 -0500

zsh (4.3.1-1) unstable; urgency=low

  * New upstream release.
  * Apply patch from Micah Anderson which updates surfraw
    completion to know about the debsec elvi.  closes: #354741.

 -- Clint Adams <schizo@debian.org>  Tue, 28 Feb 2006 13:40:37 -0500

zsh (4.3.0-dev-5-2) unstable; urgency=low

  * Add completion for schroot.

 -- Clint Adams <schizo@debian.org>  Sun, 26 Feb 2006 14:36:08 -0500

zsh (4.3.0-dev-5-1) unstable; urgency=low

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Feb 2006 11:35:39 -0500

zsh (4.3.0-dev-4-3) unstable; urgency=low

  * For zsh-static, don't link against anything that requires NSS.

 -- Clint Adams <schizo@debian.org>  Sun, 19 Feb 2006 14:46:32 -0500

zsh (4.3.0-dev-4-2) unstable; urgency=low

  * Timestamp voodoo.  closes: #353188.

 -- Clint Adams <schizo@debian.org>  Sat, 18 Feb 2006 17:16:14 -0500

zsh (4.3.0-dev-4-1) unstable; urgency=medium

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Feb 2006 11:05:13 -0500

zsh (4.3.0-dev-3-3) unstable; urgency=low

  * Update quilt completion, thanks to Adeodato Simó.
  * Use a better method of not choking on invalid UTF-8 during
    completion.

 -- Clint Adams <schizo@debian.org>  Sat, 11 Feb 2006 17:42:00 -0500

zsh (4.3.0-dev-3-2) unstable; urgency=low

  * Readd completion for ping, which had gone missing.
    closes: #351661.
  * Use -C arguments to make for completion.  Patch from
    R.Ramkumar.  closes: #340065.

 -- Clint Adams <schizo@debian.org>  Thu,  9 Feb 2006 09:40:08 -0500

zsh (4.3.0-dev-3-1) unstable; urgency=low

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Mon,  6 Feb 2006 20:13:06 -0500

zsh (4.3.0-dev-2-4) unstable; urgency=low

  * Adjust non-choking of invalid UTF-8 during completion.

 -- Clint Adams <schizo@debian.org>  Wed, 18 Jan 2006 16:26:37 -0500

zsh (4.3.0-dev-2-3) unstable; urgency=medium

  * Fix bad references in man pages.  closes: #348627.
  * Fix comments in /etc/zsh/* . closes: #348368.

 -- Clint Adams <schizo@debian.org>  Tue, 17 Jan 2006 22:39:04 -0500

zsh (4.3.0-dev-2-2) unstable; urgency=low

  * Fix completion for last.  closes: #345583.
  * Don't choke on invalid UTF-8 during completion.

 -- Clint Adams <schizo@debian.org>  Thu, 12 Jan 2006 20:03:25 -0500

zsh (4.3.0-dev-2-1) unstable; urgency=low

  * New upstream development release.
    - Better UTF-8 support.  closes: #139771, #269719.
  * Remove /etc/skel/.zshrc so newuser magic can work.

 -- Clint Adams <schizo@debian.org>  Tue, 27 Dec 2005 18:07:14 -0500

zsh (4.2.6-2) unstable; urgency=medium

  * Update ssh completion.  closes: #344708.
  * Add surfraw completion.  closes: #342162.

 -- Clint Adams <schizo@debian.org>  Sat, 24 Dec 2005 20:07:29 -0500

zsh (4.2.6-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <schizo@debian.org>  Mon,  5 Dec 2005 11:16:25 -0500

zsh (4.2.5-24) unstable; urgency=low

  * Add completion for dchroot.
  * Fixes/improvements for baz, bzr, date, ssh, subversion, gv.

 -- Clint Adams <schizo@debian.org>  Fri, 25 Nov 2005 10:30:49 -0500

zsh (4.2.5-23) unstable; urgency=low

  * Fix typo in dput completion.
  * Add completions for cplay(1), dpkg-cross(1), tpkg-debarch(1L),
    tpkg-install(1L), tpkg-install-libc(1L), tpkg-make(1L),
    tpkg-update(1L).

 -- Clint Adams <schizo@debian.org>  Mon,  7 Nov 2005 13:54:01 -0500

zsh (4.2.5-22) unstable; urgency=medium

  * ZW#21872: clear job table properly in subshells.
  * Patch from R.Ramkumar to use ZDOTDIR for zcalc history file.
    closes: #336547.
  * Patch from R.Ramkumar to enhance zsh-mime-handler.
    closes: #335190.
  * Add notes to ssh host completion examples about needing
    to set HashKnownHosts to "no".

 -- Clint Adams <schizo@debian.org>  Mon, 31 Oct 2005 14:37:58 -0500

zsh (4.2.5-21) unstable; urgency=low

  * Update xmllint options completion.  closes: #335014.
  * Drop dependency on passwd.  closes; #334085.

 -- Clint Adams <schizo@debian.org>  Fri, 21 Oct 2005 10:46:17 -0400

zsh (4.2.5-20) unstable; urgency=medium

  * Swedish debconf po translation from Daniel Nylander.
    closes: #330620.
  * Fix iconv(1) completion with glibc 2.3.5.
  * Add completion for piuparts(1).
  * Add completion for dlocate(1).
  * Add completion for quilt(1).

 -- Clint Adams <schizo@debian.org>  Thu, 29 Sep 2005 10:54:53 -0400

zsh (4.2.5-19) unstable; urgency=high

  * Have man(1) completion better handle uncompressed man pages
    whose filenames contain multiple digits separated by periods.
    closes: #311020.
  * Add completion for bzr(1).
  * ZW#21678: fix crash when unsetting tied parameters.
  * ZW#21701: fix handling of negative offsets that indexed before
    the statr of a scalar.

 -- Clint Adams <schizo@debian.org>  Thu,  8 Sep 2005 13:38:02 -0400

zsh (4.2.5-18) unstable; urgency=medium

  * Fix baz tree-version completion.  closes: #325898.
  * Fix baz tree-id completion.  closes: #325900.
  * Add completion for date(1).

 -- Clint Adams <schizo@debian.org>  Wed,  7 Sep 2005 13:23:06 -0400

zsh (4.2.5-17) unstable; urgency=high

  * Add in urxvt completion from CVS HEAD.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Aug 2005 15:48:31 -0400

zsh (4.2.5-16) unstable; urgency=medium

  * Fix svn completion a little.  closes: #323617, #323628.
  * Fix accidental clobbering of the /usr/bin/zsh alternative
    symlink.
  * Add zsh(1) - zsh4(1) symlink.  closes: #205893.

 -- Clint Adams <schizo@debian.org>  Tue, 23 Aug 2005 14:54:27 -0400

zsh (4.2.5-15) unstable; urgency=low

  * Vietnamese debconf po translation from Clytie Siddall.
    closes: #324286.

 -- Clint Adams <schizo@debian.org>  Sun, 21 Aug 2005 17:44:38 -0400

zsh (4.2.5-14) unstable; urgency=medium

  * ZW#21577: window resizing prompt update fix.  closes: #323137.

 -- Clint Adams <schizo@debian.org>  Mon, 15 Aug 2005 14:15:26 -0400

zsh (4.2.5-13) unstable; urgency=low

  * Update svn completion again, since it was broken.  closes: #322573.

 -- Clint Adams <schizo@debian.org>  Thu, 11 Aug 2005 15:48:43 -0400

zsh (4.2.5-12) unstable; urgency=medium

  * ZW#21567: window-resizing multi-line prompt fix.
  * Change dependency from 'debconf' to 'debconf-2.0'.
  * Update svn completion from 4.3.

 -- Clint Adams <schizo@debian.org>  Mon,  8 Aug 2005 21:10:37 -0400

zsh (4.2.5-11) unstable; urgency=low

  * Merge more fixes from 4.2 branch.

 -- Clint Adams <schizo@debian.org>  Fri,  5 Aug 2005 18:58:29 -0400

zsh (4.2.5-10) unstable; urgency=medium

  * Handle an equals sign after --keyring in gpg completion.
  * Do completion for xscreensaver-command.
  * Do completion for madison.
  * Tweak build system since texi2html behavior has changed
    incompatibly.

 -- Clint Adams <schizo@debian.org>  Sun, 10 Jul 2005 08:06:17 -0400

zsh (4.2.5-9) unstable; urgency=medium

  * ZW#21235, ZW#:21236: fix remote filename quoting in ssh completion.
    closes: #307341.

 -- Clint Adams <schizo@debian.org>  Sat,  9 Jul 2005 13:09:02 -0400

zsh (4.2.5-8) unstable; urgency=low

  * Merge more fixes from 4.2 branch.
  * Bump to Standards-Version 3.6.2.
  * Move menu file to /usr/share/menu.

 -- Clint Adams <schizo@debian.org>  Sun, 26 Jun 2005 19:33:17 -0400

zsh (4.2.5-7) unstable; urgency=high

  * ZW#21195: fix handling of zero-length quoted test strings,
    broken in 4.2.5-5.  closes: #306346.

 -- Clint Adams <schizo@debian.org>  Tue, 26 Apr 2005 18:12:49 -0400

zsh (4.2.5-6) unstable; urgency=low

  * ZU#8752, ZW#21184: fix IFS stripping metachar insensitivity.
  * Improve dpkg-reconfigure completion.

 -- Clint Adams <schizo@debian.org>  Mon, 25 Apr 2005 21:40:29 -0400

zsh (4.2.5-5) unstable; urgency=medium

  * ZW#21170: reduce inefficiencies in ${...//.../...}.

 -- Clint Adams <schizo@debian.org>  Sun, 24 Apr 2005 10:40:01 -0400

zsh (4.2.5-4) unstable; urgency=medium

  * Fix baz completion breakage introduced by fix for #302354.
  * Improve tla and baz completion to deal better with inconsistent
    help output.
  * Add completion for module-assistant.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Apr 2005 16:26:45 -0400

zsh (4.2.5-3) unstable; urgency=high

  * Fix no-ops in preinst and postinst.
  * Fix screen -x completion.

 -- Clint Adams <schizo@debian.org>  Tue, 12 Apr 2005 18:36:07 -0400

zsh (4.2.5-2) unstable; urgency=medium

  * Provide better completion for xpdf and zxpdf.  closes: #304198.
  * Install /bin/ksh alternative, and conflict with versions of
    pdksh older than 5.2.14-18.

 -- Clint Adams <schizo@debian.org>  Mon, 11 Apr 2005 14:17:40 -0400

zsh (4.2.5-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Wed,  6 Apr 2005 09:26:17 -0400

zsh (4.2.4-9) unstable; urgency=medium

  * Merge fixes from 4.2 branch.
  * Update gv completion to use gv 3.6 syntax (double-hyphen).
    closes: #303278.

 -- Clint Adams <schizo@debian.org>  Tue,  5 Apr 2005 15:07:03 -0400

zsh (4.2.4-8) unstable; urgency=medium

  * Update aptitude completion with patch from Zack Cerza.
    closes: #302225.
  * Update baz completion to work with baz 1.3.  closes: #302354.
  * Better completion for svn revert.  closes: #299950.

 -- Clint Adams <schizo@debian.org>  Thu, 31 Mar 2005 08:46:08 -0500

zsh (4.2.4-7) unstable; urgency=medium

  * Merge fixes from 4.2 branch.
    - Fixes a completion segfault involving Meta chars.
      closes: #301538.
  * Drop the debconf note about the startup files having
    having been moved in 4.0.4-50, and just move them
    without asking.  closes: #157871.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Mar 2005 13:20:01 -0500

zsh (4.2.4-6) unstable; urgency=medium

  * Fix module linking patch.
  * Fix subversion completion in non-English locales.
    closes: #291683.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Mar 2005 18:58:51 -0500

zsh (4.2.4-5) unstable; urgency=medium

  * Brazilian Portuguese debconf po translation from Andre Luis
    Lopes.  closes: #269970.
  * Fix 'baz status' and 'baz diff' completion.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Mar 2005 21:21:19 -0500

zsh (4.2.4-4) unstable; urgency=medium

  * Fix 'baz merge' completion.
  * Bind <Insert> key to toggle overwrite mode in emacs and vi
    command-mode bindings.  closes: #295506.

 -- Clint Adams <schizo@debian.org>  Tue,  8 Mar 2005 21:06:03 -0500

zsh (4.2.4-3) unstable; urgency=medium

  * ZW#20837: fix some documentation typos.
  * Completion updates for rsync 2.6.4.
  * ZW#20816, ZW#20811: rlimit tricks for bleeding-edge glibc.
  * Fix for yodl completion.
  * ZW#20801: Kris Shannon's fix for initscript completion.
  * Fix to prevent some make completion recursion problems.
    closes: #295511.

 -- Clint Adams <schizo@debian.org>  Wed,  2 Mar 2005 14:31:56 -0500

zsh (4.2.4-2) unstable; urgency=medium

  * ZW#20793: fix function-style traps.  closes: #293364.
  * ZW#20773: getconf completion improvements.

 -- Clint Adams <schizo@debian.org>  Sun,  6 Feb 2005 19:07:41 -0500

zsh (4.2.4-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Thu,  3 Feb 2005 10:31:46 -0500

zsh (4.2.3-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Jan 2005 14:26:03 -0500

zsh (4.2.2-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Wed, 12 Jan 2005 09:23:42 -0500

zsh (4.2.1-18) unstable; urgency=medium

  * ZW#20409: add completion for darcs.  closes: #289630.
  * Improve completion for ggv, and complete the same for gnome-gv.
    closes: #289664.
  * Partially respect LC_COLLATE setting when sorting completions.
    closes: #289442.

 -- Clint Adams <schizo@debian.org>  Mon, 10 Jan 2005 12:08:18 -0500

zsh (4.2.1-17) unstable; urgency=medium

  * ZW#20418: report parse error rather than crash on unfinished
    pipelines.  closes: #289305.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Jan 2005 15:17:33 -0500

zsh (4.2.1-16) unstable; urgency=medium

  * Add completion for cal, ncal, and mencal.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Jan 2005 00:12:00 -0500

zsh (4.2.1-15) unstable; urgency=medium

  * Add completion for lintian.
  * Improve completion for bogoutil, add completion for bogofilter and
    bogotune.
  * Add an /etc/skel/.zshrc that enables the new completion system by
    default.

 -- Clint Adams <schizo@debian.org>  Mon, 27 Dec 2004 12:09:04 -0500

zsh (4.2.1-14) unstable; urgency=low

  * Add completion for baz from Matt Zimmerman.  closes: #285745.

 -- Clint Adams <schizo@debian.org>  Wed, 15 Dec 2004 12:30:03 -0500

zsh (4.2.1-13) unstable; urgency=medium

  * ZW#20592, ZW#20599: Fix $((##)) breakage on alpha.
    closes: #283358.

 -- Clint Adams <schizo@debian.org>  Fri,  3 Dec 2004 10:33:38 -0500

zsh (4.2.1-12) unstable; urgency=medium

  * ZW#20578: handle /dev/pts/%s ttys in elite2 prompt theme.
    closes: #266785.
  * Complete GSSAPIAuthentication and other "modern" ssh options.

 -- Clint Adams <schizo@debian.org>  Wed, 24 Nov 2004 00:06:41 -0500

zsh (4.2.1-11) unstable; urgency=medium

  * Fix typo in bogoutil completion, thanks to Michał Politowski.  closes:
    #281790.
  * Complete pdf files for kpdf.  closes: #281829.

 -- Clint Adams <schizo@debian.org>  Thu, 18 Nov 2004 10:13:36 -0500

zsh (4.2.1-10) unstable; urgency=medium

  * ZW#20539: don't produce "bad option" warning on some Makefiles.
    closes: #279417.

 -- Clint Adams <schizo@debian.org>  Wed,  3 Nov 2004 09:43:47 -0500

zsh (4.2.1-9) unstable; urgency=high

  * ZW#20528: allow exec fd>>(list) to work again.

 -- Clint Adams <schizo@debian.org>  Fri, 29 Oct 2004 09:49:49 -0400

zsh (4.2.1-8) unstable; urgency=medium

  * Really fix make completion this time.  closes: #278487.
  * Fix prerm to actually remove compiled functions.
    closes: #278576.

 -- Clint Adams <schizo@debian.org>  Wed, 27 Oct 2004 23:29:37 -0400

zsh (4.2.1-7) unstable; urgency=medium

  * ZW#20277 (modified): even better, less broken improved make
    completion.  closes: #278487.

 -- Clint Adams <schizo@debian.org>  Wed, 27 Oct 2004 09:43:18 -0400

zsh (4.2.1-6) unstable; urgency=medium

  * ZW#20325: fix segfault with 'command -v'.  closes: #276409.

 -- Clint Adams <schizo@debian.org>  Wed, 13 Oct 2004 22:13:26 -0400

zsh (4.2.1-5) unstable; urgency=medium

  * ZW#20391: Fix "SHLVL not being incremented beyond 2" bug.
    closes: #274964.

 -- Clint Adams <schizo@debian.org>  Mon,  4 Oct 2004 22:46:12 -0400

zsh (4.2.1-4) unstable; urgency=medium

  * ZW#20269, ZW#20270: Improved make completion.  closes: #262247.
  * ZW#20414: fix completion of diff --unified, thanks to Paul
    Wagland.  closes: #273888.
  * Update of _make from HEAD including ZW#20358.  closes: #271196.
  * Modify build system to allow zsh/pcre and zsh/cap modules to
    have "independent" library dependencies.  Build-dep on pcre,
    and relegate module dependencies to Recommends.
  * Fix "cidnex" doc typo.  closes: #274188.

 -- Clint Adams <schizo@debian.org>  Thu, 30 Sep 2004 11:42:14 -0400

zsh (4.2.1-3) unstable; urgency=high

  * Fix findstring arguments order for DEB_BUILD_OPTIONS debug check.
    closes: #266065.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Aug 2004 23:42:12 -0400

zsh (4.2.1-2) unstable; urgency=medium

  * Explicitly specify --with-tcsetpgrp to avoid FTBFS when not under
    a controlling tty.  closes: #265862.

 -- Clint Adams <schizo@debian.org>  Sun, 15 Aug 2004 09:16:01 -0400

zsh (4.2.1-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Fri, 13 Aug 2004 15:05:12 -0400

zsh (4.2.0-18) unstable; urgency=medium

  * ZW#20235: fix remote rsync file completion space quoting.
    closes: #261775.
  * ZW#20196: fix prompt misbehavior LINES=2.  closes: #134474.

 -- Clint Adams <schizo@debian.org>  Sun,  8 Aug 2004 00:34:33 -0400

zsh (4.2.0-17) unstable; urgency=medium

  * ZW#20230: complete already-installed packages more often for
    apt-get install.  closes: #262157.
  * ZW#20225: add Philippe Troin's expanded explanation of clone
    command.  closes: #205685.

 -- Clint Adams <schizo@debian.org>  Mon,  2 Aug 2004 13:51:11 -0400

zsh (4.2.0-16) unstable; urgency=medium

  * ZW#20201: avoid double slash in prompt expansion of '%~%1(C./.) '.
    closes: #201685.
  * Czech debconf po translation from Miroslav Kure.  closes: #261192.

 -- Clint Adams <schizo@debian.org>  Wed, 28 Jul 2004 11:30:13 -0400

zsh (4.2.0-15) unstable; urgency=high

  * ZW#20173: fix memory allocation bug causing segfaults
    in big glob expansions.  closes: #251378, #259768.

 -- Clint Adams <schizo@debian.org>  Sat, 17 Jul 2004 15:31:23 -0400

zsh (4.2.0-14) unstable; urgency=medium

  * ZW#20033: possibly fix ./configure completion with optional arguments.
  * ZW#20059: prefer : to . in chown user:group completion.
  * ZW#20069: complete encodings case-insensitively for iconv.
  * ZW#20077: fix completion of reserved words with enable/disable.
  * Add prebuild target to debian/rules, move yodl processing there,
    and drop yodl build-dep.

 -- Clint Adams <schizo@debian.org>  Sat, 19 Jun 2004 12:32:46 -0400

zsh (4.2.0-13) unstable; urgency=medium

  * Apply additions and fixes from Jason McCarty to tla completion.
  * Update de.po from Helge Kreutzmann.  closes: #254305.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Jun 2004 16:34:15 -0400

zsh (4.2.0-12) unstable; urgency=low

  * Add ca.po from Aleix Badia i Bosch.  closes: #250115.
  * Add debian/watch file.

 -- Clint Adams <schizo@debian.org>  Wed,  9 Jun 2004 14:12:23 -0400

zsh (4.2.0-11) unstable; urgency=medium

  * Complete .htm files as well for lynx.  closes: #251407.

 -- Clint Adams <schizo@debian.org>  Fri, 28 May 2004 10:20:57 -0400

zsh (4.2.0-10) unstable; urgency=medium

  * ZW#19921: fix for ZW#19920.
  * ZW#19877: fix for ZW#19869.
  * ZW#19878: fix for ZW#19877.
  * ZW#19893: fix the potential for an infinite loop in history locking.

 -- Clint Adams <schizo@debian.org>  Wed, 12 May 2004 09:22:36 -0400

zsh (4.2.0-9) unstable; urgency=high

  * ZW#19920: fix memory allocation bug which causes builtin
    (zsh/files module) rm -rf to OOM.  closes: #245678.

 -- Clint Adams <schizo@debian.org>  Tue, 11 May 2004 11:50:56 -0400

zsh (4.2.0-8) unstable; urgency=medium

  * ZW#19869: fix segfault in prompt expansion for locales
    where am_pm is defined to null strings.  closes: #245974.

 -- Clint Adams <schizo@debian.org>  Tue,  4 May 2004 00:17:51 -0400

zsh (4.2.0-7) unstable; urgency=medium

  * ZW#19839: fix for _path_files.  closes: #246898.
  * ZW#19863: allow _command_names searchpath to be overriden with zstyle.
  * Add zstyle with default Debian sudo path to global zshrc.
    closes: #246305.

 -- Clint Adams <schizo@debian.org>  Sun,  2 May 2004 17:20:15 -0400

zsh (4.2.0-6) unstable; urgency=high

  * Add apt-move completion function written by Steven Kowalik.
    closes: #246306.
  * ZW#19806: fix for segfault with %v expansion and negative index.

 -- Clint Adams <schizo@debian.org>  Wed, 28 Apr 2004 10:12:28 -0400

zsh (4.2.0-5) unstable; urgency=low

  * Have mplayer complete .m2v and .m2p, thanks to Rene Larsen.
    closes: #244211.

 -- Clint Adams <schizo@debian.org>  Sun, 18 Apr 2004 18:12:44 -0400

zsh (4.2.0-4) unstable; urgency=medium

  * Use cdrecord completion from CVS HEAD.  closes: #243460.
  * Use subversion completion from CVS HEAD.
  * Use rsync completion from CVS HEAD.  closes: #243385.

 -- Clint Adams <schizo@debian.org>  Thu, 15 Apr 2004 06:56:31 -0400

zsh (4.2.0-3) unstable; urgency=medium

  * Restore McCarty/Nielsen/Weir tla completion function.

 -- Clint Adams <schizo@debian.org>  Wed, 14 Apr 2004 23:58:47 -0400

zsh (4.2.0-2) unstable; urgency=medium

  * Explicitly enable linking with libcap.

 -- Clint Adams <schizo@debian.org>  Tue, 13 Apr 2004 20:46:59 -0400

zsh (4.2.0-1) unstable; urgency=low

  * Move to 4.2 branch because it's less buggy.

 -- Clint Adams <schizo@debian.org>  Tue, 13 Apr 2004 17:00:41 -0400

zsh (4.1.1-15) unstable; urgency=low

  * Add da.po from Claus Hindsgaul.

 -- Clint Adams <schizo@debian.org>  Wed,  7 Apr 2004 11:56:55 -0400

zsh (4.1.1-14) unstable; urgency=medium

  * Fix diff completion when there is more than one --exclude on the
    line.  closes: #239975.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Mar 2004 11:59:21 -0500

zsh (4.1.1-13) unstable; urgency=medium

  * Add es.po from Javi Castelo.  closes: #238025.
  * Complete cvs tags containing plus signs; patch from
    Peter Palfrader.  closes: #238843.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Mar 2004 18:45:37 -0500

zsh (4.1.1-12) unstable; urgency=medium

  * Merge fix from 4.2 branch for "bart" prompt theme.
  * Merge fix from 4.2 branch for scp completion.  closes: #239070.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Mar 2004 11:31:00 -0500

zsh (4.1.1-11) unstable; urgency=medium

  * Remove unaliasing of run-help in /etc/zsh/zshrc.  closes: #229835.
  * Use tla completion function from Jason McCarty, Erik Toubro Nielsen,
    and Rob Weir.  closes: #237853.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Mar 2004 15:30:02 -0500

zsh (4.1.1-10) unstable; urgency=medium

  * Add very limited tla completion.
  * Merge url-quote-magic from 4.2 branch.  closes: #237527.
  * Throw in quote-and-complete-word for good measure.

 -- Clint Adams <schizo@debian.org>  Thu, 11 Mar 2004 10:51:44 -0500

zsh (4.1.1-9) unstable; urgency=medium

  * ZW#19566: fix associative array documentation reference,
    thanks to Frederik Eaton.

 -- Clint Adams <schizo@debian.org>  Mon,  8 Mar 2004 12:07:24 -0500

zsh (4.1.1-8) unstable; urgency=medium

  * Merge adam2 prompt fixes from 4.2 branch.
  * Merge smit completion changes from 4.2 branch.
  * Merge cvs completion changes from 4.2 branch.
  * Merge global completion changes from 4.2 branch.
  * Merge look completion changes from 4.2 branch.
  * Merge mount completion changes from 4.2 branch.
  * Merge mysql/mysqlshow/mysqldump/mysqladmin completion
    changes from 4.2 branch.
  * Merge diff completion changes from 4.2 branch.
  * Merge groups completion changes from 4.2 branch.
  * Merge hosts completion changes from 4.2 branch.
  * Merge services completion changes from 4.2 branch.
  * Merge urls completion changes from 4.2 branch.
  * Merge X utilities completion changes from 4.2 branch.
  * Merge xv completion changes from 4.2 branch.
  * Merge X color completion changes from 4.2 branch.
  * Merge cd completion changes from 4.2 branch.
  * Merge compdef completion changes from 4.2 branch.
  * Merge mondo completion changes from 4.2 branch.

 -- Clint Adams <schizo@debian.org>  Sat,  6 Mar 2004 15:48:05 -0500

zsh (4.1.1-7) unstable; urgency=medium

  * Rename zcalloc() function to zshcalloc(), since zlib sometimes
    incorrectly exposes zcalloc().
  * Merge ssh completion changes from 4.2 branch.
  * Merge w3m completion changes from 4.2 branch.
  * Merge .tex file completion changes from 4.2 branch.
  * Merge .texi file completion changes from 4.2 branch.
  * Merge gqview completion changes from 4.2 branch.
  * Merge mozilla/mozilla-firefox completion changes from 4.2 branch.
  * Merge mplayer completion changes from 4.2 branch.
  * Merge nedit completion changes from 4.2 branch.
  * Merge xdvi completion changes from 4.2 branch.
  * Merge xfig completion changes from 4.2 branch.
  * Merge xloadimage completion changes from 4.2 branch.
  * Merge autoload completion changes from 4.2 branch.
  * Merge hash completion changes from 4.2 branch.
  * Merge mere completion changes from 4.2 branch.
  * Merge env/catchsegv completion changes from 4.2 branch.
  * Merge unhash completion changes from 4.2 branch.
  * Merge which completion changes from 4.2 branch.
  * Merge rsync completion changes from 4.2 branch.
  * Merge ruby completion changes from 4.2 branch.
  * Merge slrn completion changes from 4.2 branch.
  * ZW#19365: fix perl modules completion.
  * Update config.guess and config.sub to 2003-10-03 and 2003-08-18,
    respectively.
  * ZW#19387, ZW#19309: fix glob qualifiers in many places.
  * Merge rcs merge completion from 4.2 branch.
  * Merge wiggle completion from 4.2 branch.
  * Merge raggle completion from 4.2 branch.
  * Merge rar completion changes from 4.2 branch.
  * Merge printers completion changes from 4.2 branch.
  * Merge acroread completion changes from 4.2 branch.
  * Merge screen completion changes from 4.2 branch.
  * Merge perforce completion changes from 4.2 branch.
  * Merge pkgtool completion from 4.2 branch.
  * Merge sablotron completion from 4.2 branch.
  * ZW#19382: fix zmv error message

 -- Clint Adams <schizo@debian.org>  Sat,  6 Mar 2004 11:53:19 -0500

zsh (4.1.1-6) unstable; urgency=medium

  * Merge auto-apt completion changes from 4.2 branch.
  * Merge bug completion changes from 4.2 branch.
  * Merge losetup completion changes from 4.2 branch.
  * Merge arp completion changes from 4.2 branch.
  * Merge gdb completion changes from 4.2 branch.
  * Merge gprof completion changes from 4.2 branch.
  * Merge java completion changes from 4.2 branch.
  * Merge ls completion changes from 4.2 branch.
  * Merge lynx completion changes from 4.2 branch.
  * Merge lzop completion changes from 4.2 branch.
  * Merge MH completion changes from 4.2 branch.
  * Merge mt completion changes from 4.2 branch.
  * Merge mysqldiff completion changes from 4.2 branch.
  * Merge nice completion from 4.2 branch.
  * Merge nmap completion from 4.2 branch.
  * Merge pack completion changes from 4.2 branch.
  * Merge pbm completion changes from 4.2 branch.
  * Merge perl completion changes from 4.2 branch.
  * Merge perldoc completion changes from 4.2 branch.
  * Merge pine completion changes from 4.2 branch.
  * Merge prcs completion changes from 4.2 branch.
  * Merge printenv completion changes from 4.2 branch.
  * Merge python completion changes from 4.2 branch.
  * Merge sync completion from 4.2 branch.
  * Merge sccs completion changes from 4.2 branch.
  * Merge subversion completion from 4.2 branch.
  * Merge telnet completion changes from 4.2 branch.
  * Merge texinfo completion changes from 4.2 branch.
  * Merge tiff completion changes from 4.2 branch.
  * Merge uniq completion from 4.2 branch.
  * Merge useradd/usermod/groupadd/groupmod completion changes
    from 4.2 branch.
  * Merge vorbis tools completion from 4.2 branch.
  * Merge wget completion changes from 4.2 branch.
  * Merge xsltproc/xmllint completion changes from 4.2 branch.
  * Merge yodl completion changes from 4.2 branch.
  * Merge zip completion changes from 4.2 branch.
  * Fix du completion.

 -- Clint Adams <schizo@debian.org>  Fri,  5 Mar 2004 23:37:31 -0500

zsh (4.1.1-5) unstable; urgency=medium

  * Merge iptables completion from 4.2 branch.
  * Merge modutils completion changes from 4.2 branch.
  * Merge uml completion changes from 4.2 branch.
  * Merge a2ps completion changes from 4.2 branch.
  * Merge ant completion changes from 4.2 branch.
  * Merge antiword completion changes from 4.2 branch.
  * Merge apachectl completion changes from 4.2 branch.
  * Merge apm completion changes from 4.2 branch.
  * Merge arping completion changes from 4.2 branch.
  * Merge attr completion from 4.2 branch.
  * Merge bison completion changes from 4.2 branch.
  * Merge bzip2 completion changes from 4.2 branch.
  * Merge cdrecord completion from 4.2 branch.
  * Merge chmod completion from 4.2 branch.
  * Merge chown completion changes from 4.2 branch.
  * Merge compress completion changes from 4.2 branch.
  * Merge du completion from 4.2 branch.
  * Merge dvi completion changes from 4.2 branch.
  * Merge ecasound completion changes from 4.2 branch.
  * Merge elinks completion changes from 4.2 branch.
  * Merge fakeroot completion changes from 4.2 branch.
  * Merge figlet completion changes from 4.2 branch.
  * Merge finger completion changes from 4.2 branch.
  * Merge flex completion changes from 4.2 branch.
  * Merge fsh completion changes from 4.2 branch.
  * Merge gcc completion changes from 4.2 branch.
  * Merge getent completion from 4.2 branch.

 -- Clint Adams <schizo@debian.org>  Fri,  5 Mar 2004 19:13:14 -0500

zsh (4.1.1-4) unstable; urgency=low

  * Add mplayer ogg/wav completion from Chip Salzenberg.  closes: #235719.

 -- Clint Adams <schizo@debian.org>  Fri,  5 Mar 2004 15:05:11 -0500

zsh (4.1.1-3) unstable; urgency=medium

  * Merge gpg completion changes from 4.2 branch.  closes: #236278.
  * Merge grep completion changes from 4.2 branch.
  * Merge gzip completion changes from 4.2 branch.
  * Merge imagemagick completion changes from 4.2 branch.
  * Merge irssi completion changes from 4.2 branch.
  * Merge ispell completion changes from 4.2 branch.
  * Merge links completion changes from 4.2 branch.
  * Merge gphoto2 completion from 4.2 branch.

 -- Clint Adams <schizo@debian.org>  Fri,  5 Mar 2004 12:12:26 -0500

zsh (4.1.1-2) unstable; urgency=medium

  * ZW#18824: kill-word-match deletes too much.  closes: #236067.
  * Re-apply Christian Marillat's bts completion patch.
  * Merge aptitude completion from 4.2 branch.
  * Merge debsign completion from 4.2 branch.
  * Merge aap completion from 4.2 branch.
  * Merge less completion from 4.2 branch.
  * Merge sed completion from 4.2 branch.
  * Merge apt completion changes from 4.2 branch.
  * Merge debchange completion changes from 4.2 branch.
  * Merge debfoster completion changes from 4.2 branch.
  * Merge dpkg-reconfigure completion from 4.2 branch.
  * Merge dpkg-source completion changes from 4.2 branch.
  * Merge dupload completion changes from 4.2 branch.
  * Merge dput completion changes from 4.2 branch.
  * Merge update-alternatives completion changes from 4.2 branch.
  * Merge update-rc.d completion from 4.2 branch.
  * As a side effect, this should fix problems when upgrading from
    4.0.9.  closes: #235733.

 -- Clint Adams <schizo@debian.org>  Thu,  4 Mar 2004 19:35:44 -0500

zsh (4.1.1-1) unstable; urgency=low

  * Move to 4.1 branch now that 4.2 is in development.
    This fixes
    - support \u and \U in echo/print/$''; closes: #154901.
    - cope better with unlinked wordcode digests; closes: #99687.
    - Zsh should clean up its signals on startup; closes: #104001.

 -- Clint Adams <schizo@debian.org>  Mon,  1 Mar 2004 10:43:24 -0500

zsh (4.0.9-2) unstable; urgency=medium

  * Include patch from Christian Marillat to update bts tag
    completion.  closes: #232851.
  * Avoid unalias error in /etc/zsh/zshrc.  closes: #229835.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Feb 2004 18:03:48 -0500

zsh (4.0.9-1) unstable; urgency=medium

  * Old upstream stable release.
  * Include Oliver's aptitude and update-rc.d completion functions.
    closes: #227940.

 -- Clint Adams <schizo@debian.org>  Thu, 15 Jan 2004 13:43:37 -0500

zsh (4.0.8-1) unstable; urgency=low

  * New upstream stable release.

 -- Clint Adams <schizo@debian.org>  Thu, 18 Dec 2003 10:02:19 -0500

zsh (4.0.7-19) unstable; urgency=low

  * Merge fixes from 4.0 branch.
    - Fixes "tab completion hosed for loopback mounts".  closes: #223291.

 -- Clint Adams <schizo@debian.org>  Tue, 16 Dec 2003 20:46:33 -0500

zsh (4.0.7-18) unstable; urgency=medium

  * Prefer : to . in chown completion.

 -- Clint Adams <schizo@debian.org>  Sat,  6 Dec 2003 20:04:46 -0500

zsh (4.0.7-17) unstable; urgency=medium

  * Merge fixes from 4.0 branch.
  * Patch from Oliver to to fix svn diff completion.  closes: #221943.
  * Backport echoti fixes from 4.1 branch.  closes: #222509.
  * Backport apt completion fixes from 4.1 branch.

 -- Clint Adams <schizo@debian.org>  Sat,  6 Dec 2003 12:35:36 -0500

zsh (4.0.7-16) unstable; urgency=medium

  * Remove rzsh alternative in prerm.  closes: #220941.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Nov 2003 17:00:27 -0500

zsh (4.0.7-15) unstable; urgency=medium

  * Add missing parenthesis to zdump completion function.
    closes: #220842.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Nov 2003 10:36:51 -0500

zsh (4.0.7-14) unstable; urgency=medium

  * Merge fixes from 4.0 branch.  Thanks, Oliver.

 -- Clint Adams <schizo@debian.org>  Fri, 14 Nov 2003 15:09:59 -0500

zsh (4.0.7-13) unstable; urgency=medium

  * Merge fixes from 4.0 branch.
  * Apply Oliver's _subversion fixes.  closes: #202185.

 -- Clint Adams <schizo@debian.org>  Fri, 14 Nov 2003 10:01:46 -0500

zsh (4.0.7-12) unstable; urgency=medium

  * Apply patch from Yasuhiro Hayase to complete normal commands
    after screen.  closes: #213530.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Oct 2003 10:18:03 -0400

zsh (4.0.7-11) unstable; urgency=low

  * Add nl.po from Luk Claes.  closes: #213880.
  * Add ru.po from Ilgiz Kalmetev.  closes: #214376.
  * Add pt.po from Bruno Rodrigues.  closes: #216199.

 -- Clint Adams <schizo@debian.org>  Wed, 22 Oct 2003 00:07:27 -0400

zsh (4.0.7-10) unstable; urgency=high

  * Fix zsh/terminfo module to not exit shell on unknown
    TERM type.  closes: #207219.

 -- Clint Adams <schizo@debian.org>  Sun, 14 Sep 2003 01:10:18 -0400

zsh (4.0.7-9) unstable; urgency=medium

  * Merge in fixes from CVS.
  * Add ja.po from Kenshi Muto <kmuto@debian.org>.
  * Copy libnss_files.so.* to a temporary location and
    chmod it 755 so ldd doesn't choke.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Sep 2003 11:13:18 -0400

zsh (4.0.7-8) unstable; urgency=medium

  * Correct passwd dependency to >= 1:4.0.3-10.

 -- Clint Adams <schizo@debian.org>  Mon,  1 Sep 2003 16:20:08 -0400

zsh (4.0.7-7) unstable; urgency=medium

  * Bump to Standards-Version 3.6.1.
  * Run dpkg-shlibdebs on /lib/libnss_files.so.* for zsh-static
    to help avoid segfaults due to continually-changing glibc NSS ABI.
    closes: #207218, #193325.
  * Add dependency on passwd (>= 4.0.3-10), and use add-shell and
    remove-shell to manage /etc/shells.  closes: #143366.
  * Apply patch from Christian Perrier to fix up po-debconf stuff.
    closes: #207298.

 -- Clint Adams <schizo@debian.org>  Mon,  1 Sep 2003 14:59:53 -0400

zsh (4.0.7-6) unstable; urgency=medium

  * Merge (Q) extra space fix from 4.0 branch.
  * Completion for sabcmd from Oliver.  closes: #202326.

 -- Clint Adams <schizo@debian.org>  Fri, 25 Jul 2003 22:50:53 -0400

zsh (4.0.7-5) unstable; urgency=low

  * Don't build-dep on libcap-dev on GNU/FreeBSD.  closes: #200546.
  * Merge additional fixes from 4.0 branch.
  * Update config.{guess,sub}.

 -- Clint Adams <schizo@debian.org>  Sun, 13 Jul 2003 15:40:02 -0400

zsh (4.0.7-4) unstable; urgency=medium

  * Fix from Oliver to make subversion completion suck less.  closes: #199638.
  * New completion function for debsign from Matt Zimmerman.  closes: #200257.

 -- Clint Adams <schizo@debian.org>  Sun,  6 Jul 2003 16:47:16 -0400

zsh (4.0.7-3) unstable; urgency=low

  * Bump Standards-Version to 3.5.10
  * Apply patch from Michel Grentzinger to use new gettext format
    for debconf templates.  closes: #198268.
  * Use fr.po from Michel Grentzinger for debconf templates.
    closes: #198860.
  * Now merge debconf templates at build time.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Jun 2003 11:55:31 -0400

zsh (4.0.7-2) unstable; urgency=medium

  * mogrify -shave and -resize completion.  closes: #197544.
  * Update completion of reportbug and querybts to modern usage.
    (see #198468).
  * Rudimentary completion for svn and svnadmin.  closes: #198409.

 -- Clint Adams <schizo@debian.org>  Tue, 24 Jun 2003 23:01:22 -0400

zsh (4.0.7-1) unstable; urgency=low

  * New upstream stable release.

 -- Clint Adams <schizo@debian.org>  Thu, 19 Jun 2003 23:58:21 -0400

zsh (4.0.6-32) unstable; urgency=medium

  * Merge in more fixes from 4.0 branch.

 -- Clint Adams <schizo@debian.org>  Tue, 13 May 2003 15:40:00 -0400

zsh (4.0.6-31) unstable; urgency=medium

  * Apply Oliver's patches to fix floating point l10n problems.
    closes: #164686.
  * Apply Peter's patch to fix null array vared segfault.  closes: #187259.

 -- Clint Adams <schizo@debian.org>  Tue, 13 May 2003 09:37:26 -0400

zsh (4.0.6-30) unstable; urgency=medium

  * Patch echoti so that it supports args.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Mar 2003 00:35:48 -0500

zsh (4.0.6-29) unstable; urgency=low

  * Merge in more fixes from 4.0 branch.

 -- Clint Adams <schizo@debian.org>  Sat, 22 Mar 2003 01:38:47 -0500

zsh (4.0.6-28) unstable; urgency=low

  * Apply Phil Troin's setpgid and suspend-exec-fix patches.  closes: #183902.

 -- Clint Adams <schizo@debian.org>  Sun,  9 Mar 2003 23:45:04 -0500

zsh (4.0.6-27) unstable; urgency=low

  * Revert experiments, and fix several configure test evaluations,
    none of which should be relevant to Debian.

 -- Clint Adams <schizo@debian.org>  Wed, 26 Feb 2003 13:00:03 -0500

zsh (4.0.6-26) unstable; urgency=low

  * Re-apply Oliver's tar completion patch.  closes: #182416.
  * Experiment a little with configure tests to get more information
    on why sbuild hangs for me on sparc.

 -- Clint Adams <schizo@debian.org>  Tue, 25 Feb 2003 12:04:16 -0500

zsh (4.0.6-25) unstable; urgency=low

  * Merge more fixes from CVS.

 -- Clint Adams <schizo@debian.org>  Mon, 24 Feb 2003 21:18:50 -0500

zsh (4.0.6-24) unstable; urgency=low

  * Generate md5sums for zsh-doc.  closes: #182252.

 -- Clint Adams <schizo@debian.org>  Sun, 23 Feb 2003 22:46:53 -0500

zsh (4.0.6-23) unstable; urgency=low

  * Fix rss in ulimit output.  closes: #180306.

 -- Clint Adams <schizo@debian.org>  Tue, 11 Feb 2003 12:39:49 -0500

zsh (4.0.6-22) unstable; urgency=low

  * Add maxfilelocks to ulimit output.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Feb 2003 20:07:55 -0500

zsh (4.0.6-21) unstable; urgency=low

  * Another CVS sync, pulling in completion for elinks and tidy, and
    bashcompinit.

 -- Clint Adams <schizo@debian.org>  Thu,  6 Feb 2003 11:24:07 -0500

zsh (4.0.6-20) unstable; urgency=low

  * Add rzsh alternative.  closes: #178252.
  * Update to Standards-Version 3.5.8.
  * Remove periods from short descriptions.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Jan 2003 22:27:20 -0500

zsh (4.0.6-19) unstable; urgency=low

  * Completion for lsof, mt, xsltproc, and other fixes.

 -- Clint Adams <schizo@debian.org>  Sun, 19 Jan 2003 12:45:45 -0500

zsh (4.0.6-18) unstable; urgency=low

  * Fold debian/rules check target into build target to avoid fakeroot.
  * Merge lots of fixes completion improvements from 4.0 branch.
  * Don't install zsh-${version} hardlink anymore.

 -- Clint Adams <schizo@debian.org>  Tue, 26 Nov 2002 03:55:25 -0500

zsh (4.0.6-17) unstable; urgency=low

  * Patch for tar completion from Oliver Kiddle.  closes: #170654.

 -- Clint Adams <schizo@debian.org>  Tue, 26 Nov 2002 00:58:15 -0500

zsh (4.0.6-16) unstable; urgency=low

  * Beautify indentation in whence, which, &c.  closes: #163190.

 -- Clint Adams <schizo@debian.org>  Wed, 13 Nov 2002 16:11:45 -0500

zsh (4.0.6-15) unstable; urgency=low

  * Remove /usr/doc detritus from zsh-doc and zsh-static postinsts and
    prerms.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Oct 2002 14:33:12 -0400

zsh (4.0.6-14) unstable; urgency=low

  * Run make check in binary-arch target.

 -- Clint Adams <schizo@debian.org>  Sat, 26 Oct 2002 02:23:09 -0400

zsh (4.0.6-13) unstable; urgency=medium

  * Apply Stephen Rueger's fix to the apt-cache showsrc patch in #129428.
    closes: #165346.
  * Replace xli completion with Oliver's fix.

 -- Clint Adams <schizo@debian.org>  Fri, 18 Oct 2002 14:36:14 -0400

zsh (4.0.6-12) unstable; urgency=low

  * Remove extraneous 's' in compinit message.  closes: #164788.
  * Remove completion for xli since it doesn't match.  closes: #164302.

 -- Clint Adams <schizo@debian.org>  Tue, 15 Oct 2002 01:22:49 -0400

zsh (4.0.6-11) unstable; urgency=medium

  * Apply Martin Waitz's patch for memory leak in privasserted().
    closes: #164207.

 -- Clint Adams <schizo@debian.org>  Thu, 10 Oct 2002 21:12:00 -0400

zsh (4.0.6-10) unstable; urgency=low

  * Merge in additional fixes from upstream 4.0 branch.

 -- Clint Adams <schizo@debian.org>  Fri,  4 Oct 2002 20:59:04 -0400

zsh (4.0.6-9) unstable; urgency=low

  * Add missing apt-get options to completion.  closes: #163247.
  * Handle doogie's case foo in (foo)echo foo;;(bar)echo bar;;esac
    (no space between right paren and LIST) when in sh emulation mode.
    closes: #163237.

 -- Clint Adams <schizo@debian.org>  Fri,  4 Oct 2002 17:14:57 -0400

zsh (4.0.6-8) unstable; urgency=medium

  * ZW#17252: fix unzip/_path_files interaction.  Also fixes broken xli
    completion.  closes: bug#160836, bug#161065.

 -- Clint Adams <schizo@debian.org>  Mon, 16 Sep 2002 12:20:10 -0400

zsh (4.0.6-7) unstable; urgency=low

  * Fix CVS completion with respect to filenames containing spaces.
  Deja vu.  closes: bug#160375.

 -- Clint Adams <schizo@debian.org>  Tue, 10 Sep 2002 14:25:14 -0400

zsh (4.0.6-6) unstable; urgency=medium

  * Patch from Jürgen A. Erhard to fix ssh-keygen completion.
  closes: bug#156404.

 -- Clint Adams <schizo@debian.org>  Fri,  6 Sep 2002 02:27:36 -0400

zsh (4.0.6-5) unstable; urgency=medium

  * Fix CFLAGS for static build.
  * Install more example functions.

 -- Clint Adams <schizo@debian.org>  Wed,  4 Sep 2002 17:46:45 -0400

zsh (4.0.6-4) unstable; urgency=low

  * Add missing lynx options.  closes: bug#158853.
  * Add Oliver's lynx patch from 4.1.
  * debian/rules cleanup

 -- Clint Adams <schizo@debian.org>  Wed,  4 Sep 2002 15:14:31 -0400

zsh (4.0.6-3) unstable; urgency=low

  * Fix typo in the 'clint' prompt theme.
  * Update to Standards-Version 3.5.7.0.
  * Support 'noopt'

 -- Clint Adams <schizo@debian.org>  Fri, 16 Aug 2002 21:39:04 -0400

zsh (4.0.6-2) unstable; urgency=low

  * Bandage the terminfo "fix" causing segfault on startup.
  closes: bug#156840, bug#156842.

 -- Clint Adams <schizo@debian.org>  Thu, 15 Aug 2002 17:47:52 -0400

zsh (4.0.6-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Wed, 14 Aug 2002 13:33:34 -0400

zsh (4.0.5-1) unstable; urgency=low

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Fri,  9 Aug 2002 15:28:23 -0400

zsh (4.0.4-53) unstable; urgency=low

  * Complete .xhtml files for lynx.  closes: bug#155357.

 -- Clint Adams <schizo@debian.org>  Tue,  6 Aug 2002 20:15:35 -0400

zsh (4.0.4-52) unstable; urgency=low

  * Complete local filenames after file:/// and file://localhost/ .
  closes: bug#155360.

 -- Clint Adams <schizo@debian.org>  Tue,  6 Aug 2002 17:24:15 -0400

zsh (4.0.4-51) unstable; urgency=medium

  * Fix cvs completion thinko from -45.
  * Remove umask setting from global startup.  closes: bug#154809.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Jul 2002 13:38:51 -0400

zsh (4.0.4-50) unstable; urgency=low

  * Move startup scripts to /etc/zsh/.  closes: bug#154555.
  * Don't add /usr/doc/zsh symlink anymore.
  * Add debconf message about rc move, and dependency on debconf.

 -- Clint Adams <schizo@debian.org>  Sun, 28 Jul 2002 17:30:27 -0400

zsh (4.0.4-49) unstable; urgency=low

  * Patch from Christian Marillat to complete more tags for bts(1).
  closes: bug#154145.
  * Fix documentation typo.  closes: bug#154126.

 -- Clint Adams <schizo@debian.org>  Wed, 24 Jul 2002 11:48:27 -0400

zsh (4.0.4-48) unstable; urgency=medium

  * Rearrange and improve examples.  closes: bug#153939.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jul 2002 21:48:33 -0400

zsh (4.0.4-47) unstable; urgency=low

  * Add completion for GNU GLOBAL, courtesy of Matt Zimmeran.
  closes: bug#153919.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jul 2002 17:32:58 -0400

zsh (4.0.4-46) unstable; urgency=medium

  * ZW#17459: Properly exclude files which have RCS kflags from cvs
  add completion.  closes: bug#152795.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Jul 2002 10:39:24 -0400

zsh (4.0.4-45) unstable; urgency=low

  * Refix #138688 and #147102, which accidentally slipped out.
  closes: bug#152318.

 -- Clint Adams <schizo@debian.org>  Mon,  8 Jul 2002 18:53:30 -0400

zsh (4.0.4-44) unstable; urgency=low

  * Complete files after dpkg -S for Joy.

 -- Clint Adams <schizo@debian.org>  Mon,  1 Jul 2002 12:13:32 -0400

zsh (4.0.4-43) unstable; urgency=medium

  * Merge additional parsing fixes from 4.0 branch CVS.
  * Also, replace Colin Walters's prompt theme, which had gone AWOL.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Jun 2002 13:30:42 -0400

zsh (4.0.4-42) unstable; urgency=low

  * Merge additional fixes and completion features from 4.0 branch CVS.

 -- Clint Adams <schizo@debian.org>  Fri, 31 May 2002 22:39:37 -0400

zsh (4.0.4-41) unstable; urgency=low

  * Merge additional fixes from 4.0 branch CVS.

 -- Clint Adams <schizo@debian.org>  Fri, 31 May 2002 16:33:22 -0400

zsh (4.0.4-40) unstable; urgency=low

  * Check output of manpath even when $manpath is set.  closes: bug#148557.
  * ZW#16269: Don't segfault when trying to complete ^ when GLOB_COMPLETE
  and EXTENDED_GLOB are set.  closes: bug#148607.

 -- Clint Adams <schizo@debian.org>  Fri, 31 May 2002 01:00:52 -0400

zsh (4.0.4-39) unstable; urgency=low

  * ZW#16776: Don't segfault for certain repeated completions.

 -- Clint Adams <schizo@debian.org>  Tue, 28 May 2002 21:20:15 -0400

zsh (4.0.4-38) unstable; urgency=low

  * Option descriptions in make-kpkg completion.
  * Do not complete udebs for dpkg -i or --unpack.  closes: bug#148372.
  * Make helpfiles build again.  closes: bug#148378.

 -- Clint Adams <schizo@debian.org>  Tue, 28 May 2002 10:12:20 -0400

zsh (4.0.4-37) unstable; urgency=low

  * Don't choke when all the matching nonentried CVS files also match
    ~/.cvsignore when user is trying to complete a cvs add.  closes:
    bug#148217.

 -- Clint Adams <schizo@debian.org>  Sun, 26 May 2002 15:23:12 -0400

zsh (4.0.4-36) unstable; urgency=low

  * Respect $CVSIGNORE.  closes: bug#147853.
  * Complete files other than *.pl and *.pm for perl.  closes: bug#148159.

 -- Clint Adams <schizo@debian.org>  Sat, 25 May 2002 14:10:25 -0400

zsh (4.0.4-35) unstable; urgency=low

  * Fix CVS completion with respect to filenames containing spaces.
  closes: bug#147102.

 -- Clint Adams <schizo@debian.org>  Tue, 21 May 2002 10:28:54 -0400

zsh (4.0.4-34) unstable; urgency=medium

  * Fixed typo in _spamassassin.  closes: bug#144915.
  * Build modules on the Hurd after the ABI change.

 -- Clint Adams <schizo@debian.org>  Mon, 29 Apr 2002 16:46:08 -0400

zsh (4.0.4-33) unstable; urgency=high

  * Avoid dangling alternative on upgrade from potato.  closes: bug#144709.

 -- Clint Adams <schizo@debian.org>  Sat, 27 Apr 2002 10:34:25 -0400

zsh (4.0.4-32) unstable; urgency=medium

  * Complete all files for w3m.  closes: bug#143885.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Apr 2002 11:19:33 -0400

zsh (4.0.4-31) unstable; urgency=medium

  * ZW#16201 to fix Vincent Lefevre's named directory disappearance problem.
    closes: bug#140726.

 -- Clint Adams <schizo@debian.org>  Sat, 13 Apr 2002 15:29:42 -0400

zsh (4.0.4-30) unstable; urgency=medium

  * Bring /usr/bin/zsh under alternatives.  closes: bug#140870.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Apr 2002 21:56:04 -0400

zsh (4.0.4-29) unstable; urgency=medium

  * Complete for aaaa, ns, mx, txt, zone.  closes: bug#141870.
  * Complete package name argument for apt-cache policy.  closes: bug#141820.

 -- Clint Adams <schizo@debian.org>  Fri, 12 Apr 2002 19:25:30 -0400

zsh (4.0.4-28) unstable; urgency=low

  * Patch from Hugo Haas to complete ssh -1 as well as ssh -2.
  closes: bug#140408.

 -- Clint Adams <schizo@debian.org>  Thu,  4 Apr 2002 07:50:12 -0500

zsh (4.0.4-27) unstable; urgency=medium

  * Fix rsync completion so that it completes remote files via
  rsync and ssh, and all rsync 2.5.2 options.  closes: bug#138690.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Mar 2002 14:04:03 -0500

zsh (4.0.4-26) unstable; urgency=low

  * Complete .dvi.gz and .dvi.bz2 for xdvi.  closes: bug#138687.
  * Complete multiple -j's after cvs update.  closes: bug#138688.

 -- Clint Adams <schizo@debian.org>  Sun, 17 Mar 2002 00:04:47 -0500

zsh (4.0.4-25) unstable; urgency=medium

  * Update issues in BUGS and TODO.
  * Add Matt Zimmeran's netcat completion function.  closes: bug#137563.
  * Fix completion for nedit-nc.

 -- Clint Adams <schizo@debian.org>  Sat,  9 Mar 2002 21:58:09 -0500

zsh (4.0.4-24) unstable; urgency=low

  * Move zsh binary to /bin so it can more safely be used as
  /bin/sh or root's shell.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Mar 2002 20:08:22 -0500

zsh (4.0.4-23) unstable; urgency=low

  * Completion for irssi, thanks to Istvan Sebestyen.  closes: bug#136682.
  * ZW#16635: display lists in singlelinezle mode.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Mar 2002 08:45:34 -0500

zsh (4.0.4-22) unstable; urgency=low

  * Completion for cdcd, thanks to Gergely Nagy.  closes: bug#133925.
  * Allow "while do done" to be interrupted.  closes: bug#107528.

 -- Clint Adams <schizo@debian.org>  Wed, 20 Feb 2002 22:24:12 -0500

zsh (4.0.4-21) unstable; urgency=medium

  * Added Colin Walters's prompt.
  * Tweaked my prompt.
  * Improved scp completion of remote files, thanks to David Engel.
  closes: bug#131358.
  * Improved dict completion, thanks to Matt Zimmerman.  closes: bug#132922.

 -- Clint Adams <schizo@debian.org>  Sun, 10 Feb 2002 12:12:16 -0500

zsh (4.0.4-20) unstable; urgency=medium

  * Small fix to zip completion.
  * Complete urls for konqueror, skipstone, light, dillo.

 -- Clint Adams <schizo@debian.org>  Sun,  3 Feb 2002 16:31:45 -0500

zsh (4.0.4-19) unstable; urgency=medium

  * Complete short options and local files for rsync.  closes: bug#131657.

 -- Clint Adams <schizo@debian.org>  Sun,  3 Feb 2002 01:17:55 -0500

zsh (4.0.4-18) unstable; urgency=medium

  * Change permissions on modules to 644.  closes: bug#131848.

 -- Clint Adams <schizo@debian.org>  Fri,  1 Feb 2002 09:13:53 -0500

zsh (4.0.4-17) unstable; urgency=medium

  * ZW#16507: Fix ./ completion as was broken by the fix
  for 129864.  closes: bug#131468.
  * Fix completion for initscripts.

 -- Clint Adams <schizo@debian.org>  Tue, 29 Jan 2002 21:05:23 -0500

zsh (4.0.4-16) unstable; urgency=medium

  * Warn on fclose or fflush errors in bin_print.  closes: bug#130817.
  * ZW#16435: Fix core dump in `hash'.
  * "Command" completion now respects $PATH.  closes: bug#129864.

 -- Clint Adams <schizo@debian.org>  Sun, 27 Jan 2002 18:10:49 -0500

zsh (4.0.4-15) unstable; urgency=low

  * Matt Zimmerman's patch: completion for apt-cache showsrc.
  closes: bug#129428.

 -- Clint Adams <schizo@debian.org>  Thu, 17 Jan 2002 09:31:40 -0500

zsh (4.0.4-14) unstable; urgency=medium

  * ZW#16408: Patch to make sure auto menu isn't started accidentally when
    bashautolist is set.  closes: bug#124033.

 -- Clint Adams <schizo@debian.org>  Wed,  9 Jan 2002 08:48:01 -0500

zsh (4.0.4-13) unstable; urgency=medium

  * Fix manpage completion of the letter 'l'.  closes: bug#125936.
  * Do not depend on $fpath in the postinst and prerm.  closes: bug#125601.

 -- Clint Adams <schizo@debian.org>  Thu, 20 Dec 2001 13:51:45 -0500

zsh (4.0.4-12) unstable; urgency=high

  * Completion for make-kpkg.

 -- Clint Adams <schizo@debian.org>  Sun, 16 Dec 2001 20:20:50 -0500

zsh (4.0.4-11) unstable; urgency=high

  * Modernize apt-cache completion.  closes: bug#123996.
  * Completion for mozilla.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Dec 2001 19:01:45 -0500

zsh (4.0.4-10) unstable; urgency=high

  * Fix annoying zsh/terminfo module segfault on IA-64.
  closes: bug#123902.  Thanks to James Troup for tracking
  the problem down.

 -- Clint Adams <schizo@debian.org>  Thu, 13 Dec 2001 23:26:36 -0500

zsh (4.0.4-9) unstable; urgency=high

  * Do not bind keys dynamically if TERM is equal to emacs
  so that zsh will not choke when called from XEmacs.
  closes: bug#123671.

  * Complete .udebs as well as .debs for dpkg.  closes: bug#123390.

 -- Clint Adams <schizo@debian.org>  Wed, 12 Dec 2001 20:00:19 -0500

zsh (4.0.4-8) unstable; urgency=high

  * Try to get keybindings from ncurses instead of assuming VT100.
  Also, make "not a large assumption" about ncurses idiosyncracies.

 -- Clint Adams <schizo@debian.org>  Sun,  9 Dec 2001 23:47:05 -0500

zsh (4.0.4-7) unstable; urgency=medium

  * Command completion for spamassassin.

 -- Clint Adams <schizo@debian.org>  Sun,  9 Dec 2001 13:29:16 -0500

zsh (4.0.4-6) unstable; urgency=low

  * No longer build-depend on debhelper.

 -- Clint Adams <schizo@debian.org>  Sat,  8 Dec 2001 14:12:48 -0500

zsh (4.0.4-5) unstable; urgency=medium

  * Completion for rsync.

 -- Clint Adams <schizo@debian.org>  Thu, 29 Nov 2001 12:09:53 -0500

zsh (4.0.4-4) unstable; urgency=low

  * mhp's patch for dupload completion to check ~/.dupload.conf.
  closes: bug#120371.

 -- Clint Adams <schizo@debian.org>  Mon, 26 Nov 2001 12:23:12 -0500

zsh (4.0.4-3) unstable; urgency=medium

  * Completion for dput.  closes: bug#119353.

 -- Clint Adams <schizo@debian.org>  Sun, 18 Nov 2001 15:48:13 -0500

zsh (4.0.4-2) unstable; urgency=high

  * Fix make targets.

 -- Clint Adams <schizo@debian.org>  Tue, 30 Oct 2001 11:18:16 -0500

zsh (4.0.4-1) unstable; urgency=medium

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Fri, 26 Oct 2001 09:56:16 -0400

zsh (4.0.3-1) unstable; urgency=medium

  * New upstream release.

 -- Clint Adams <schizo@debian.org>  Thu, 25 Oct 2001 09:59:32 -0400

zsh (4.0.2-9) unstable; urgency=medium

  * Don't make empty example directories in /usr/share/doc.
  closes: bug#113959.

 -- Clint Adams <schizo@debian.org>  Sun, 30 Sep 2001 13:24:48 -0400

zsh (4.0.2-8) unstable; urgency=high

  * Try not to choke in the prerm when cleaning out
  the compiled function digests.  closes: bug#112955.

 -- Clint Adams <schizo@debian.org>  Fri, 21 Sep 2001 16:44:21 -0400

zsh (4.0.2-7) unstable; urgency=medium

  * Don't complain about policy-compliant "insecure"
  directories in $fpath.

 -- Clint Adams <schizo@debian.org>  Thu,  6 Sep 2001 17:05:58 -0400

zsh (4.0.2-6) unstable; urgency=medium

  * Move site-functions dir to /usr/local.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Sep 2001 18:35:04 -0400

zsh (4.0.2-5) unstable; urgency=low

  * Exclude libcap build-dep on hurd-i386.  closes: bug#111004.

 -- Clint Adams <schizo@debian.org>  Sun,  2 Sep 2001 17:48:30 -0400

zsh (4.0.2-4) unstable; urgency=medium

  * Add completion for links(1).

 -- Clint Adams <schizo@debian.org>  Thu, 23 Aug 2001 09:53:25 -0400

zsh (4.0.2-3) unstable; urgency=medium

  * Make gzip completion behave properly for -l and -t.
  closes: bug#106958.
  * Make unzip completion behave properly for unzip -Z.
  closes: bug#108626.
  * Compensate for inanities permeating resource.h of
  glibc 2.2.4 on sparc64, causing the ``no such resource:
  coredumpsize'' problem noticed by Joy.

 -- Clint Adams <schizo@debian.org>  Tue, 21 Aug 2001 15:31:08 -0400

zsh (4.0.2-2) unstable; urgency=low

  * Added build-dep on bsdmainutils.
  * Fixed typo in ssh_completion example.  closes: bug#106470.

 -- Clint Adams <schizo@debian.org>  Fri, 27 Jul 2001 10:51:54 -0400

zsh (4.0.2-1) unstable; urgency=medium

  * New upstream stable release.
  * Don't segfault on shoop.sh.  closes: bug#101523.
  * Better last(1) completion.  closes: bug#102153.
  * Changed build-dep on groff to groff-base.
  * Added missing build-dep on libcap-dev.

 -- Clint Adams <schizo@debian.org>  Tue, 26 Jun 2001 11:16:28 -0400

zsh (4.0.1-1) unstable; urgency=high

  * New upstream stable release.

 -- Clint Adams <schizo@debian.org>  Fri,  1 Jun 2001 11:32:15 -0400

zsh (4.0.0+4.0.1.pre5-2) unstable; urgency=high

  * Matt Zimmerman's cleaner _perl_config_vars().  closes: bug#99096.
  * update-alternatives completion.  closes: bug#98980.
  * Matt Zimmerman's patch for apt-get --reinstall completion.  closes: bug#98454.
  * Change prompt expansion of %# to ignore significance of Inheritable capabilities.
  closes: bug#98475.
  * Make ZLS_COLOURS and ZLS_COLORS a bit more consistent in the face of compinit.
  closes: bug#98424.

 -- Clint Adams <schizo@debian.org>  Wed, 30 May 2001 10:12:27 -0400

zsh (4.0.0+4.0.1.pre5-1) unstable; urgency=medium

  * New upstream development release.
  * Repatch completion for diff.

 -- Clint Adams <schizo@debian.org>  Tue, 22 May 2001 10:05:31 -0400

zsh (4.0.0+4.0.1.pre4-4) unstable; urgency=medium

  * Fix completion for diff.  closes: bug#97626.
  * Fix completion for modprobe.  closes: bug#97627.
  * Fix completion for pdflatex.  closes: bug#97881.
  * Introduce zsh-static binary package.

 -- Clint Adams <schizo@debian.org>  Mon, 21 May 2001 17:46:32 -0400

zsh (4.0.0+4.0.1.pre4-3) unstable; urgency=medium

  * Add completion for rmmod and modprobe -r.  closes: bug#97524.

 -- Clint Adams <schizo@debian.org>  Tue, 15 May 2001 10:27:52 -0400

zsh (4.0.0+4.0.1.pre4-2) unstable; urgency=high

  * Actually byte-compile the functions this time.

 -- Clint Adams <schizo@debian.org>  Fri, 11 May 2001 14:33:58 -0400

zsh (4.0.0+4.0.1.pre4-1) unstable; urgency=medium

  * New upstream development release.
  * Fixes bug in math evaluation.  closes: bug#80977.
  * Fixes bug in CVS completion.  closes: bug#92783.
  * Byte-compile included functions in postinst and remove in
  prerm.  closes: bug#75207.
  * Use function directory hierarchy instead of flat.
  * Include Martin Waitz's Alt-Backspace key binding example.  closes: bug#87731.
  * Updated Standards-Version to 3.5.3.0.

 -- Clint Adams <schizo@debian.org>  Wed,  9 May 2001 10:09:45 -0400

zsh (4.0.0+4.0.1.pre3-2) unstable; urgency=medium

  * Fixed INSTALL_FLAGS typo in debian/rules.
  * Create and remove /usr/local/share/zsh/site-functions
  directory per ch.10.1.2 of policy.  closes: bug#92743.

 -- Clint Adams <schizo@debian.org>  Wed, 18 Apr 2001 21:15:57 -0400

zsh (4.0.0+4.0.1.pre3-1) unstable; urgency=medium

  * New upstream development release.  closes: bug#93231.
  * Added completion for release names after apt-get -t or the slash.
  closes: bug#86854.

 -- Clint Adams <schizo@debian.org>  Mon,  9 Apr 2001 20:47:42 -0400

zsh (4.0.0+4.0.1.pre2-2) unstable; urgency=high

  * Applied patch 13907, fix reverse string subscripting.  closes: bug#92782.

 -- Clint Adams <schizo@debian.org>  Thu,  5 Apr 2001 13:38:51 -0400

zsh (4.0.0+4.0.1.pre2-1) unstable; urgency=medium

  * New upstream development release.  closes: bug#81294.
  * Add completion support for w3m.  closes: bug#88717.
  * Update completion support for apt.  half of 86854.

 -- Clint Adams <schizo@debian.org>  Thu, 29 Mar 2001 15:57:57 -0500

zsh (3.1.9.dev8-5) stable; urgency=high

  * Fix build-deps for stable again.

 -- Clint Adams <schizo@debian.org>  Wed, 28 Mar 2001 16:24:43 -0500

zsh (3.1.9.dev8-4) stable unstable; urgency=high

  * Don't segfault on a null path component.  closes: bug#83354.

 -- Clint Adams <schizo@debian.org>  Mon, 26 Mar 2001 16:13:28 -0500

zsh (3.1.9.dev8-3) unstable; urgency=medium

  * No longer set PS1 in /etc/zshrc.  closes: bug#80970.
  * Set READNULLCMD as per Debian pager policy.  closes: bug#82823.
  * Michal Politowski's patch for _complete_tag.  closes: bug#91778.
  * Michal Politowski's patch for _pids.  closes: bug#91792.

 -- Clint Adams <schizo@debian.org>  Mon, 26 Mar 2001 14:09:01 -0500

zsh (3.1.9.dev8-2) unstable; urgency=high

  * Fixed typo in apt-cache completion.  closes: bug#80339.
  * Fixed dpkg -i completion of multiple debs.  closes: bug#80178.
  * Fixed segfault on nonexistent capabilities in terminfo.
  * Fixed jobtable size autoconf code.

 -- Clint Adams <schizo@debian.org>  Sat, 23 Dec 2000 01:57:09 -0500

zsh (3.1.9.dev8-1) unstable; urgency=medium

  * New upstream development release.  closes: bug#69928, bug#74874,
  bug#76789.
  * Bind arrow keys in vi insert mode.  closes: bug#77496.

 -- Clint Adams <schizo@debian.org>  Tue,  5 Dec 2000 20:01:19 -0500

zsh (3.1.9.dev7-2) unstable; urgency=low

  * Changed global zshrc so that root's umask is set by default to
    022.  Patch from Miquel van Smoorenburg closes: bug#76767.

 -- Clint Adams <schizo@debian.org>  Sun, 12 Nov 2000 00:01:06 -0500

zsh (3.1.9.dev7-1) unstable; urgency=medium

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Sun, 22 Oct 2000 01:42:26 -0400

zsh (3.1.9.dev6-7) stable; urgency=medium

  * Reissue to fix bad i386 build.

 -- Clint Adams <schizo@debian.org>  Sun,  8 Oct 2000 01:21:01 -0400

zsh (3.1.9.dev6-6) stable; urgency=medium

  * Backport to fix grave bug in potato.

 -- Clint Adams <schizo@debian.org>  Sat,  7 Oct 2000 13:01:22 -0400

zsh (3.1.9.dev6-5) unstable; urgency=medium

  * Change behavior of failed redirection of builtins and such
    to mimic that of forked binaries.  closes: bug#72288.

 -- Clint Adams <schizo@debian.org>  Mon,  2 Oct 2000 11:07:33 -0400

zsh (3.1.9.dev6-4) unstable; urgency=medium

  * Fix compctl.dpkg example so that it functions when EXTENDED_GLOB
    is set and added some comments.  closes: bug#71474.
  * Remove explicit color settings from BODY tags of html docs
    after texi2html puts them there.  closes: bug#71627.

 -- Clint Adams <schizo@debian.org>  Tue, 12 Sep 2000 16:08:46 -0400

zsh (3.1.9.dev6-3) unstable; urgency=low

  * Restore build dependencies for woody.  Source is now divergent.

 -- Clint Adams <schizo@debian.org>  Mon, 11 Sep 2000 03:37:12 -0400

zsh (3.1.9.dev6-2potato1) stable; urgency=high

  * Fix build dependencies for potato.  closes: bug#71145.
  * Incidentally, gzipped PostScript files are now completed
    for gv as of dev-6, so this closes: bug#56485.

 -- Clint Adams <schizo@debian.org>  Mon, 11 Sep 2000 03:26:42 -0400

zsh (3.1.9.dev6-2) stable unstable; urgency=high

  * Add module aliasing to /etc/zshrc to provide backward compatibility
    with versions prior to 3.1.9-dev-5.  closes: bug#71046.

 -- Clint Adams <schizo@debian.org>  Thu,  7 Sep 2000 11:37:33 -0400

zsh (3.1.9.dev6-1) stable unstable; urgency=medium

  * New upstream development release.

 -- Clint Adams <schizo@debian.org>  Mon,  4 Sep 2000 11:59:01 -0400

zsh (3.1.9.dev5-3) stable unstable; urgency=medium

  * Complete files after man -l instead of manpages.  closes: bug#70755.

 -- Clint Adams <schizo@debian.org>  Sun,  3 Sep 2000 17:47:50 -0400

zsh (3.1.9.dev5-2) stable unstable; urgency=medium

  * Fixed broken dpkg completion.  Probably closes: bug#70610.
  * The segfault on the time builtin has been fixed since 3.1.9-4, but
    people are obviously going to keep reporting it until it gets into
    potato.  This is destined for proposed-updates, so hopefully it
    closes: bug#70683.

 -- Clint Adams <schizo@debian.org>  Fri,  1 Sep 2000 10:02:56 -0400

zsh (3.1.9.dev5-1) unstable; urgency=medium

  * New upstream development release.
  * Updated standards version.

 -- Clint Adams <schizo@debian.org>  Fri, 11 Aug 2000 15:55:44 -0400

zsh (3.1.9.dev4-1) unstable; urgency=medium

  * New upstream development release.
  * Moved additional keybindings out of source and into global zshrc.

 -- Clint Adams <schizo@debian.org>  Mon, 31 Jul 2000 13:15:35 -0400

zsh (3.1.9.dev3-1) unstable; urgency=medium

  * New upstream development release.
  * Removed preinst.  closes: bug#67252.

 -- Clint Adams <schizo@debian.org>  Mon, 17 Jul 2000 19:54:50 -0400

zsh (3.1.9.dev2-1) unstable; urgency=medium

  * New upstream development release.  Fixes ignored-patterns bug;
  closes: bug#66464.

 -- Clint Adams <schizo@debian.org>  Mon,  3 Jul 2000 12:07:04 -0400

zsh (3.1.9-5) unstable; urgency=medium

  * Added explanation of deriving ssh host completion possibilities
  from known_hosts file to examples directory.

 -- Clint Adams <schizo@debian.org>  Sun, 25 Jun 2000 10:19:09 -0400

zsh (3.1.9-4) unstable; urgency=medium

  * Moved umask setting from /etc/zprofile to /etc/zshrc, added
  conditional.  closes: bug#65596.
  * ZW#11885: Patch for 'time time'.  closes: bug#65602, bug#65604.

 -- Clint Adams <schizo@debian.org>  Wed, 14 Jun 2000 09:42:15 -0400

zsh (3.1.9-3) unstable; urgency=medium

  * Fixed TRAPEXIT segfault problem.  closes: bug#65350.
  * Bart Schaefer's patch to prevent coredumps during menu selection
  when the terminal does not have a programmable cursor.

 -- Clint Adams <schizo@debian.org>  Sat, 10 Jun 2000 13:14:14 -0400

zsh (3.1.9-2) unstable; urgency=medium

  * Tanaka Akira's patch fixing apt-get completion.

 -- Clint Adams <schizo@debian.org>  Thu,  8 Jun 2000 09:11:05 -0400

zsh (3.1.9-1) unstable; urgency=medium

  * New upstream beta release.
  * Completion for dpkg improved.  closes: bug#61710.

 -- Clint Adams <schizo@debian.org>  Tue,  6 Jun 2000 09:17:41 -0400

zsh (3.1.7-1) unstable; urgency=medium

  * New upstream beta release.  closes: bug#60989, #62126, #62128,
    #63781, #64125, #64131, #64582, #64684, #64695, #64517.
  * Updated Build-Depends to include debhelper.
  * Updated copyright file.
  * Included Ray's sample zshrc previously featured in zsh-beta.
  * Expanded job table size limit.  closes: bug#49221.

 -- Clint Adams <schizo@debian.org>  Tue, 30 May 2000 11:00:38 -0400

zsh (3.1.6.pws21-1) frozen unstable; urgency=high

  * New upstream development release.  compinstall no longer inserts
    the invalid command 'compstyle' into .zshrc.  closes: bug#61326.
  * ZW#10463: Add PM_HASHELEM type to avoid allexport spewing assoc. array
    subparameters into the environment.  closes: bug#60597.
  * Fixed bad awk command for zftp completion.  closes: bug#60754.
  * ZW#10408, SF#103798: Fix space-containing directory completion
    brain damage.  closes: bug#61567.
  * Fixed _dpkg completion thinko for -i and non-completion for -S
    mentioned by Joy in bug #61710.
  * Added core completion functions accidentally left out of tarball.

 -- Clint Adams <schizo@debian.org>  Tue,  4 Apr 2000 22:55:14 -0400

zsh (3.1.6.pws20-1) frozen unstable; urgency=high

  * New upstream development release.  fixes "cd" coredump.
    closes: bug#58941.

 -- Clint Adams <schizo@debian.org>  Sat, 25 Mar 2000 09:38:05 -0500

zsh (3.1.6.pws19-1) frozen unstable; urgency=high

  * New upstream development release.  fixes _x_argument to complete
    files also.  closes: bug#58229.  fixes bad function termination
    coredump.
  * Works around broken FIFOs in configure test.  closes: bug#58036.

 -- Clint Adams <schizo@debian.org>  Mon, 21 Feb 2000 14:31:23 -0500

zsh (3.1.6.pws16-1) frozen unstable; urgency=low

  * New upstream development release.  Fixes incorrect module-loading
    in Zftp.  closes: bug#55809.  Dozens of bugfixes.

 -- Clint Adams <schizo@debian.org>  Fri, 28 Jan 2000 10:43:55 -0500

zsh (3.1.6.pws15-1) unstable; urgency=low

  * New upstream development release.  Fixes typo in a2ps completion.
    closes: bug#55004.

 -- Clint Adams <schizo@debian.org>  Sat, 15 Jan 2000 13:35:02 -0500

zsh (3.1.6.pws14-1) unstable; urgency=low

  * New upstream development release.
  * Fixed new-style dpkg completion.  closes: bug#53339.

 -- Clint Adams <schizo@debian.org>  Fri,  7 Jan 2000 10:23:09 -0500

zsh (3.1.6.pws13-1) unstable; urgency=low

  * New upstream release.
  * Fixed new-style completion for tar.  closes: bug#52785.

 -- Clint Adams <schizo@debian.org>  Fri, 24 Dec 1999 17:34:31 -0500

zsh (3.1.6.pws12-1) unstable; urgency=low

  * New upstream release.
  * Cleaned up stray config.cache.  closes: bug #52432.

 -- Clint Adams <schizo@debian.org>  Thu, 16 Dec 1999 12:20:04 -0500

zsh (3.1.6.pws11-1) unstable; urgency=low

  * New upstream release.
  * Note about completion being off by default in
    README.Debian.  closes: bug#49374, bug#50009, bug#51150.

 -- Clint Adams <schizo@debian.org>  Wed,  8 Dec 1999 17:26:51 -0500

zsh (3.1.6.pws10-2) unstable; urgency=high

  * Fix to prevent infinite loop upon abrupt termination.
    closes: bug#51802, bug#51810, bug#51828.

 -- Clint Adams <schizo@debian.org>  Fri,  3 Dec 1999 10:56:10 -0500

zsh (3.1.6.pws10-1) unstable; urgency=low

  * New upstream release.  closes: bug#51304.
  * Now impersonates a compiler when printing script errors.
    closes: bug#51059.

 -- Clint Adams <schizo@debian.org>  Mon, 29 Nov 1999 18:58:03 -0500

zsh (3.1.6.pws9-1) unstable; urgency=low

  * New upstream release.
  * Changed fix for floating point arithmatic evaluation to be
    locale-independent.  Again closes: bug#49789.
  * Moved doc alternatives fix to preinst.  closes: bug#50835.
  * Moved install-docs correction to preinst.  closes: bug#50919.

 -- Clint Adams <schizo@debian.org>  Mon, 22 Nov 1999 09:59:12 -0500

zsh (3.1.6.pws6.tanaka19991119-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Removed errant config.cache causing glibc2.0 build problems.
    closes: bug#49966.
  * Removed alternative handling of info files.

 -- Clint Adams <schizo@debian.org>  Fri, 19 Nov 1999 12:08:40 -0500

zsh (3.1.6.pws6.tanaka19991111-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Tweaked math/locale interaction to allow setting
    of floating point variables where the decimal point
    is a comma.  closes: bug#49789.

 -- Clint Adams <schizo@debian.org>  Thu, 11 Nov 1999 11:28:36 -0500

zsh (3.1.6.pws6.tanaka19991110-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Corrected keybinding thinko.  closes: bug#49750.

 -- Clint Adams <schizo@debian.org>  Wed, 10 Nov 1999 10:29:56 -0500

zsh (3.1.6.pws6.tanaka19991109-1) unstable; urgency=low

  * New "upstream" snapshot.

 -- Clint Adams <schizo@debian.org>  Tue,  9 Nov 1999 10:45:41 -0500

zsh (3.1.6.pws6.tanaka19991108-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Fixed erroneous length calculation involving 79-character
    strings in 80-column windows.  closes: bug#38538.
  * Fixed zsh-doc's Architecture field.

 -- Clint Adams <schizo@debian.org>  Mon,  8 Nov 1999 09:44:33 -0500

zsh (3.1.6.pws6.tanaka19991107-1) unstable; urgency=low

  * New "upstream" snapshot.

 -- Clint Adams <schizo@debian.org>  Sun,  7 Nov 1999 10:52:44 -0500

zsh (3.1.6.pws6.tanaka19991105-1) unstable; urgency=low

  * New "upstream" snapshot.

 -- Clint Adams <schizo@debian.org>  Fri,  5 Nov 1999 10:16:41 -0500

zsh (3.1.6.pws6.tanaka19991104-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Fixed erroneous discrepancies with bart-8.

 -- Clint Adams <schizo@debian.org>  Thu,  4 Nov 1999 10:28:28 -0500

zsh (3.1.6.pws6.tanaka19991103-1) unstable; urgency=low

  * New "upstream" snaphot.
  * Now including completion-style-guide in /usr/share/doc/zsh

 -- Clint Adams <schizo@debian.org>  Wed,  3 Nov 1999 12:01:28 -0500

zsh (3.1.6.pws6.tanaka19991102-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Fixed references to /usr/local/bin/zsh in some functions.

 -- Clint Adams <schizo@debian.org>  Tue,  2 Nov 1999 13:46:20 -0500

zsh (3.1.6.pws6.tanaka19991031-1) unstable; urgency=low

  * New "upstream" snapshot.  closes: bug#48483.
  * Forked zsh/zsh-doc from zsh-beta/zsh-beta-doc.

 -- Clint Adams <schizo@debian.org>  Sun, 31 Oct 1999 22:16:30 -0500

zsh (3.1.6.pws6.tanaka19991028-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Improved doc-share/doc symlink handling.
  * manpages and info now under alternatives mechanism.

 -- Clint Adams <schizo@debian.org>  Thu, 28 Oct 1999 10:26:59 -0400

zsh (3.1.6.pws6.tanaka19991027-1) unstable; urgency=low

  * New "upstream" snapshot.
  * Applied Csaba Benedek's compctl.dpkg example fix.  closes: bug#48472.
  * Split HTML and info docs into separate binary package.

 -- Clint Adams <schizo@debian.org>  Wed, 27 Oct 1999 11:09:49 -0400

zsh (3.1.6.pws6.bart7-1) unstable; urgency=low

  * New "upstream" release.  closes: bug#44059, bug#47398.
  * Disabled tcsetpgrp test to allow job control to be built on
    powerpc.  closes: bug#47591.

 -- Clint Adams <schizo@debian.org>  Tue, 19 Oct 1999 11:45:11 -0400

zsh (3.1.6.pws6-1) unstable; urgency=low

  * New upstream release.
  * Fixed doc-base inconsistency.  closes: bug#45648.

 -- Clint Adams <schizo@debian.org>  Sun, 26 Sep 1999 16:34:16 -0400

zsh (3.1.6.pws5-1) unstable; urgency=low

  * New upstream release.
  * Debian changelog is now back in the binary package.  closes: bug#45295.

 -- Clint Adams <schizo@debian.org>  Mon, 20 Sep 1999 11:11:47 -0400

zsh (3.1.6.pws4-1) unstable; urgency=low

  * New upstream release.
  * Day of ridiculous symlinks.
    /bin/zsh (managed by alternatives), closes: bug#41018
    /usr/doc/zsh -> /usr/share/doc/zsh.
  * Added support for DEB_BUILD_OPTIONS containing 'debug'.
  * Moved info files to /usr/share/info
  * Added registration of Z Shell Guide with doc-base.

 -- Clint Adams <schizo@debian.org>  Tue, 14 Sep 1999 11:28:34 -0400

zsh (3.1.6.pws3-1) unstable; urgency=low

  * New upstream release.  closes: bug#41242, bug#41895.

 -- Clint Adams <schizo@debian.org>  Tue,  7 Sep 1999 14:50:40 -0400

zsh (3.1.6-3) unstable; urgency=low

  * Fixed silly typo in the postinst.

 -- Clint Adams <schizo@debian.org>  Wed,  1 Sep 1999 04:00:43 -0400

zsh (3.1.6-2) unstable; urgency=low

  * Added menu entry.
  * Moved documentation from /usr/doc to /usr/share/doc.
  * Fixed compctl.dpkg examples; patch from Gregor Hoffleit. closes: #43662.

 -- Clint Adams <schizo@debian.org>  Sun, 29 Aug 1999 08:18:19 -0400

zsh (3.1.6-1) unstable; urgency=low

  * New upstream release.  closes: bug#41644, bug#43034.
  * Fixed bad default FPATH.  closes: bug#40777, bug#41028, bug#41893.
  * Fixed up compctl.dpkg examples pointed out by Fabien Ninoles.
    closes: bug#41894.

 -- Clint Adams <schizo@debian.org>  Wed, 11 Aug 1999 09:48:00 -0400

zsh (3.1.5.pws24-1) unstable; urgency=low

  * New upstream release.
  * Changed Rob Leslie's run-help in the source diff instead of
    in the rules file.  closes: bug# 38614 again.

 -- Clint Adams <schizo@debian.org>  Mon, 28 Jun 1999 20:22:15 -0400

zsh (3.1.5.pws21-1) unstable; urgency=low

  * New upstream release.
  * Turned off globbing flags when EXTENDED_GLOB unset.  closes: bug#38312

 -- Clint Adams <schizo@debian.org>  Sun, 13 Jun 1999 12:36:52 -0400

zsh (3.1.5.pws20-1) unstable; urgency=low

  * New "upstream" release.
  * run-help now uses pager instead of more.  bug# 38614.
  * MAILPATH maildir support patch from Miquel van Smoorenburg
    <miquels@cistron.nl>.  bug# 38793.
  * Hardcoded (ugh) Home, End, and Delete key bindings.
    bug# 26862, bug# 30792.

 -- Clint Adams <schizo@debian.org>  Thu,  3 Jun 1999 00:01:16 -0400

zsh (3.1.5.pws19-1) unstable; urgency=low

  * New "upstream" release.
  * Moved /usr/lib/zsh to /usr/share/zsh.  Bug# 38086.

 -- Clint Adams <schizo@debian.org>  Sat, 22 May 1999 22:23:17 -0400

zsh (3.1.5.pws18-1) unstable; urgency=low

  * New "upstream" release.

 -- Clint Adams <schizo@debian.org>  Sat, 15 May 1999 15:48:19 -0400

zsh (3.1.5.pws17-1) unstable; urgency=low

  * New upstream release.  fixes bug #35119, bug #32144.
  * Fixed quotes on dpkg compctl example. bug# 36995

 -- Clint Adams <schizo@debian.org>  Mon, 10 May 1999 17:23:33 -0400

zsh (3.1.5.pws16-1) unstable; urgency=low

  * New upstream release.
    (Fixes bug #24910, bug# 26861, bug# 27871).
  * unset dpkg_options in compctl example (bug# 36337).

 -- Clint Adams <schizo@debian.org>  Wed, 28 Apr 1999 16:57:17 -0400

zsh (3.1.2-12) frozen unstable; urgency=low

  * Removed unlimit coredumpsize from /etc/zprofile.
    closes: bug#23029.

 -- Clint Adams <schizo@debian.org>  Sun,  7 Feb 1999 13:35:47 -0500

zsh (3.1.2-11) frozen unstable; urgency=high

  * Bart Schaefer's init patch prevents coredumps when running
    zsh -c or zsh -o without arguments or zsh with a nonexistent
    filename.  closes: bug#26861, bug#27871, bug#24910.

 -- Clint Adams <schizo@debian.org>  Sun,  7 Feb 1999 09:47:11 -0500

zsh (3.1.2-10) frozen unstable; urgency=high

  * Removed --enable-zsh-mem to avoid problems on other
    sparc and other architectures.  fixes: #29984, #30512.
  * Fixed badly quoted manpages.  (bug#29998).
  * Only will set FPATH in /etc/zshrc if unset.  (bug#29634).

 -- Clint Adams <schizo@debian.org>  Fri, 22 Jan 1999 13:34:19 -0500

zsh (3.1.2-9) frozen unstable; urgency=low

  * Added binding for Del key.  bug#24258.
  * Fixed paths in examples. bug#25402.
  * Added Karl Hegbloom's compctl examples.  bug#23272.

 -- Clint Adams <schizo@debian.org>  Mon,  9 Nov 1998 18:30:27 -0500

zsh (3.1.2-8) frozen unstable; urgency=high

  * Applied Peter Stephenson's patch alleviating the
    reverse-history-search segmentation fault in login
    shells problem (bug#23033).
  * Changed /etc/zshenv to set PATH only if unset or if
    set to /bin:/usr/bin (bug#22400, bug#23036).

 -- Clint Adams <schizo@debian.org>  Sat, 11 Jul 1998 01:57:45 -0400

zsh (3.1.2-7) frozen unstable; urgency=high

  * Fixed improper generation of signal list.

 -- Clint Adams <schizo@debian.org>  Mon, 18 May 1998 11:27:30 -0400

zsh (3.1.2-6) frozen unstable; urgency=low

  * Applied patch to correct miscalculation in spaceinline().
  * Changed /etc/zshenv to only set PATH if unset.

 -- Clint Adams <schizo@debian.org>  Thu, 14 May 1998 01:43:58 -0400

zsh (3.1.2-5) frozen unstable; urgency=low

  * Included current FAQ.
  * Applied patch to fix prefix completion in zle_tricky
  * Applied patch to fix clobbering behavior.
  * Applied patch to fix typeset -U array; array=(1 2 1) creating
    a non-unique array.
  * Applied patch to fix unbalanced stack error on $((0x1+0x1)).
  * Applied patch to fix incorrect prototype from match_username cast
    in zle_tricky.
  * Applied patches to read builtin.
  * Applied patches to fix glob coredumping.
  * Moved FPATH, PS1, and autoload of run-help to /etc/zshrc.  bug#20043.
  * Moved setting of PATH back to /etc/zshenv.

 -- Clint Adams <schizo@debian.org>  Thu,  7 May 1998 20:38:01 -0400

zsh (3.1.2-4) frozen unstable; urgency=high

  * Applied Bernd Eggink's patch to make select comply with the documentation.
  * Applied Bernd Eggink's patches to bin_getopts() fixing several bugs.
  * Patched doinsert() to fix nasty problem of segfaults and other oddities
    involved with metacharacters under X.  fixes: bug#18791.
  * Some minor aesthetic modifications to the package description,
    including those demanded by Richard Braakman.  fixes: bug#18987.
  * Stopped debstd from sneaking ansi2knr.1 into /usr/man/man1.  fixes: bug#17833.

 -- Clint Adams <schizo@debian.org>  Tue, 17 Mar 1998 02:46:42 -0500

zsh (3.1.2-3) unstable; urgency=medium

  * Fixed typo in debian/rules (bug #17858).
  * Applied zefram3 patches.  Bug #18039 is fixed.
  * Removed "." from default PATH (bug #18047).

 -- Clint Adams <schizo@debian.org>  Tue, 17 Feb 1998 21:53:45 -0500

zsh (3.1.2-2) unstable; urgency=high

  * Disabled dynamic module support.

 -- Clint Adams <schizo@debian.org>  Thu,  5 Feb 1998 00:02:35 -0500

zsh (3.1.2-1) unstable; urgency=low

  * New upstream release.
  * Changed default umask from 022 to 002.
  * Moved contents of /etc/zshenv and /etc/zshrc to /etc/zprofile
    to avoid overriding PATH on every shell invocation (bug #17582).
  * Modified configure script to search for utmp in /var/run before /etc.
  * Modified configure script to search for wtmp in /var/log before /etc (bug #15802).
  * Redisabled HISTCHARS/histchars import.

 -- Clint Adams <schizo@debian.org>  Tue,  3 Feb 1998 14:50:00 -0500

zsh (3.0.5-2) unstable; urgency=low

  * Changed HISTCHARS/histchars to not reset (bug #6236).

 -- Clint Adams <schizo@debian.org>  Fri, 28 Nov 1997 00:31:13 -0500

zsh (3.0.5-1) unstable; urgency=low

  * New upstream release

 -- Clint Adams <schizo@debian.org>  Fri, 26 Sep 1997 13:35:56 -0400

zsh (3.0.4-1) unstable; urgency=low

  * New upstream release.
  * New maintainer
  * Converted to use libc6.
  * Converted to new source packaging format.
  * Using pristine original source.
  * Added Joey Hess's compctl example for dpkg to /usr/doc/zsh/examples

 -- Clint Adams <schizo@debian.org>  Thu, 24 Jul 1997 13:42:49 -0400
